# Generated by Makefile. Do not edit.

2015-06-13  Vivien Malerba <malerba@gnome-db.org>

	* NEWS, configure.ac: Released version 5.2.4

2015-06-12  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda/Gda-5.0.gir, libgda/libgda-5.0.vapi: Enable
	VALA_API_VERSION environment variable  * You can set VALA_API_VERSION
	or set on ./configure command line to set required Vala API to use,
	this will check correspoding versioned package

2015-06-02  Corentin Noël <corentin@elementary.io>

	* libgda/Gda-5.0.metadata, libgda/gda-data-handler.c,
	libgda/gda-data-model-iter.c, libgda/gda-data-model.c,
	libgda/gda-holder.c, libgda/gda-meta-store.c, libgda/gda-row.c,
	libgda/gda-set.c, libgda/gda-statement-extra.h: Modified annotations to
	generate better native bingings.

2014-09-03  Daniel Espinosa <esodan@gmail.com>

	* doc/mallard/gda-vala/C/record-class.page,
	doc/mallard/gda-vala/C/table-class.page: Improved GdaData documentation

2015-06-11  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/Makefile.am, libgda-ui/gdaui-tree-store.c: Misc.
	corrections

2015-02-22  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/demos/ddl_queries.c, libgda-ui/demos/geninclude.pl.in:
	Misc. demos/ corrections

2015-04-30  Gergely Polonkai <gergely@polonkai.eu>

	* doc/C/examples/full_example.c, libgda/gda-connection.h,
	samples/DDL/ddl.c, samples/SimpleExample/example.c,
	samples/SimpleUIForm/example.c, samples/WritableSelect/example.c,
	tools/browser/query-exec/query-editor.c: documentation: Fix some minor
	typos.  Bug #733450

2015-03-14  Samir Ribic <samir.ribic@etf.unsa.ba>

	* po/LINGUAS, po/bs.po: Added Bosnian translation

2014-12-25  Мирослав Николић <miroslavnikolic@rocketmail.com>

	* po/sr.po, po/sr@latin.po: Updated Serbian translation

2014-09-30  Daniel Espinosa <esodan@gmail.com>

	* INSTALL, configure.ac, libgda-ui/libgdaui-5.0.deps,
	libgda-ui/libgdaui-5.0.vapi, libgda/Gda-5.0.gir,
	libgda/libgda-5.0.deps, libgda/libgda-5.0.vapi: Fix jhbuild building.
	GIR and Vala Bindings update.

2014-09-21  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/Makefile.am,
	tools/browser/gda-browser-5.0.appdata.xml.in: Added AppData file, see
	bug #730813

2014-01-26  Frédéric Péters <fpeters@0d.be>

	* doc/C/abstraction.xml, doc/C/libgda-5.0-docs.sgml: do not use : in
	section identifier  https://bugzilla.gnome.org/show_bug.cgi?id=699406

2014-02-03  Мирослав Николић <miroslavnikolic@rocketmail.com>

	* po/sr.po, po/sr@latin.po: Updated Serbian translation

2013-12-23  Vivien Malerba <malerba@gnome-db.org>

	* NEWS, configure.ac: Released version 5.2.2

	* libgda-ui/gdaui-cloud.c, libgda/gda-data-handler.c,
	libgda/gda-data-handler.h, libgda/gda-data-model.c, libgda/gda-value.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/handlers/gda-handler-time.c,
	providers/firebird/gda-firebird-recordset.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/postgres/gda-postgres-recordset.c,
	tools/browser/schema-browser/relations-diagram.c: Don't use setlocale()
	anymore in library as it's not thread safe

	* providers/firebird/gda-firebird-provider.c,
	tests/value-holders/check_set.c: Avoid using some reprecated API

2013-12-20  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-value.c, libgda/gda-value.h: Misc GdaNumeric related
	improvements

2013-11-17  Vivien Malerba <malerba@gnome-db.org>

	* NEWS, configure.ac: Released 5.2.1

2013-11-11  Vivien Malerba <malerba@gnome-db.org>

	* NEWS, configure.ac: Released 5.2.0

	* libgda/sqlite/sqlite-src/PragmasPatch,
	libgda/sqlite/sqlite-src/sqlite3.c, libgda/sqlite/sqlite-src/sqlite3.h,
	providers/sqlcipher/sqlcipher.patch: Switched to SQlite 3.8.0.2 and
	SlqCipher 3.0.0

	* libgda/gda-config.c, tests/data-models/check_virtual.c: Code cleanup

2013-11-10  Мирослав Николић <miroslavnikolic@rocketmail.com>

	* po/sr.po, po/sr@latin.po: Updated Serbian translation

2013-10-14  Rūdolfs Mazurs <rudolfsm@src.gnome.org>

	* po/LINGUAS, po/lv.po: Added Latvian translation

2013-09-29  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/check_postgres.c, tests/providers/check_sqlite.c,
	tests/providers/prov-test-common.c, tests/providers/prov-test-common.h,
	tests/providers/prov_dbstruct.xml, tests/test-cnc-utils.c,
	tests/test-cnc-utils.h: Improved tests regarding providers handling of
	dates

	* libgda/gda-connection.c, libgda/gda-server-provider-extra.c,
	libgda/gda-server-provider-extra.h: Fix memory leak regarding
	GdaDataHandler associated to connections

2013-09-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/handlers/gda-handler-time.c, tests/test-input-parsers.c:
	GdaHandler time correction

	* providers/jdbc/jdbc-mappings.xml,
	.../jdbc_specs_com.microsoft.sqlserver.jdbc.SQLServerDriver_dsn.xml.in:
	JDBC: SqlServer related corrections

	* libgda/gda-data-model-bdb.c, libgda/gda-server-provider-extra.c,
	libgda/gda-sql-builder.c, libgda/gda-value.c,
	testing/gda-provider-status.c: Misc. corrections

	* tools/cmdtool/tool-output.c, tools/gda-sql.c: GdaSql: better handle
	date formatting

	* doc/C/libgda-sections.txt, libgda/gda-connection.c,
	libgda/gda-connection.h, libgda/libgda.symbols: Added
	gda_connection_get_date_format()

	* providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-recordset.c: Oracle: some corrections

	* providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-pstmt.c,
	providers/postgres/gda-postgres-pstmt.h,
	providers/postgres/gda-postgres-recordset.c,
	providers/postgres/gda-postgres.h: PostgreSQL: adapt to date format
	changes  which can be triggered by commands like "SET DATESTYLE TO..."

	* doc/C/libgda-sections.txt, libgda/gda-util.c, libgda/gda-util.h,
	libgda/libgda.symbols: Added some gda_parse_formatted_*() functions to
	helps parsing date and time strings

2013-09-23  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-server-provider.c, libgda/libcsv.c: Fix a compiler warning

2013-09-17  Vivien Malerba <malerba@gnome-db.org>

	* doc/mallard/gda-vala/C/Makefile.am, doc/mallard/gda-vala/Makefile.am,
	tests/providers/prov-test-common.c, tools/browser/help/Makefile.am,
	tools/help/Makefile.am: Have "make distcheck" work

2013-09-16  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, tools/browser/help/.gitignore,
	tools/browser/help/gda-browser.omf.in: Removed useless file

	* .gitignore, Makefile.am, configure.ac,
	doc/mallard/gda-vala/Makefile.am, m4/.gitignore,
	tools/browser/help/.gitignore, tools/browser/help/Makefile.am,
	tools/help/Makefile.am: Port from gnome-doc-utils to yelp-utils, for
	bug #708017

2013-08-28  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, doc/C/limitations.xml,
	libgda/gda-statement.c, libgda/gda-statement.h, libgda/gda-value.c,
	libgda/gda-value.h, libgda/handlers/gda-handler-time.c,
	libgda/libgda.symbols, libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-recordset.c,
	.../skel-implementation/capi/gda-capi-provider.c, tests/.gitignore,
	tests/Makefile.am, tests/data-models/check_pmodel.c,
	tests/data-models/check_vcnc.c, tests/providers/check_mysql.c,
	tests/providers/check_postgres.c, tests/providers/check_sqlite.c,
	tests/providers/prov-test-common.c, tests/providers/prov-test-common.h,
	tests/providers/prov_dbstruct.xml, tests/test-sql-renderer.c: Correctly
	handle timezone in time and timestamp values  most of the databases
	store time and timestamp in the GMT timezone, so the time and timestamp
	in other timezones need to be converted to GMT before being used

2013-08-21  Vivien Malerba <malerba@gnome-db.org>

	* tests/multi-threading/check_cnc_lock.c,
	tests/multi-threading/check_mutex.c,
	tests/test-connection-string-split.c,
	tests/value-holders/check_holder.c, tests/value-holders/check_set.c,
	tests/value-holders/check_statement.c: Don't use g_type_init() if not
	necessary

	* tests/.gitignore, tests/Makefile.am, tests/data-model-errors.c,
	tests/data-models/Makefile.am, tests/data-models/check_data_proxy.c,
	tests/data-models/check_empty_rs.c,
	tests/data-models/check_model_errors.c,
	tests/data-models/check_pmodel.c, tests/multi-threading/Makefile.am,
	tests/multi-threading/common.c, tests/providers/Makefile.am,
	tests/providers/prov-test-common.c, tests/test-cnc-utils.c,
	tests/test-errors.c, tests/test-errors.h,
	tests/value-holders/Makefile.am, tests/value-holders/check_holder.c,
	tests/value-holders/check_set.c, tests/value-holders/check_statement.c,
	tests/value-holders/common.c, tests/value-holders/common.h: Make sure
	g_set_error() is called with valid error domain and code

2013-06-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src/PragmasPatch,
	libgda/sqlite/sqlite-src/sqlite3.c, libgda/sqlite/sqlite-src/sqlite3.h,
	providers/sqlcipher/sqlcipher.patch: Switched to SQlite 3.7.17 and
	SlqCipher 2.2.0

2013-06-08  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/prov-notes.xml, libgda/sqlite/gda-sqlite-provider.c,
	providers/sqlite/sqlite_specs_dsn.xml.in: SQLite: added the
	"APPEND_DB_EXTENSION" connection option

	* libgda-report/engine/gda-report-engine.c,
	libgda-report/engine/rt-parser.c,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-number.c,
	libgda-ui/data-entries/gdaui-entry-string.c,
	libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-cloud.c,
	libgda-ui/gdaui-data-store.c, libgda-ui/gdaui-raw-form.c,
	libgda-ui/gdaui-raw-grid.c, libgda-ui/gdaui-server-operation.c,
	libgda-xslt/sql_backend.c, libgda/Makefile.am, libgda/gda-connection.c,
	libgda/gda-data-model-bdb.c, libgda/gda-data-pivot.c,
	libgda/gda-decl.h, libgda/gda-meta-store.c,
	libgda/gda-meta-struct-io.c, libgda/gda-meta-struct.c,
	libgda/gda-sql-builder.c, libgda/gda-tree.c, libgda/gda-util.c,
	libgda/handlers/gda-handler-time.c,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	providers/firebird/gda-firebird-blob-op.c,
	providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-recordset.c,
	providers/jdbc/gda-jdbc-meta.c, providers/jdbc/gda-jdbc-provider.c,
	providers/ldap/gda-ldap-util.c,
	providers/ldap/gdaprov-data-model-ldap.c,
	providers/mysql/gda-mysql-blob-op.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-blob-op.c,
	providers/oracle/gda-oracle-meta.c,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-util.c,
	providers/postgres/gda-postgres-provider.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	providers/skel-implementation/capi/gda-capi-blob-op.c,
	providers/skel-implementation/capi/gda-capi-meta.c,
	providers/skel-implementation/capi/gda-capi-provider.c,
	providers/skel-implementation/capi/gda-capi-pstmt.c,
	providers/skel-implementation/capi/gda-capi-recordset.c,
	providers/skel-implementation/models/gda-models-provider.c,
	providers/web/gda-web-blob-op.c, providers/web/gda-web-provider.c,
	tests/data-model-errors.c, tests/gda-ddl-creator.c,
	tests/parser/check_dml_comp.c, tests/test-cnc-utils.c,
	tools/browser/browser-connection.c,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/hierarchy-view.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/mgr-favorites.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-info.c,
	tools/browser/schema-browser/table-preferences.c,
	tools/cmdtool/tool-decl.h: Don't allow the TO_IMPLEMENT macro to be in
	the public headers

2013-06-03  Daniel Espinosa <esodan@gmail.com>

	* configure.ac, libgda/Gda-5.0.gir, libgda/Makefile.am,
	libgda/gda-data-model.c, libgda/gda-meta-store.h,
	libgda/libgda-5.0.vapi: Honors --enable-introspection. Removed non
	public API. Updated bindings GI and Vala.

2013-05-30  Daniel Espinosa <esodan@gmail.com>

	* libgda/Gda-5.0.gir, libgda/gda-data-model-dir.c,
	libgda/gda-data-model-import.c, libgda/gda-data-model.c,
	libgda/gda-meta-store.c, libgda/gda-meta-store.h,
	libgda/gda-server-provider.h, libgda/providers-support/gda-pstmt.h,
	libgda/sql-parser/gda-sql-parser.h,
	libgda/sql-parser/gda-statement-struct-decl.h: Avoid GIR generation
	warnings

2013-05-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-value.c, libgda/handlers/gda-handler-numerical.c: Use the
	"C" locale in gda_value_stringify(), as per the documentation

2013-05-23  Georges Basile Stavracas Neto <georges.stavracas@gmail.com>

	* tools/browser/help/Makefile.am, tools/browser/help/pt_BR/pt_BR.po:
	Updated Brazilian Portuguese translation for browser help

2013-05-16  Daniel Espinosa <esodan@gmail.com>

	* doc/mallard/gda-vala/C/db-field-info-interface.page,
	doc/mallard/gda-vala/C/db-table-interface.page: Fixed Vala Extensions
	documentation generation

	* doc/mallard/gda-vala/C/Makefile.am,
	.../gda-vala/C/db-field-info-interface.page,
	doc/mallard/gda-vala/C/db-table-interface.page: Fix typo on
	documentation. Added missing file to Makefile.am

	* doc/mallard/gda-vala/C/Makefile.am,
	.../gda-vala/C/db-field-info-interface.page,
	doc/mallard/gda-vala/C/db-table-interface.page: Updated documentation
	for GdaData.DbTable and DbFieldInfo interfaces

	* libgda/data/DbFieldInfo.vala, libgda/data/DbTable.vala,
	libgda/data/GdaData-5.0.gir, tests/vala/CheckTable.vala: Added
	equivalent() and compatible() methods to DbTable and DbFieldInfo

	* libgda/Makefile.am, libgda/gda-sql-expression-private.h,
	libgda/gda-sql-expression.c, libgda/gda-sql-expression.h: Removed
	GdaSqlExpression is not required due to GdaSqlBuilder API

	* libgda/gda-sql-expression.c, libgda/gda-sql-expression.h:
	GdaSqlExpression Last modifications. Saved just for future reference
	before delete.

2013-05-15  Daniel Espinosa <esodan@gmail.com>

	* libgda/gda-sql-expression.c, libgda/gda-sql-expression.h,
	libgda/gda-sql-select-private.h, libgda/gda-sql-select.c,
	libgda/gda-sql-select.h: Added documentation to GdaSqlExpression
	methods. Removed GdaSqlSelect object.

	* libgda/Makefile.am, libgda/gda-sql-expression-private.h,
	libgda/gda-sql-expression.c, libgda/gda-sql-expression.h,
	libgda/gda-sql-select.h: Fixing API for GdaSqlExpression. Added to
	Makefile.am

2013-05-14  Daniel Espinosa <esodan@gmail.com>

	* libgda/gda-sql-expression-private.h, libgda/gda-sql-expression.c,
	libgda/gda-sql-expression.h, libgda/gda-sql-select-private.h,
	libgda/gda-sql-select.c, libgda/gda-sql-select.h: Added GdaSqlSelect
	class to allow GI to create select expressions as GdaSqlExpr

	* libgda/gda-sql-expression-private.h, libgda/gda-sql-expression.c,
	libgda/gda-sql-expression.h: Added new GdaSqlExpression Class to allow
	GI to create GdaSqlExpr structs

2013-05-13  Daniel Espinosa <esodan@gmail.com>

	* libgda/data/DbTable.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Schema.vala, tests/vala/CheckTable.vala: Moved
	DbTable.TableType.from_string () as a unum function member

2013-05-03  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/gdaui-data-selector.c, libgda-ui/libgdaui-5.0.vapi: Fix GI
	annotations to Gdaui.DataSelector.get_selected_rows ()

2013-04-30  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, providers/jdbc/GdaInputStream.c,
	providers/jdbc/GdaJValue.c, providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/jni-wrapper.c,
	providers/jdbc/jni-wrapper.h, providers/jdbc/provider.java: JDBC
	provider: improved the way C pointers are passed through JNI

2013-05-09  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, libgda-ui/gdaui-init.c: Hide some UI
	plugins messages, fixes bug #699575  these messages can be displayed by
	setting the GDAUI_SHOW_PLUGINS_LOADING environment variable

	* providers/jdbc/Makefile.am, tests/ui/check_sets.c: Have "make
	distcheck" work

	* doc/C/libgda-5.0-docs.sgml,
	libgda-ui/data-entries/gdaui-numeric-entry.c, libgda/gda-config.c,
	libgda/gda-connection.c, libgda/gda-data-handler.c,
	libgda/gda-data-model.c, libgda/gda-data-pivot.c, libgda/gda-holder.c,
	libgda/gda-init.c, libgda/gda-lockable.c, libgda/gda-log.c,
	libgda/gda-meta-store.c, libgda/gda-mutex.c, libgda/gda-mutex.h,
	libgda/gda-set.c, libgda/gda-sql-builder.c, libgda/gda-value.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	providers/jdbc/jni-wrapper.c, providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-util.c, providers/web/gda-web-util.c,
	tools/browser/browser-connection-priv.h,
	tools/browser/browser-connection.c, tools/browser/browser-page.c,
	tools/browser/browser-perspective.c, tools/gda-threader.c: Removed
	GLIB_CHECK_VERSION as minimum required version is 2.32

2013-05-06  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-raw-grid.c, libgda-ui/gdaui-tree-store.c,
	libgda/gda-init.c, libgda/handlers/gda-handler-time.c: Misc small
	corrections

	* .../DocBook/gda-report-docbook-document.c,
	libgda-report/RML/gda-report-rml-document.c,
	libgda-report/engine/gda-report-engine.c,
	libgda-report/gda-report-document.c, libgda-xslt/sqlexslt.c,
	libgda/dir-blob-op.c, libgda/gda-batch.c, libgda/gda-blob-op.c,
	libgda/gda-column.c, libgda/gda-connection-event.c,
	libgda/gda-connection.c, libgda/gda-data-access-wrapper.c,
	libgda/gda-data-comparator.c, libgda/gda-data-handler.c,
	libgda/gda-data-meta-wrapper.c, libgda/gda-data-model-array.c,
	libgda/gda-data-model-bdb.c, libgda/gda-data-model-dir.c,
	libgda/gda-data-model-dsn-list.c, libgda/gda-data-model-import.c,
	libgda/gda-data-model-iter.c, libgda/gda-data-pivot.c,
	libgda/gda-data-proxy.c, libgda/gda-data-select.c, libgda/gda-holder.c,
	libgda/gda-init.c, libgda/gda-meta-store.c, libgda/gda-meta-struct.c,
	libgda/gda-mutex.c, libgda/gda-row.c, libgda/gda-server-operation.c,
	libgda/gda-server-provider.c, libgda/gda-set.c,
	libgda/gda-sql-builder.c, libgda/gda-statement.c,
	libgda/gda-transaction-status.c, libgda/gda-tree-manager.c,
	libgda/gda-tree-mgr-columns.c, libgda/gda-tree-mgr-label.c,
	libgda/gda-tree-mgr-ldap.c, libgda/gda-tree-mgr-schemas.c,
	libgda/gda-tree-mgr-select.c, libgda/gda-tree-mgr-tables.c,
	libgda/gda-tree-node.c, libgda/gda-tree.c, libgda/gda-types.c,
	libgda/gda-xa-transaction.c, libgda/handlers/gda-handler-bin.c,
	libgda/handlers/gda-handler-boolean.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/handlers/gda-handler-string.c,
	libgda/handlers/gda-handler-time.c, libgda/handlers/gda-handler-type.c,
	libgda/providers-support/gda-pstmt.c,
	libgda/sql-parser/gda-sql-parser.c,
	libgda/sql-parser/gda-statement-struct.c,
	libgda/sqlite/gda-sqlite-blob-op.c,
	libgda/sqlite/gda-sqlite-handler-bin.c,
	libgda/sqlite/gda-sqlite-handler-boolean.c,
	libgda/sqlite/gda-sqlite-meta.c, libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-pstmt.c, libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-virtual-connection.c,
	libgda/sqlite/virtual/gda-virtual-provider.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-hub.c,
	libgda/thread-wrapper/gda-thread-blob-op.c,
	libgda/thread-wrapper/gda-thread-provider.c,
	libgda/thread-wrapper/gda-thread-recordset.c,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	providers/bdb/gda-bdb-provider.c,
	providers/firebird/gda-firebird-blob-op.c,
	providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-parser.c,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-pstmt.c,
	providers/firebird/gda-firebird-recordset.c,
	providers/jdbc/gda-jdbc-blob-op.c, providers/jdbc/gda-jdbc-meta.c,
	providers/jdbc/gda-jdbc-provider.c, providers/jdbc/gda-jdbc-pstmt.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/libmain.c,
	providers/ldap/gda-ldap-provider.c,
	providers/ldap/gdaprov-data-model-ldap.c,
	providers/mdb/gda-mdb-provider.c, providers/mysql/gda-mysql-blob-op.c,
	providers/mysql/gda-mysql-handler-boolean.c,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-pstmt.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/oracle/gda-oracle-blob-op.c,
	providers/oracle/gda-oracle-meta.c,
	providers/oracle/gda-oracle-parser.c,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-pstmt.c,
	providers/oracle/gda-oracle-recordset.c,
	providers/postgres/gda-postgres-blob-op.c,
	providers/postgres/gda-postgres-handler-bin.c,
	providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-pstmt.c,
	providers/postgres/gda-postgres-recordset.c,
	providers/reuseable/mysql/gda-mysql-meta.c,
	providers/reuseable/mysql/gda-mysql-parser.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	providers/reuseable/postgres/gda-postgres-parser.c,
	.../skel-implementation/capi/gda-capi-blob-op.c,
	providers/skel-implementation/capi/gda-capi-meta.c,
	.../skel-implementation/capi/gda-capi-parser.c,
	.../skel-implementation/capi/gda-capi-provider.c,
	.../skel-implementation/capi/gda-capi-pstmt.c,
	.../skel-implementation/capi/gda-capi-recordset.c,
	.../models/gda-models-provider.c, providers/web/gda-web-blob-op.c,
	providers/web/gda-web-provider.c, providers/web/gda-web-pstmt.c,
	providers/web/gda-web-recordset.c, providers/web/php/test.php,
	samples/BDB/custom-bdb-model.c, tests/data-model-errors.c,
	tests/multi-threading/dummy-object.c, tools/browser/auth-dialog.c,
	tools/browser/browser-connection.c,
	tools/browser/browser-connections-list.c, tools/browser/browser-core.c,
	tools/browser/browser-variable.c,
	tools/browser/browser-virtual-connection.c,
	tools/browser/browser-window.c, tools/browser/common/fk-declare.c,
	tools/browser/connection-binding-properties.c,
	.../data-manager/data-manager-perspective.c,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/data-manager/data-source.c,
	.../browser/dummy-perspective/dummy-perspective.c,
	.../ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/mgr-ldap-classes.c,
	tools/browser/ldap-browser/mgr-ldap-entries.c,
	tools/browser/login-dialog.c, tools/browser/mgr-favorites.c,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/schema-browser/mgr-columns.c,
	.../schema-browser/schema-browser-perspective.c, tools/gda-threader.c,
	tools/gda-tree-mgr-xml.c, tools/tools-favorites.c, tools/web-server.c:
	Don't use GStaticMutex (which is deprecated) anymore

2013-05-05  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/browser-window.c,
	tools/browser/data-manager/data-manager-perspective.c,
	tools/browser/dummy-perspective/dummy-perspective.c,
	tools/browser/ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-info.c: GdaBrowser: use
	capitalization in menu items, fixes bug #699573

2013-05-03  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/gda-sql-manual.xml, doc/C/libgda-5.0-docs.sgml,
	doc/C/prov-notes.xml: Main documentation update

	* doc/C/limitations.xml, doc/C/prov-notes.xml,
	providers/jdbc/.gitignore, providers/jdbc/Makefile.am,
	providers/jdbc/gda-jdbc-provider.c, providers/jdbc/jdbc-mappings.xml,
	providers/jdbc/jdbc.gresource.xml,
	...osoft.sqlserver.jdbc.SQLServerDriver_dsn.xml.in,
	providers/jdbc/jdbc_specs_dsn.xml.in, providers/jdbc/libmain.c: JDBC
	provider: make it possible to use connection parameters similar to
	other providers  like HOST, DB_NAME, ...

2013-05-03  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/gdaui-data-selector.c, libgda-ui/libgdaui-5.0.vapi: Fix GI
	annotations to Gdaui.DataSelector.get_selected_rows ()

	* libgda-ui/libgdaui-5.0.vapi, libgda/data/DbFieldInfo.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Table.vala: GdaData: Added
	to_string() functons and items() to enums

2013-04-30  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, providers/jdbc/GdaInputStream.c,
	providers/jdbc/GdaJValue.c, providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/jni-wrapper.c,
	providers/jdbc/jni-wrapper.h, providers/jdbc/provider.java: JDBC
	provider: improved the way C pointers are passed through JNI

2013-04-28  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/glade/widget-gdaui-gdauibasicform.png,
	libgda-ui/glade/widget-gdaui-gdauicombo.png,
	libgda-ui/glade/widget-gdaui-gdauilogin.png,
	libgda-ui/glade/widget-gdaui-gdauirawgrid.png: Adding missing png files
	for Glade integration.

2013-04-25  Vivien Malerba <malerba@gnome-db.org>

	* providers/jdbc/Makefile.am, providers/jdbc/provider.java,
	providers/jdbc/sqlserver.java: Added specific code for SqlServer
	accessed through JDBC

	* providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/libmain.c,
	providers/jdbc/provider.java: Minor JDBC corrections

	* libgda-ui/Makefile.am, libgda/Makefile.am, po/POTFILES.skip: Have
	"make distcheck work"

	* providers/jdbc/GdaJValue.c, providers/jdbc/Makefile.am,
	providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/jni-wrapper.c,
	providers/jdbc/libmain.c, providers/jdbc/provider.java: JDBC provider
	corrections  - handle deprecated functions - corrected compilation -
	misc.

2013-04-20  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/Makefile.am, libgda-ui/gdaui-login.c,
	libgda-ui/glade/Makefile.am, libgda-ui/glade/gdaui-catalog.xml,
	libgda-ui/libgdaui-5.0.vapi, libgda/Makefile.am,
	libgda/data/DbRecordCollection.vala, libgda/data/GdaData-5.0.gir,
	libgda/gda-config.c, libgda/gda-config.h, libgda/libgda-5.0.vapi,
	libgda/libgda.symbols: More fixes to Gda UI GI and Vala bindings. Added
	more objects to Glade. Mis. on GdaData * Fixes on GdaDsnInfo and Gda UI
	bindings, by set GdaDsnInfo as GBoxed derived type * Added vapi files
	for Gda UI to track changes * Added more objects (expected to be used
	by Glade) to Glade's catalog * Added 'model' property for
	GdaData.DbRecordCollection * Removed vapi and GIR files from CLEANFILES

2013-04-18  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/libgdaui-5.0.vapi, libgda/data/DbRecord.vala,
	libgda/data/DbTable.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/data/Table.vala: Fixed Gdaui Vala
	bindings by adding correct headers. Fixed owned in DbRecord.get_value *
	Set include headers in GIR and Vala bindings for Gdaui to
	libgda-ui/libgda-ui.h * No transfer ownership from DbRecord.get_value,
	fix derived classes properties implementation

	* configure.ac, libgda-ui/Makefile.am, libgda-ui/glade/Makefile.am,
	libgda-ui/glade/gdaui-catalog.xml,
	libgda-ui/glade/widget-gdaui-gdauigrid.png: Fixed Glade integration.
	Added GdauiGrid object to Glade catalog.

2013-04-17  Daniel Espinosa <esodan@gmail.com>

	* configure.ac, libgda-ui/glade/Makefile.am,
	libgda-ui/glade/gdaui-catalog.xml: Initial work on Glade 3 Support
	added

2013-04-10  Daniel Espinosa <esodan@gmail.com>

	* libgda/data/DbField.vala, libgda/data/DbRecord.vala,
	libgda/data/Field.vala, libgda/data/GdaData-5.0.gir,
	tests/vala/CheckDataObject.vala: Added equal() and to_string() to
	DbField. equal() and copy() to DbRecord. * Added DbRecord.copy () *
	Updated bindings and GI for GdaData * Removed to_string () from Field

2013-04-07  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c, libgda/gda-connection.c,
	libgda/gda-data-model-import.c, libgda/gda-data-model.c,
	libgda/gda-data-proxy.c, libgda/gda-data-select.c,
	libgda/gda-meta-store.c, libgda/gda-meta-struct-io.c,
	libgda/gda-value.c: Code indentation and some corrections

2013-04-07  Miguel Angel Cabrera Moya <madmac2501@gmail.com>

	* libgda/gda-config.c, libgda/gda-connection.c,
	libgda/gda-data-model-import.c, libgda/gda-data-model.c,
	libgda/gda-data-proxy.c, libgda/gda-data-select.c,
	libgda/gda-meta-store.c, libgda/gda-meta-struct-io.c,
	libgda/gda-value.c: Fix some memory leaks

2013-04-05  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/libgdaui-5.0.vapi, libgda/libgda-5.0.vapi: Added Gda UI
	Vala bindings to repository to track changes

2013-04-04  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/gdaui-raw-grid.c, libgda-ui/gdaui-set.c,
	libgda-ui/gdaui-set.h, libgda/gda-set.c, libgda/gda-set.h,
	libgda/libgda-5.0.vapi, libgda/libgda.symbols: Fixed make check all
	tests pass

2013-03-26  Daniel Espinosa <esodan@gmail.com>

	* .../data-entries/gdaui-data-cell-renderer-combo.c,
	.../data-entries/gdaui-data-cell-renderer-info.c,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-data-entry.c,
	libgda-ui/gdaui-raw-grid.c, libgda-ui/gdaui-set.c,
	libgda-ui/gdaui-set.h, libgda-ui/internal/utility.c,
	libgda-ui/libgda-ui.symbols, libgda/gda-set.c, libgda/gda-set.h,
	libgda/gda-value.h, libgda/libgda-5.0.vapi, libgda/libgda.symbols:
	Sealed most GdaSet and GdauiSet structures

2013-03-20  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/gdaui-plugin.h, libgda-ui/gdaui-set.c,
	libgda-ui/gdaui-set.h, libgda/gda-set.c, libgda/gda-set.h,
	libgda/libgda-5.0.vapi: Improved Gda and Gdaui Vala Bindings * Fixed
	missing paramenters in gdaui-plugin.h * Set as opaque, added new
	methods and registering as GType GdaSetSource, GdaGroup, GdauiSetSource
	and GdauiSetGroup * Updated libgda-5.0.vapi

2013-04-05  Victor Ibragimov <victor.ibragimov@gmail.com>

	* po/LINGUAS, po/tg.po: Added Tajik Translation

2013-03-24  Мирослав Николић <miroslavnikolic@rocketmail.com>

	* po/LINGUAS, po/sr.po, po/sr@latin.po: Added Serbian translation

2013-03-11  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-meta-store.c,
	libgda/gda-meta-store.h, libgda/libgda.symbols: Added
	gda_meta_context_copy()

	* doc/C/prov-writing-virtual-methods.xml,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	libgda/thread-wrapper/gda-thread-wrapper.h: Doc. improvements

	* libgda/gda-connection-internal.h, libgda/gda-connection.c,
	libgda/thread-wrapper/gda-thread-provider.c: Make sure the
	GdaConnection::is-wrapper property is not modified outside Libgda's
	code

	* libgda/gda-connection.c, libgda/gda-connection.h,
	libgda/gda-server-provider.c: Added the
	GDA_CONNECTION_FEATURE_ASYNC_EXEC option to test if a connection
	supports async. execution

2013-02-14  Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>

	* libgda/gda-meta-store.c, libgda/gda-meta-store.h: Fix
	gda_meta_context_new() prototype  Also fix gda_meta_context_copy() to
	actually set the table name of the copy. 
	https://bugzilla.gnome.org/show_bug.cgi?id=693842

2013-01-23  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement.c, libgda/sqlite/gda-sqlite-meta.c,
	libgda/sqlite/gda-sqlite-provider.c,
	providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-provider.c,
	providers/jdbc/gda-jdbc-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-meta.c,
	providers/oracle/gda-oracle-provider.c,
	providers/postgres/gda-postgres-provider.c,
	providers/skel-implementation/capi/gda-capi-meta.c,
	.../skel-implementation/capi/gda-capi-provider.c: Code cleanups and
	improvements

	* libgda/gda-connection.c, providers/reuseable/mysql/gda-mysql-meta.c,
	providers/reuseable/postgres/gda-postgres-meta.c: Memory leaks
	corrections

	* libgda/sqlite/gda-sqlite-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-provider.c: SQL rendering corrections

2013-01-20  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda/Makefile.am, po/POTFILES.in,
	tools/cmdtool/Makefile.am: Misc corrections to have "make distcheck"
	work

	* libgda/sqlite/Makefile.am, providers/bdbsql/Makefile.am: BdbSQlite
	provider: fixed compilation problems

2013-01-06  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-server-provider-extra.c,
	libgda/gda-server-provider-extra.h, libgda/gda-server-provider.c,
	libgda/libgda.symbols, libgda/sqlite/gda-sqlite-provider.c,
	providers/firebird/gda-firebird-provider.c,
	providers/jdbc/gda-jdbc-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-provider.c,
	providers/postgres/gda-postgres-provider.c,
	.../skel-implementation/capi/gda-capi-provider.c: More code cleanups

	* libgda/gda-data-handler.c, providers/mysql/.gitignore,
	providers/mysql/Makefile.am, providers/mysql/gda-mysql-provider.c:
	Correction for bug #691099  Added data handler for binary data

2013-01-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-handler.c, libgda/handlers/gda-handler-bin.c,
	libgda/handlers/gda-handler-boolean.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/handlers/gda-handler-string.c,
	libgda/handlers/gda-handler-time.c, libgda/handlers/gda-handler-type.c,
	libgda/sqlite/gda-sqlite-handler-bin.c,
	libgda/sqlite/gda-sqlite-handler-boolean.c,
	providers/mysql/gda-mysql-handler-boolean.c,
	providers/postgres/gda-postgres-handler-bin.c,
	providers/postgres/gda-postgres-provider.c: GdaDataHandler code
	cleanups

2013-01-03  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-provider.c,
	providers/mysql/mysql_specs_create_db.xml.in,
	providers/mysql/mysql_specs_drop_db.xml.in,
	providers/mysql/mysql_specs_dsn.xml.in: Correction for bug #691069,
	MySQL: Cannot specify the protocol

2012-12-29  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model.c, libgda/gda-data-model.h,
	tools/cmdtool/tool-output.c: Added GDA_DATA_MODEL_IO_TEXT_TABLE export
	format

	* libgda/gda-data-access-wrapper.c, libgda/gda-data-access-wrapper.h:
	gda_data_access_wrapper_set_mapping(): API correction

	* samples/Blobs/Makefile.cross.win32, samples/Blobs/README,
	samples/Blobs/blobtest.c: Improved blobs example

	* libgda/sqlite/gda-sqlite-provider.c,
	providers/oracle/gda-oracle-meta.c: Code cleanup

	* tools/Makefile.am, tools/cmdtool/Makefile.am: Corrected out of tree
	building

2012-12-22  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src/PragmasPatch,
	libgda/sqlite/sqlite-src/sqlite3.c, libgda/sqlite/sqlite-src/sqlite3.h,
	providers/sqlcipher/sqlcipher.patch: Upgraded SQLite to 3.7.14.1 and
	SqlCipher to 2.1.1

2012-12-08  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, tools/Makefile.am, tools/browser/Makefile.am,
	tools/browser/auth-dialog.c, tools/browser/browser-connection.c,
	tools/browser/browser-virtual-connection.c,
	tools/browser/canvas/browser-canvas-fkey.c,
	tools/browser/common/favorites-actions.c,
	tools/browser/common/favorites-actions.h,
	tools/browser/common/fk-declare.c, tools/browser/common/ui-formgrid.c,
	tools/browser/connection-binding-properties.c,
	tools/browser/data-manager/data-console.c,
	.../browser/data-manager/data-favorite-selector.c,
	.../data-manager/data-manager-perspective.c,
	tools/browser/data-manager/data-source.c,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/doc/gda-browser-sections.txt,
	tools/browser/doc/gda-browser.types, tools/browser/favorites-test.c,
	.../ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/login-dialog.c, tools/browser/mgr-favorites.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/relations-diagram.c,
	.../schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-info.c, tools/cmdtool/Makefile.am,
	tools/cmdtool/tool-command.c, tools/cmdtool/tool-command.h,
	tools/cmdtool/tool-decl.h, tools/cmdtool/tool-defines.h,
	tools/cmdtool/tool-errors.c, tools/cmdtool/tool-errors.h,
	tools/cmdtool/tool-help.c, tools/cmdtool/tool-help.h,
	tools/cmdtool/tool-input.c, tools/cmdtool/tool-input.h,
	tools/cmdtool/tool-output.c, tools/cmdtool/tool-output.h,
	tools/cmdtool/tool.h, tools/command-exec.c, tools/command-exec.h,
	tools/config-info.c, tools/gda-sql.c, tools/gda-sql.h,
	tools/help/C/gda-sql-help.xml, tools/tool-utils.c, tools/tool-utils.h,
	tools/tools-favorites.c, tools/tools-favorites.h, tools/tools-input.c,
	tools/tools-input.h, tools/tools-utils.c, tools/tools-utils.h,
	tools/web-server.c: Improved Gda-Sql: code cleanups and small bug fixes

	* doc/C/prov-notes.xml, providers/ldap/gda-ldap-provider.c,
	providers/ldap/gda-ldap-util.c, providers/ldap/ldap_specs_auth.xml.in:
	Misc. LDAP provider corrections

2012-12-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-handler.c, libgda/handlers/gda-handler-time.c: Handle
	GDateTime conversions using GdaDataHandler

2012-11-02  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/Gdaui-5.0.metadata, libgda-ui/Makefile.am,
	libgda-ui/gdaui-combo.c, libgda-ui/gdaui-combo.h,
	libgda-ui/gdaui-tree-store.c, libgda-ui/gdaui-tree-store.h,
	libgda/Makefile.am, m4/vapigen.m4: Fixed Gda-ui Vala bindings
	generation. Fixed Vala bindings installation. * Using
	$(datadir)/vala/vapi to install bindings * Fixed vala.m4 macros to add
	a system wide installation for bindings * Fixed Gda-ui bindings
	generation for bug 687481 * Deprecate gdaui_combo_set_model due to
	problems with bindings * Added gdaui_combo_set_data a more bindings
	friendly function * Deprecate gdaui_tree_store_get_iter due to problems
	with bindings * Added gdaui_tree_store_get_iter_from_node a more
	bindings friendly function

	* configure.ac, libgda-ui/Gdaui-5.0.metadata, libgda-ui/Makefile.am,
	libgda-ui/gdaui-data-entry.c, libgda-ui/gdaui-data-entry.h,
	libgda/libgda-5.0.vapi: Added preliminary support for Gda-ui Vala
	bindings * Added --enable-gdaui-vala switch to build Gda-ui Vala
	bindings * Deprecated gda_data_entry_contents_is_valid method and
	::contents-valid signal * Added gda_data_entry_validate virtual
	function to add bindings friendly and avoid conflicts with
	::contents-valid signal and method. * For now Gda-ui Vala bindings
	don't build because errors on dependent Gio-2.0.gir parsing errors.
	Build depends on Bug 687481.

2012-11-01  Daniel Espinosa <esodan@gmail.com>

	* configure.ac, libgda/Gda-5.0.gir, libgda/libgda-5.0.vapi,
	m4/vapigen.m4: Build fixes for GI, Vala and Vala Extensions Bug 687235
	* GObject Introspection check pre-requisites * Vala bindings check
	pre-requisites * Vala Extensions check pre-requisites * Modified
	vapigen.m4 macros * Added some help on switches for Vala bindings, GI
	and Vala Extensions * Added AM_PROG_VALAC checks for correct Vala
	compiler version * Gir and Vala bindings updates

2012-11-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-dsn-list.c, libgda/gda-data-model-dsn-list.h,
	libgda/gda-data-model-iter.c, libgda/gda-data-model-iter.h,
	libgda/gda-holder.c, libgda/gda-holder.h, libgda/gda-meta-struct-io.c,
	libgda/gda-meta-struct-private.h, libgda/gda-meta-struct.h,
	libgda/libgda.symbols, libgda/sql-parser/delimiter.y,
	libgda/sql-parser/gda-sql-parser.c, libgda/sql-parser/parser.y: More
	work for bug #669801

2012-10-31  Murray Cumming <murrayc@murrayc.com>

	* configure.ac, m4/introspection.m4: Use the installed introspection.m4

2012-10-19  Daniel Espinosa <esodan@gmail.com>

	* libgda/data/Makefile.am, libgda/data/Table.vala: Improved GI by
	adding shared library to g-ir-compiler. Bug fix for
	GdaData.Table.update()

2012-10-01  Vivien Malerba <malerba@gnome-db.org>

	* control-center/gdaui-dsn-editor.c, testing/gdaui-test-data-entries.c,
	testing/gdaui-test-widget-entry.c,
	tools/browser/browser-connections-list.c,
	tools/browser/canvas-example.c,
	tools/browser/canvas/browser-canvas-print.c,
	tools/browser/common/fk-declare.c,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/connection-binding-properties.c,
	.../browser/data-manager/data-favorite-selector.c,
	tools/browser/ldap-browser/filter-editor.c,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/ldap-browser/vtable-dialog.c,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/schema-browser/table-preferences.c: Avoid using
	deprecated functions  from GtkTable and g_value_set_char()

2012-09-29  Vivien Malerba <malerba@gnome-db.org>

	* Makefile.am, configure.ac, doc/C/Makefile.am,
	libgda-ui/data-entries/gdaui-entry-time.c,
	libgda-ui/data-entries/gdaui-entry.h, libgda-ui/gdaui-data-entry.c,
	libgda-ui/gdaui-raw-grid.c, libgda-ui/gdaui-rt-editor.c,
	libgda-ui/gdaui-server-operation.c, libgda-ui/gdaui-set.c,
	libgda/Makefile.am, libgda/data/Makefile.am, libgda/gda-statement.h,
	m4/vapigen.m4, tests/vala/Makefile.am: Compilation & doc generation
	corrections to have "make distcheck" work

2012-09-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/Makefile.am, providers/firebird/Makefile.am,
	tools/browser/doc/gda-browser-docs.sgml: Build corrections

2012-09-27  Vivien Malerba <malerba@gnome-db.org>

	* Makefile.am, configure.ac: Correction for bug #684895

2012-09-24  Daniel Espinosa <esodan@gmail.com>

	* configure.ac, libgda/data/RecordCollectionIterator.vala,
	tests/vala/CheckDataModelIterator.vala: Ported to Gee 0.8. Vamp to Vala
	0.17.7. * Fixed RecordCollection and RecordCollectionIterator * Set
	Vala and Gee to 0.17.7 (almost 0.18) and 0.8.0 respectively

2012-09-20  Daniel Espinosa <esodan@gmail.com>

	* libgda/data/GdaData-5.0.gir, libgda/data/Makefile.am,
	libgda/data/RecordCollection.vala,
	libgda/data/RecordCollectionIterator.vala,
	libgda/data/SelectQuery.vala, libgda/data/Table.vala,
	tests/vala/CheckDataModelIterator.vala: Fixes to
	RecordCollection.chop() and stream(). Removed warnings. *
	RecordCollection.chop() is fixed appling patch 224866 at bug 684348 to
	libgee * Implemented a custom RecordCollection.stream() function *
	Updated Unit Test for RecordCollection * Removing compilation warnings
	at vala extensions

2012-09-18  Daniel Espinosa <esodan@gmail.com>

	* libgda/data/GdaData-5.0.gir, libgda/data/RecordCollection.vala,
	m4/vapigen.m4, tests/vala/CheckDataModelIterator.vala,
	tests/vala/Makefile.am: Fixes on Unit Test for Vala extensions: * Most
	tests pass. Remains chopping with fails. * More fixes on unit tests
	build Makefile.am * Fix a dump error due to use an invalid iterator *
	Added GdaData.RecordCollection.chop implementation. Must be defined in
	Gee. * Fix vapigen.m4 warnings, by using AC_REQUIRE instead AC_BEFORE

	* INSTALL, configure.ac, libgda/Gda-5.0.gir, libgda/Makefile.am,
	libgda/data/GdaData-5.0.gir, libgda/data/Makefile.am,
	libgda/data/Record.vala, libgda/data/RecordCollection.vala,
	m4/vapigen.m4, tests/vala/Makefile.am: Updated Vala bindings and fixes
	on autotools integration: * Fix for bug 678647, and includes temporaly
	fixes for ubuntu bug 1048790 adding a custom m4/vapigen.m4 file *
	Updated Gda-5.0 and GdaData-5.0 GIR files * Vala extensions now
	requires Vala >= 0.17.5 and Gee >= 0.7.90 * Port Vala extensions to Gee
	0.7.90 * Updates to Unit Tests build

2012-09-05  Vivien Malerba <malerba@gnome-db.org>

	* providers/ldap/gda-ldap-provider.c,
	tools/browser/common/objects-cloud.c,
	tools/browser/data-manager/data-source-manager.c, tools/gda-sql.c: More
	misc. corrections for bugs discovered by CoverityScan

2012-09-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-quark-list.c, libgda/gda-server-operation.c,
	libgda/gda-sql-builder.c, libgda/sql-parser/gda-statement-struct.c,
	libgda/sql-parser/lempar.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	tools/browser/canvas/browser-canvas-utility.c,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/schema-browser/table-preferences.c, tools/gda-sql.c,
	tools/web-server.c: More misc. corrections for bugs discovered by
	CoverityScan

2012-09-01  Murray Cumming <murrayc@murrayc.com>

	* tools/browser/browser-connection.c,
	tools/browser/canvas/browser-canvas-text.c: Fix 2 compiler warnings.

2012-08-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/plugins/gdaui-entry-cidr.c,
	libgda-ui/internal/gdaui-provider-spec-editor.c, libgda/dir-blob-op.c,
	libgda/gda-meta-store.c, libgda/sqlite/mkkeywordhash.c,
	providers/firebird/gda-firebird-provider.c,
	providers/jdbc/gda-jdbc-provider.c, providers/oracle/gda-oracle-util.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	testing/gda-provider-status.c: Misc. corrections for bugs discovered by
	CoverityScan

2012-08-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src/PragmasPatch,
	libgda/sqlite/sqlite-src/sqlite3.c, libgda/sqlite/sqlite-src/sqlite3.h,
	providers/sqlcipher/sqlcipher.patch: Set SQLite version to 3.7.12.1 and
	SqlCipher to 2.0.6

2012-08-25  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, control-center/gdaui-dsn-assistant.c,
	libgda-ui/.gitignore, libgda-ui/Makefile.am,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/demos/ddl_queries.c, libgda-ui/gdaui-combo.c,
	libgda-ui/gdaui-data-proxy-info.c, libgda-ui/gdaui-init.c,
	libgda-ui/gdaui-rt-editor.c, libgda-ui/gdaui.css,
	libgda-ui/gdaui.gresource.xml, testing/gdaui-test-rt-editor.c,
	tools/browser/common/ui-formgrid.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/query-exec/query-console-page.c: Have a unique CSS file
	for Libgdaui  and bumped GLib requirement to 2.32 to use GResources

	* installers/Windows/etc/gtk-3.0/gtkrc,
	installers/Windows/etc/gtk-3.0/settings.ini,
	installers/Windows/make-zip-setup.sh,
	.../themes/Adwaita/gtk-3.0/gtk-win32-base.css,
	.../share/themes/Adwaita/gtk-3.0/gtk-win32-xp.css,
	.../share/themes/Adwaita/gtk-3.0/gtk-win32.css,
	.../Windows/share/themes/Adwaita/gtk-3.0/gtk.css,
	.../Windows/share/themes/Adwaita/index.theme: Windows packaging: use
	CSS theming

2012-08-24  Vivien Malerba <malerba@gnome-db.org>

	* installers/Windows/gda-browser-tmpl.nsi,
	installers/Windows/make-zip-setup.sh: Package the SQLCipher provider
	for Windows

2012-08-23  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/gdaui-server-operation.c: Misc UI corrections

	* control-center/Makefile.am, control-center/cc-utility.c,
	control-center/cc-utility.h, control-center/dsn-config.c: Code
	cleanups: removed control-center/cc-utility.[ch]

2012-08-22  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/gdaui-basic-form.c: Misc UI improvements

	* tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas.c,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/hierarchy-view.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c: Code cleanups to avoid
	compiler warnings

	* control-center/gdaui-bar.c, control-center/gdaui-bar.h,
	tools/browser/schema-browser/objects-index.c: Added
	gdaui_bar_add_search_entry()

	* control-center/gdaui-bar.c, control-center/gdaui-bar.h,
	tools/browser/data-manager/data-console.c,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/relations-diagram.c: Added
	gdaui_bar_add_button_from_stock()

	* control-center/Makefile.am, control-center/cc-gray-bar.c,
	control-center/cc-gray-bar.h, control-center/dsn-config.c,
	control-center/gdaui-bar.c, control-center/gdaui-bar.h,
	control-center/main.c, control-center/provider-config.c,
	tools/browser/Makefile.am, tools/browser/cc-gray-bar.c,
	tools/browser/cc-gray-bar.h, tools/browser/common/objects-cloud.c,
	tools/browser/data-manager/data-console.c,
	.../browser/data-manager/data-favorite-selector.c,
	tools/browser/doc/gda-browser-docs.sgml,
	tools/browser/doc/gda-browser-sections.txt,
	tools/browser/doc/gda-browser.types, tools/browser/gdaui-bar.c,
	tools/browser/gdaui-bar.h, tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/hierarchy-view.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-info.c,
	tools/browser/schema-browser/table-preferences.c,
	tools/browser/schema-browser/table-relations.c: Raplaced CcGrayBAr with
	GdauiBar  which uses CSS theming to render

2012-08-22  Marco Ciampa <ciampix@libero.it>

	* libgda/sqlite/gda-sqlite-provider.c, po/it.po: Updated italian
	translation and a small typo in a string

2012-08-20  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-server-operation.c: Use
	GtkWidget::expand and related properties  instead of custom properties

	* libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/demos/ddl_queries.c, libgda-ui/demos/grid_model_change.c,
	libgda-ui/demos/login.c, libgda-ui/gdaui-cloud.c,
	libgda-ui/gdaui-data-filter.c, libgda-ui/gdaui-data-proxy-info.c,
	libgda-ui/gdaui-login.c, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-rt-editor.c, libgda-ui/gdaui-server-operation.c,
	libgda-ui/gdaui-set.c, libgda-ui/internal/popup-container.c,
	tools/browser/common/widget-overlay.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-editor.c,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/table-columns.c: Fixed compilation
	warnings and avoid using deprecated functions/objects

2012-08-18  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda/Makefile.am, libgda/gda-config.c: Migrated from
	libgnome-keyring to libsecret  it is still possible to force usage of
	libgnome-keyring https://live.gnome.org/GnomeGoals/LibsecretMigration

	* providers/firebird/libmain-client.c,
	providers/firebird/libmain-embed.c: Firebird provider: avoid memleak
	when module is unloaded

	* libgda/sql-parser/gda-statement-struct-compound.c,
	libgda/sqlite/virtual/gda-virtual-connection.c: Misc code improvements

	* providers/postgres/gda-postgres-provider.c,
	providers/postgres/postgres_specs_dsn.xml.in: PostgreSQL: handle the
	"connect_timeout" option, see bug #682043

2012-08-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-entry-bin.c,
	libgda-ui/data-entries/gdaui-entry-boolean.c,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-none.c,
	libgda-ui/data-entries/gdaui-entry-number.c,
	libgda-ui/data-entries/gdaui-entry-string.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.h,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.c,
	.../data-entries/plugins/gdaui-entry-filesel.c,
	libgda-ui/data-entries/plugins/gdaui-entry-format.c,
	.../data-entries/plugins/gdaui-entry-password.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.c,
	libgda-ui/data-entries/plugins/gdaui-entry-text.c,
	libgda-ui/gdaui-data-entry.c, libgda-ui/gdaui-data-entry.h: Use
	GtkWidget::*expand properties instead of custom methods

	* libgda-ui/data-entries/gdaui-data-cell-renderer-combo.c,
	libgda-ui/data-entries/gdaui-entry.c, libgda/gda-data-model-iter.c,
	libgda/gda-meta-store.c, libgda/gda-meta-struct.c,
	libgda/gda-sql-builder.c, libgda/gda-util.c, libgda/gda-value.c,
	libgda/gda-xa-transaction.c, libgda/sqlite/gda-sqlite-meta.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	providers/mysql/gda-mysql-ddl.c, providers/mysql/gda-mysql-provider.c,
	providers/web/gda-web-recordset.c: Misc corrections (compiler warnings)

	* .../virtual/gda-vconnection-data-model-private.h,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Don't use deprecated
	GValueArray anymore

2012-08-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/gda-sql-parser.c, tests/parser/testdata.xml:
	GdaSqlParser: understand hexadecimal notation

2012-07-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement.c, libgda/sql-parser/gda-sql-parser.c,
	libgda/sql-parser/gda-statement-struct-parts.c,
	libgda/sql-parser/gda-statement-struct-parts.h,
	libgda/sql-parser/gda-statement-struct.c, libgda/sql-parser/parser.y,
	libgda/sqlite/gda-sqlite-provider.c, providers/firebird/parser.y,
	providers/oracle/parser.y, providers/reuseable/mysql/parser.y,
	providers/reuseable/postgres/parser.y,
	providers/skel-implementation/capi/parser.y: Correctly parse "NOT LIKE"
	and "NOT ILIKE" expressions

2012-07-22  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, doc/C/prov-writing-recordsets.xml,
	libgda/gda-connection.c, libgda/gda-data-model.h,
	libgda/gda-data-select.c, libgda/gda-data-select.h,
	libgda/gda-statement.h, libgda/libgda.symbols,
	libgda/thread-wrapper/gda-thread-provider.c: Added the
	GDA_STATEMENT_MODEL_OFFLINE flag and
	gda_data_select_prepare_for_offline()

2012-07-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c, libgda/thread-wrapper/gda-thread-provider.c:
	Added the GdaConnection:execution-slowdown property  useful to help
	debug some behaviours

2012-07-19  Vivien Malerba <malerba@gnome-db.org>

	* samples/Makefile, samples/Report/Makefile, samples/XSLT/Makefile:
	Corrections in samples/ makefiles

	* libgda/gda-connection.c, samples/AsyncExec/example.c: Asynchronous
	execution: doc and example update

2012-07-13  Dimitris Spingos <dmtrs32@gmail.com>

	* doc/el/el.po, tools/browser/help/el/el.po: Updated Greek translation

2012-07-10  Andika Triwidada <andika@gmail.com>

	* po/id.po, tools/browser/help/id/id.po: Updated Indonesian translation

2012-07-09  Vivien Malerba <malerba@gnome-db.org>

	* providers/jdbc/libmain.c,
	providers/mysql/mysql_specs_create_view.xml.in,
	providers/sqlite/sqlite_specs_create_table.xml.in,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/ldap-browser/hierarchy-view.c, tools/browser/support.h:
	Fixed more typos, thanks again to Andika Triwidada

2012-07-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/postgres/gda-postgres-provider.c: Fixed typos, thanks to
	Andika Triwidada <andika@gmail.com>

2012-06-26  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/auth-dialog.c, tools/browser/browser-connection.c,
	tools/browser/browser-virtual-connection.c,
	tools/browser/common/fk-declare.c, tools/browser/common/ui-formgrid.c,
	tools/browser/connection-binding-properties.c,
	tools/browser/data-manager/data-source.c,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/login-dialog.c,
	tools/browser/schema-browser/relations-diagram.c, tools/command-exec.c,
	tools/config-info.c, tools/gda-sql.c, tools/tools-favorites.c,
	tools/tools-input.c, tools/tools-utils.c, tools/tools-utils.h: Tools:
	always set a non zero domain and code

2012-06-25  Vivien Malerba <malerba@gnome-db.org>

	* .../DocBook/gda-report-docbook-document.c,
	libgda-report/RML/gda-report-rml-document.c,
	libgda-report/gda-report-document-private.h,
	libgda-report/gda-report-document.c,
	libgda-report/libgda-report.symbols, libgda-xslt/sql_backend.c,
	libgda-xslt/sql_backend.h, libgda-xslt/sql_exslt_internal.c,
	libgda-xslt/sqlexslt.c, libgda/dir-blob-op.c, libgda/dir-blob-op.h,
	libgda/gda-column.c, libgda/gda-data-model-dir.c,
	libgda/gda-data-model-iter.c, libgda/gda-init.c,
	libgda/gda-meta-struct-io.c, libgda/gda-meta-struct-private.h,
	libgda/gda-meta-struct.c, libgda/gda-server-operation.c,
	libgda/gda-tree-node.c, libgda/gda-tree.c, libgda/gda-value.c,
	libgda/libgda.symbols,
	.../virtual/gda-vconnection-data-model-private.h,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Partial correction
	for bug #669801

2012-06-03  Vivien Malerba <malerba@gnome-db.org>

	* installers/Windows/make-clean.sh,
	installers/Windows/make-zip-setup.sh, tools/Makefile.am: Updated
	Windows compilation methods for Mingw GCC 4.7  as packaged by Fedora 17

	* getsp.class, getsp.java, m4/java.m4: Java detection improvements  use
	java.home as well as java.library.path

	* configure.ac, m4/firebird.m4, providers/firebird/Makefile.am:
	Firebird detection corrections

	* libgda/providers-support/gda-meta-column-types.h, tools/README,
	tools/information-schema-types.c: Information schema avoid GCC
	compilation warnings for _col_types_* definitions

	* libgda/gda-batch.c, libgda/gda-column.c, libgda/gda-connection.c,
	libgda/gda-connection.h, libgda/gda-data-meta-wrapper.c,
	libgda/gda-data-model-iter.c, libgda/gda-data-model.c,
	libgda/gda-data-pivot.c, libgda/gda-data-proxy.c,
	libgda/gda-data-select.c, libgda/gda-enums.h, libgda/gda-holder.c,
	libgda/gda-holder.h, libgda/gda-meta-struct.h, libgda/gda-quark-list.c,
	libgda/gda-server-operation.c, libgda/gda-set.c,
	libgda/gda-statement-extra.h, libgda/gda-statement.c,
	libgda/gda-tree-manager.h, libgda/gda-tree-mgr-ldap.c,
	libgda/gda-tree-mgr-tables.c, libgda/gda-tree-node.c,
	libgda/gda-tree.c, libgda/gda-util.c, libgda/gda-value.c,
	libgda/gda-value.h, libgda/providers-support/gda-pstmt.c,
	libgda/thread-wrapper/gda-thread-wrapper.c: Improved documentation
	syntax

	* libgda/gda-connection.c, libgda/gda-quark-list.c,
	providers/reuseable/mysql/gda-mysql-meta.c,
	tests/providers/prov-test-common.c: Misc corrections

2012-05-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-raw-form.c, libgda-ui/gdaui-raw-grid.c: GdauiRawGrid
	and GdauiRawForm code improvements

	* libgda-ui/demos/form_model_change.c,
	libgda-ui/demos/grid_model_change.c: UI Demos: illustrate the
	GdaDataProxy:cache-changes property

	* libgda-ui/gdaui-set.c, libgda/gda-set.c: GdaSet and GdauiSet: added
	debug info, disabled by default  and some corrections

	* libgda/gda-data-proxy.c, tests/data-models/check_data_proxy.c:
	GdaDataProxy: added the "cache-changes" property

2012-05-06  Vivien Malerba <malerba@gnome-db.org>

	* control-center/cc-gray-bar.c, control-center/cc-utility.c,
	control-center/cc-utility.h, control-center/dsn-config.c,
	control-center/dsn-properties-dialog.c,
	control-center/gdaui-dsn-assistant.c,
	control-center/gdaui-dsn-editor.c, control-center/gdaui-dsn-editor.h,
	control-center/gdaui-login-dialog.c, control-center/main.c,
	control-center/provider-config.c,
	.../DocBook/gda-report-docbook-document.c,
	libgda-report/RML/gda-report-rml-document.c,
	libgda-report/engine/gda-report-engine.c,
	libgda-report/engine/rt-parser.c, libgda-report/engine/rt-parser.h,
	libgda-report/engine/test-rt-parser.c,
	libgda-report/gda-report-document-private.h,
	libgda-report/gda-report-document.c, libgda-report/libgda-report.h,
	libgda-ui/data-entries/common-bin.c,
	libgda-ui/data-entries/common-bin.h,
	.../data-entries/gdaui-data-cell-renderer-bin.c,
	.../data-entries/gdaui-data-cell-renderer-bin.h,
	.../gdaui-data-cell-renderer-boolean.c,
	.../gdaui-data-cell-renderer-boolean.h,
	.../data-entries/gdaui-data-cell-renderer-combo.c,
	.../data-entries/gdaui-data-cell-renderer-combo.h,
	.../data-entries/gdaui-data-cell-renderer-info.c,
	.../data-entries/gdaui-data-cell-renderer-info.h,
	.../gdaui-data-cell-renderer-textual.c,
	.../gdaui-data-cell-renderer-textual.h,
	.../data-entries/gdaui-data-cell-renderer-util.c,
	libgda-ui/data-entries/gdaui-entry-bin.c,
	libgda-ui/data-entries/gdaui-entry-bin.h,
	libgda-ui/data-entries/gdaui-entry-boolean.c,
	libgda-ui/data-entries/gdaui-entry-boolean.h,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/gdaui-entry-combo.h,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-common-time.h,
	libgda-ui/data-entries/gdaui-entry-date.c,
	libgda-ui/data-entries/gdaui-entry-date.h,
	libgda-ui/data-entries/gdaui-entry-none.c,
	libgda-ui/data-entries/gdaui-entry-none.h,
	libgda-ui/data-entries/gdaui-entry-number.h,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/data-entries/gdaui-entry-shell.h,
	libgda-ui/data-entries/gdaui-entry-string.c,
	libgda-ui/data-entries/gdaui-entry-string.h,
	libgda-ui/data-entries/gdaui-entry-time.c,
	libgda-ui/data-entries/gdaui-entry-time.h,
	libgda-ui/data-entries/gdaui-entry-timestamp.c,
	libgda-ui/data-entries/gdaui-entry-timestamp.h,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.h,
	libgda-ui/data-entries/gdaui-entry.c,
	libgda-ui/data-entries/gdaui-formatted-entry.c,
	libgda-ui/data-entries/gdaui-formatted-entry.h,
	libgda-ui/data-entries/gdaui-numeric-entry.c,
	libgda-ui/data-entries/gdaui-numeric-entry.h,
	libgda-ui/data-entries/plugins/common-pict.c,
	.../plugins/gdaui-data-cell-renderer-password.c,
	.../plugins/gdaui-data-cell-renderer-password.h,
	.../plugins/gdaui-data-cell-renderer-pict.c,
	.../plugins/gdaui-data-cell-renderer-pict.h,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.c,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.h,
	.../data-entries/plugins/gdaui-entry-filesel.c,
	.../data-entries/plugins/gdaui-entry-filesel.h,
	.../data-entries/plugins/gdaui-entry-format.c,
	.../data-entries/plugins/gdaui-entry-format.h,
	.../data-entries/plugins/gdaui-entry-password.c,
	.../data-entries/plugins/gdaui-entry-password.h,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.h,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.c,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.h,
	libgda-ui/data-entries/plugins/gdaui-entry-text.c,
	libgda-ui/data-entries/plugins/gdaui-entry-text.h,
	libgda-ui/data-entries/plugins/libmain.c,
	libgda-ui/data-entries/widget-embedder.c,
	libgda-ui/data-entries/widget-embedder.h, libgda-ui/gdaui-basic-form.c,
	libgda-ui/gdaui-basic-form.h, libgda-ui/gdaui-cloud.c,
	libgda-ui/gdaui-cloud.h, libgda-ui/gdaui-data-entry.c,
	libgda-ui/gdaui-data-entry.h, libgda-ui/gdaui-data-filter.c,
	libgda-ui/gdaui-data-filter.h, libgda-ui/gdaui-data-proxy-info.c,
	libgda-ui/gdaui-data-proxy-info.h, libgda-ui/gdaui-data-proxy.c,
	libgda-ui/gdaui-data-selector.c, libgda-ui/gdaui-data-store.c,
	libgda-ui/gdaui-enums.h, libgda-ui/gdaui-form.c,
	libgda-ui/gdaui-form.h, libgda-ui/gdaui-grid.c, libgda-ui/gdaui-grid.h,
	libgda-ui/gdaui-init.c, libgda-ui/gdaui-login.c,
	libgda-ui/gdaui-login.h, libgda-ui/gdaui-plugin.h,
	libgda-ui/gdaui-raw-form.c, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-raw-grid.h, libgda-ui/gdaui-rt-editor.c,
	libgda-ui/gdaui-rt-editor.h, libgda-ui/gdaui-server-operation.c,
	libgda-ui/gdaui-server-operation.h, libgda-ui/gdaui-set.c,
	libgda-ui/gdaui-set.h, libgda-ui/gdaui-tree-store.c,
	libgda-ui/internal/gdaui-dsn-selector.c,
	libgda-ui/internal/gdaui-dsn-selector.h,
	libgda-ui/internal/gdaui-provider-auth-editor.c,
	libgda-ui/internal/gdaui-provider-auth-editor.h,
	libgda-ui/internal/gdaui-provider-spec-editor.c,
	libgda-ui/internal/gdaui-provider-spec-editor.h,
	libgda-ui/internal/popup-container.c,
	libgda-ui/internal/popup-container.h, libgda-ui/internal/utility.c,
	libgda-ui/internal/utility.h, libgda-xslt/libgda-xslt.h,
	libgda-xslt/sql_backend.c, libgda-xslt/sql_backend.h,
	libgda-xslt/sql_exslt_internal.c, libgda-xslt/sqlexslt.c,
	libgda/binreloc/gda-binreloc.c, libgda/binreloc/gda-binreloc.h,
	libgda/dir-blob-op.c, libgda/dir-blob-op.h,
	libgda/gda-attributes-manager.c, libgda/gda-attributes-manager.h,
	libgda/gda-batch.c, libgda/gda-blob-op.c, libgda/gda-column.c,
	libgda/gda-connection-private.h, libgda/gda-connection-sqlite.h,
	libgda/gda-connection.c, libgda/gda-data-access-wrapper.c,
	libgda/gda-data-access-wrapper.h, libgda/gda-data-comparator.c,
	libgda/gda-data-handler.c, libgda/gda-data-meta-wrapper.h,
	libgda/gda-data-model-array.c, libgda/gda-data-model-array.h,
	libgda/gda-data-model-bdb.c, libgda/gda-data-model-dir.c,
	libgda/gda-data-model-dsn-list.h, libgda/gda-data-model-extra.h,
	libgda/gda-data-model-import.c, libgda/gda-data-model-iter-extra.h,
	libgda/gda-data-model-iter.c, libgda/gda-data-model-iter.h,
	libgda/gda-data-model-ldap.c, libgda/gda-data-model-ldap.h,
	libgda/gda-data-model-private.h, libgda/gda-data-model.c,
	libgda/gda-data-model.h, libgda/gda-data-pivot.c,
	libgda/gda-data-proxy.c, libgda/gda-data-proxy.h,
	libgda/gda-data-select-extra.h, libgda/gda-data-select.c,
	libgda/gda-debug-macros.h, libgda/gda-decl.h, libgda/gda-holder.c,
	libgda/gda-lockable.c, libgda/gda-meta-store-extra.h,
	libgda/gda-meta-store.c, libgda/gda-meta-store.h,
	libgda/gda-meta-struct-io.c, libgda/gda-meta-struct-private.h,
	libgda/gda-meta-struct.c, libgda/gda-quark-list.c,
	libgda/gda-quark-list.h, libgda/gda-repetitive-statement.c,
	libgda/gda-row.c, libgda/gda-server-operation-private.h,
	libgda/gda-server-operation.c, libgda/gda-server-provider-private.h,
	libgda/gda-server-provider.c, libgda/gda-set.c,
	libgda/gda-sql-builder.c, libgda/gda-statement-priv.h,
	libgda/gda-statement.c, libgda/gda-transaction-status-private.h,
	libgda/gda-tree-mgr-columns.c, libgda/gda-tree-mgr-label.c,
	libgda/gda-tree-mgr-schemas.c, libgda/gda-tree-mgr-select.c,
	libgda/gda-tree-mgr-tables.c, libgda/gda-tree-node.c,
	libgda/gda-types.c, libgda/gda-types.h, libgda/gda-util.c,
	libgda/gda-util.h, libgda/gda-value.c, libgda/gda-value.h,
	libgda/gda-xa-transaction.h, libgda/handlers/gda-handler-bin.c,
	libgda/handlers/gda-handler-boolean.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/handlers/gda-handler-string.c,
	libgda/handlers/gda-handler-time.c, libgda/handlers/gda-handler-time.h,
	libgda/handlers/gda-handler-type.c, libgda/libgda-global-variables.h,
	libgda/providers-support/gda-pstmt.c,
	libgda/providers-support/gda-pstmt.h,
	libgda/sql-parser/gda-sql-parser-private.h,
	libgda/sql-parser/gda-sql-parser.c,
	libgda/sql-parser/gda-sql-statement.h,
	libgda/sql-parser/gda-statement-struct-compound.c,
	libgda/sql-parser/gda-statement-struct-compound.h,
	libgda/sql-parser/gda-statement-struct-decl.h,
	libgda/sql-parser/gda-statement-struct-delete.c,
	libgda/sql-parser/gda-statement-struct-insert.c,
	libgda/sql-parser/gda-statement-struct-parts.c,
	libgda/sql-parser/gda-statement-struct-parts.h,
	libgda/sql-parser/gda-statement-struct-pspec.h,
	libgda/sql-parser/gda-statement-struct-select.c,
	libgda/sql-parser/gda-statement-struct-trans.c,
	libgda/sql-parser/gda-statement-struct-unknown.c,
	libgda/sql-parser/gda-statement-struct-update.c,
	libgda/sql-parser/gda-statement-struct-util.c,
	libgda/sql-parser/gda-statement-struct.c, libgda/sql-parser/gen_def.c,
	libgda/sqlite/gda-sqlite-blob-op.c, libgda/sqlite/gda-sqlite-blob-op.h,
	libgda/sqlite/gda-sqlite-ddl.c, libgda/sqlite/gda-sqlite-ddl.h,
	libgda/sqlite/gda-sqlite-handler-bin.c,
	libgda/sqlite/gda-sqlite-handler-bin.h,
	libgda/sqlite/gda-sqlite-handler-boolean.c,
	libgda/sqlite/gda-sqlite-handler-boolean.h,
	libgda/sqlite/gda-sqlite-meta.c, libgda/sqlite/gda-sqlite-meta.h,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-provider.h, libgda/sqlite/gda-sqlite-pstmt.c,
	libgda/sqlite/gda-sqlite-pstmt.h, libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/gda-sqlite-recordset.h, libgda/sqlite/gda-sqlite-util.c,
	libgda/sqlite/gda-sqlite-util.h, libgda/sqlite/gen_emb_string.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-ldap-connection.h,
	.../virtual/gda-vconnection-data-model-private.h,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-virtual-provider.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-hub.c,
	libgda/thread-wrapper/gda-thread-blob-op.c,
	libgda/thread-wrapper/gda-thread-blob-op.h,
	libgda/thread-wrapper/gda-thread-meta.c,
	libgda/thread-wrapper/gda-thread-meta.h,
	libgda/thread-wrapper/gda-thread-provider.c,
	libgda/thread-wrapper/gda-thread-provider.h,
	libgda/thread-wrapper/gda-thread-recordset.c,
	libgda/thread-wrapper/gda-thread-recordset.h,
	providers/bdb/gda-bdb-provider.c, providers/bdb/gda-bdb-provider.h,
	providers/bdb/gda-bdb-test.c, providers/bdb/gda-bdb.h,
	providers/bdb/libmain.c, providers/bdbsql/libmain.c,
	providers/firebird/gda-firebird-blob-op.c,
	providers/firebird/gda-firebird-blob-op.h,
	providers/firebird/gda-firebird-ddl.c,
	providers/firebird/gda-firebird-ddl.h,
	providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-meta.h,
	providers/firebird/gda-firebird-parser.c,
	providers/firebird/gda-firebird-parser.h,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-provider.h,
	providers/firebird/gda-firebird-pstmt.c,
	providers/firebird/gda-firebird-pstmt.h,
	providers/firebird/gda-firebird-recordset.c,
	providers/firebird/gda-firebird-recordset.h,
	providers/firebird/gda-firebird-util.c,
	providers/firebird/gda-firebird-util.h,
	providers/firebird/gda-firebird.h, providers/firebird/gen_def.c,
	providers/firebird/libmain-client.c,
	providers/firebird/libmain-embed.c, providers/jdbc/GdaInputStream.c,
	providers/jdbc/GdaJBlobOp.c, providers/jdbc/GdaJColumnInfos.c,
	providers/jdbc/GdaJConnection.c, providers/jdbc/GdaJMeta.c,
	providers/jdbc/GdaJPStmt.c, providers/jdbc/GdaJProvider.c,
	providers/jdbc/GdaJResultSet.c, providers/jdbc/GdaJResultSetInfos.c,
	providers/jdbc/GdaJValue.c, providers/jdbc/gda-jdbc-blob-op.c,
	providers/jdbc/gda-jdbc-blob-op.h, providers/jdbc/gda-jdbc-ddl.c,
	providers/jdbc/gda-jdbc-ddl.h, providers/jdbc/gda-jdbc-meta.c,
	providers/jdbc/gda-jdbc-meta.h, providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-provider.h, providers/jdbc/gda-jdbc-pstmt.c,
	providers/jdbc/gda-jdbc-pstmt.h, providers/jdbc/gda-jdbc-recordset.c,
	providers/jdbc/gda-jdbc-recordset.h, providers/jdbc/gda-jdbc-test.c,
	providers/jdbc/gda-jdbc-util.h, providers/jdbc/gda-jdbc.h,
	providers/jdbc/gda-list-jdbc-providers.c, providers/jdbc/jni-globals.h,
	providers/jdbc/jni-wrapper.c, providers/jdbc/jni-wrapper.h,
	providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap-util.c,
	providers/ldap/gda-ldap-util.h, providers/ldap/gda-ldap.h,
	providers/ldap/gdaprov-data-model-ldap.c,
	providers/mdb/gda-mdb-provider.c, providers/mdb/gda-mdb-provider.h,
	providers/mdb/gda-mdb.h, providers/mdb/libmain.c,
	providers/mysql/gda-mysql-blob-op.c,
	providers/mysql/gda-mysql-blob-op.h, providers/mysql/gda-mysql-ddl.c,
	providers/mysql/gda-mysql-ddl.h,
	providers/mysql/gda-mysql-handler-boolean.c,
	providers/mysql/gda-mysql-handler-boolean.h,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-provider.h,
	providers/mysql/gda-mysql-pstmt.c, providers/mysql/gda-mysql-pstmt.h,
	providers/mysql/gda-mysql-recordset.c,
	providers/mysql/gda-mysql-recordset.h,
	providers/mysql/gda-mysql-util.c, providers/mysql/gda-mysql-util.h,
	providers/mysql/gda-mysql.h, providers/mysql/libmain.c,
	providers/oracle/gda-oracle-blob-op.c,
	providers/oracle/gda-oracle-blob-op.h,
	providers/oracle/gda-oracle-ddl.c, providers/oracle/gda-oracle-ddl.h,
	providers/oracle/gda-oracle-meta.h,
	providers/oracle/gda-oracle-parser.c,
	providers/oracle/gda-oracle-parser.h,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-provider.h,
	providers/oracle/gda-oracle-pstmt.c,
	providers/oracle/gda-oracle-pstmt.h,
	providers/oracle/gda-oracle-recordset.c,
	providers/oracle/gda-oracle-recordset.h,
	providers/oracle/gda-oracle-util.c, providers/oracle/gen_def.c,
	providers/oracle/libmain.c, providers/postgres/gda-postgres-blob-op.c,
	providers/postgres/gda-postgres-blob-op.h,
	providers/postgres/gda-postgres-ddl.c,
	providers/postgres/gda-postgres-ddl.h,
	providers/postgres/gda-postgres-handler-bin.c,
	providers/postgres/gda-postgres-handler-bin.h,
	providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-provider.h,
	providers/postgres/gda-postgres-pstmt.c,
	providers/postgres/gda-postgres-pstmt.h,
	providers/postgres/gda-postgres-recordset.c,
	providers/postgres/gda-postgres-recordset.h,
	providers/postgres/gda-postgres-util.c,
	providers/postgres/gda-postgres-util.h,
	providers/postgres/gda-postgres.h, providers/postgres/libmain.c,
	providers/reuseable/gda-provider-reuseable.h,
	providers/reuseable/mysql/gda-mysql-meta.c,
	providers/reuseable/mysql/gda-mysql-meta.h,
	providers/reuseable/mysql/gda-mysql-parser.c,
	providers/reuseable/mysql/gda-mysql-parser.h,
	providers/reuseable/mysql/gda-mysql-reuseable.c,
	providers/reuseable/mysql/gda-mysql-reuseable.h,
	providers/reuseable/mysql/gen_def.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	providers/reuseable/postgres/gda-postgres-meta.h,
	providers/reuseable/postgres/gda-postgres-parser.c,
	providers/reuseable/postgres/gda-postgres-parser.h,
	.../reuseable/postgres/gda-postgres-reuseable.c,
	.../reuseable/postgres/gda-postgres-reuseable.h,
	providers/reuseable/postgres/gen_def.c,
	providers/reuseable/reuse-all.c, providers/reuseable/reuse-all.h,
	providers/sqlcipher/libmain.c, providers/sqlite/libmain.c,
	providers/web/gda-web-blob-op.c, providers/web/gda-web-blob-op.h,
	providers/web/gda-web-ddl.c, providers/web/gda-web-ddl.h,
	providers/web/gda-web-meta.c, providers/web/gda-web-meta.h,
	providers/web/gda-web-provider.c, providers/web/gda-web-provider.h,
	providers/web/gda-web-pstmt.c, providers/web/gda-web-pstmt.h,
	providers/web/gda-web-recordset.c, providers/web/gda-web-recordset.h,
	providers/web/gda-web-util.c, providers/web/gda-web-util.h,
	providers/web/gda-web.h, providers/web/libmain.c,
	samples/AsyncExec/example.c, samples/BDB/access-custom.c,
	samples/BDB/access-raw.c, samples/BDB/common.h,
	samples/BDB/custom-bdb-model.c, samples/BDB/custom-bdb-model.h,
	samples/BDB/fill.c, samples/Blobs/blobtest.c,
	samples/CustomUIPlugin/custom-entry-password.c,
	samples/CustomUIPlugin/custom-entry-password.h,
	samples/CustomUIPlugin/libmain.c, samples/DDL/ddl.c,
	samples/DirDataModel/find-duplicates.c, samples/F-Spot/repair-path.c,
	samples/LdapBrowser/ldap-browser.c, samples/MetaStore/background.c,
	samples/MetaStore/example.c, samples/Report/customers-report-docbook.c,
	samples/Report/customers-report-rml.c,
	samples/Report/customers-report.c, samples/Report/schema-report.c,
	samples/SimpleUIForm/example.c, samples/SqlBuilder/example.c,
	samples/SqlBuilder/example_cnc.c, samples/SqlParserConsole/console.c,
	samples/SqlParserConsole/graph.c, samples/SqlParserConsole/graph.h,
	samples/TableCopy/common.c, samples/TableCopy/common.h,
	samples/TableCopy/table-copy-easier.c, samples/TableCopy/table-copy.c,
	samples/Tree/example.c, samples/Virtual/virtual-test.c,
	samples/WritableSelect/example.c, samples/XSLT/transform.c,
	testing/gda-provider-status.c, testing/gda-test-blob.c,
	testing/gda-test-connection.c, testing/gdaui-test-data-entries.c,
	testing/gdaui-test-errors.c, testing/gdaui-test-rt-editor.c,
	testing/gdaui-test-widget-entry.c, testing/html.c, testing/html.h,
	testing/virtual-test-2.c, testing/virtual-test.c,
	tests/data-model-errors.c, tests/data-model-errors.h,
	tests/data-models/check_data_proxy.c,
	tests/data-models/check_empty_rs.c,
	tests/data-models/check_model_errors.c,
	tests/data-models/check_pmodel.c, tests/data-models/check_vcnc.c,
	tests/data-models/check_virtual.c, tests/gda-ddl-creator.c,
	tests/gda-ddl-creator.h, tests/meta-store/common.c,
	tests/meta-store/common.h, tests/multi-threading/check_cnc_lock.c,
	tests/multi-threading/check_mutex.c,
	tests/multi-threading/check_parser.c,
	tests/multi-threading/check_threaded_cnc.c,
	tests/multi-threading/check_wrapper.c, tests/multi-threading/common.c,
	tests/multi-threading/common.h, tests/multi-threading/dummy-object.c,
	tests/multi-threading/dummy-object.h, tests/parser/check_parser.c,
	tests/parser/check_rewrite_for_default.c, tests/parser/check_script.c,
	tests/providers/check_postgres.c, tests/providers/prov-test-common.c,
	tests/providers/prov-test-common.h, tests/providers/prov-test-util.c,
	tests/providers/prov-test-util.h, tests/test-bin-converter.c,
	tests/test-cnc-utils.h, tests/test-connection-string-split.c,
	tests/test-identifiers-quotes.c, tests/test-input-parsers.c,
	tests/test-sql-builder.c, tests/test-sql-identifier.c,
	tests/ui/common.h, tests/value-holders/check_holder.c,
	tests/value-holders/check_set.c, tests/value-holders/check_statement.c,
	tests/value-holders/common.c, tests/value-holders/common.h,
	tools/browser/auth-dialog.c, tools/browser/browser-connection-priv.h,
	tools/browser/browser-connection.c, tools/browser/browser-connection.h,
	tools/browser/browser-connections-list.c,
	tools/browser/browser-perspective.c,
	tools/browser/browser-virtual-connection.c,
	tools/browser/browser-window.c, tools/browser/canvas-example.c,
	tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas-fkey.c,
	tools/browser/canvas/browser-canvas-print.c,
	tools/browser/canvas/browser-canvas-print.h,
	tools/browser/canvas/browser-canvas-utility.h,
	tools/browser/canvas/browser-canvas.c,
	tools/browser/common/favorites-actions.c,
	tools/browser/common/favorites-actions.h,
	tools/browser/common/fk-declare.c,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/common/gdaui-data-import.h,
	tools/browser/common/gdaui-entry-import.c,
	tools/browser/common/objects-cloud.c,
	tools/browser/common/objects-cloud.h,
	tools/browser/common/ui-formgrid.c, tools/browser/common/ui-formgrid.h,
	tools/browser/common/widget-overlay.c,
	tools/browser/common/widget-overlay.h,
	tools/browser/connection-binding-properties.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-console.h,
	.../browser/data-manager/data-favorite-selector.c,
	.../browser/data-manager/data-favorite-selector.h,
	.../data-manager/data-manager-perspective.c,
	.../data-manager/data-manager-perspective.h,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-source-editor.h,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/data-manager/data-source.c,
	tools/browser/data-manager/data-source.h,
	tools/browser/data-manager/data-widget.c,
	tools/browser/data-manager/data-widget.h,
	tools/browser/data-manager/perspective-main.h,
	tools/browser/data-manager/ui-spec-editor.c,
	tools/browser/data-manager/ui-spec-editor.h,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/data-manager/xml-spec-editor.h, tools/browser/dnd.h,
	.../browser/dummy-perspective/dummy-perspective.c,
	.../browser/dummy-perspective/dummy-perspective.h,
	tools/browser/dummy-perspective/perspective-main.h,
	tools/browser/favorites-test.c,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/class-properties.h,
	tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/entry-properties.c,
	tools/browser/ldap-browser/entry-properties.h,
	tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/filter-editor.h,
	tools/browser/ldap-browser/hierarchy-view.c,
	.../ldap-browser/ldap-browser-perspective.c,
	.../ldap-browser/ldap-browser-perspective.h,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-classes-page.h,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-entries-page.h,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	.../browser/ldap-browser/ldap-favorite-selector.h,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/ldap-browser/ldap-search-page.h,
	tools/browser/ldap-browser/mgr-ldap-classes.c,
	tools/browser/ldap-browser/mgr-ldap-entries.c,
	tools/browser/login-dialog.c, tools/browser/mgr-favorites.c,
	tools/browser/mgr-favorites.h,
	tools/browser/query-exec/perspective-main.h,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-console-page.h,
	tools/browser/query-exec/query-editor.c,
	tools/browser/query-exec/query-editor.h,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/query-exec/query-exec-perspective.h,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/query-exec/query-favorite-selector.h,
	tools/browser/query-exec/query-result.c,
	tools/browser/query-exec/query-result.h,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/favorite-selector.h,
	tools/browser/schema-browser/mgr-columns.c,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/objects-index.h,
	tools/browser/schema-browser/perspective-main.c,
	tools/browser/schema-browser/perspective-main.h,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/relations-diagram.h,
	.../schema-browser/schema-browser-perspective.c,
	.../schema-browser/schema-browser-perspective.h,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-columns.h,
	tools/browser/schema-browser/table-info.c,
	tools/browser/schema-browser/table-info.h,
	tools/browser/schema-browser/table-preferences.c,
	tools/browser/schema-browser/table-preferences.h,
	tools/browser/schema-browser/table-relations.c,
	tools/browser/schema-browser/table-relations.h,
	tools/browser/support.c, tools/browser/text-search.c,
	tools/browser/text-search.h, tools/command-exec.c,
	tools/command-exec.h, tools/gda-list-config.c, tools/gda-sql.c,
	tools/gda-sql.h, tools/html-doc.c, tools/html-doc.h,
	tools/information-schema-doc.c, tools/tools-favorites.c,
	tools/tools-favorites.h, tools/tools-input.c, tools/tools-input.h,
	tools/web-server.c: Updated copyright information in file headers

	* po/ar.po, po/az.po, po/ca.po, po/ca@valencia.po, po/cs.po, po/da.po,
	po/de.po, po/dz.po, po/el.po, po/en_CA.po, po/en_GB.po, po/eo.po,
	po/es.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/ga.po, po/gl.po,
	po/hr.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	po/mk.po, po/ml.po, po/ms.po, po/nb.po, po/ne.po, po/nl.po, po/oc.po,
	po/pa.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/rw.po,
	po/sk.po, po/sl.po, po/sq.po, po/sr.po, po/sr@Latn.po, po/sv.po,
	po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_HK.po, po/zh_TW.po:
	Ran "make update-po"

2012-05-05  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/prov-notes.xml,
	providers/sqlcipher/sqlcipher_specs_auth.xml.in: SqlCipher: improved
	doc and made password mandatory

	* doc/Makefile.am, doc/mallard/gda-vala/C/Makefile.am,
	libgda/data/Makefile.am, tests/ui/Makefile.am, tests/ui/common.c:
	Corrections to have "make distcheck" work

2012-05-03  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/libgda-5.0.vapi: GIR: Updates for
	documentation and new QuarkList.protect_values()

2012-05-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap.h: Use the
	new capabilities of GdaQuarkList  to mangle authentification data

	* configure.ac, doc/C/libgda-sections.txt, libgda/gda-quark-list.c,
	libgda/gda-quark-list.h, libgda/libgda.symbols, tests/.gitignore,
	tests/Makefile.am, tests/test-quark-list.c: Handle authentification
	data in GdaQuarkList  by keeping it in a mangled version, and by
	avoiding cleartext version to be swapped. (Clear text version is
	created when value is requested)

2012-04-30  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/Gda-5.0.metadata,
	libgda/data/Catalog.vala, libgda/data/DataBase.vala,
	libgda/data/DbObject.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/data/Schema.vala,
	libgda/data/Table.vala, libgda/gda-server-provider.c,
	libgda/libgda-5.0.vapi, po/POTFILES.skip, tests/vala/CheckTable.vala:
	GIR, VAPI and GdaData updates to fix Bug 674976 * Added update_meta
	property to DbObject and implementators

2012-04-28  Vivien Malerba <malerba@gnome-db.org>

	* providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap-util.c,
	providers/ldap/gda-ldap.h, providers/ldap/gdaprov-data-model-ldap.c:
	LDAP provider: close connection when not used  to avoid keeping an
	opened connection to the server if not necessary

	* tools/gda-sql.1.in, tools/gda-sql.c: GdaSql: added some ldap specific
	commands

	* doc/C/libgda-sections.txt, libgda/gda-data-model-ldap.c,
	libgda/gda-data-model-ldap.h, libgda/libgda.symbols,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-ldap-connection.h,
	providers/ldap/gda-ldap-util.c, providers/ldap/gda-ldap-util.h,
	providers/ldap/gdaprov-data-model-ldap.c: Initial LDAP write support,
	with dedicated API

2012-04-25  Vivien Malerba <malerba@gnome-db.org>

	* providers/firebird/parser.y, providers/oracle/parser.y,
	providers/reuseable/mysql/parser.y,
	providers/reuseable/postgres/parser.y,
	providers/skel-implementation/capi/parser.y: Propagated changes made to
	fix bug #674618 to other parsers

	* libgda/sql-parser/delimiter.y, libgda/sql-parser/parser.y: Correction
	for bug #674618

2012-04-24  Vivien Malerba <malerba@gnome-db.org>

	* tools/Makefile.am, tools/command-exec.c, tools/gda-sql.c: Correction
	for bug #674715  Allow GdaSql to compile when LDAP is not installed

2012-04-22  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Misc virtual
	connection corrections

2012-04-19  Vivien Malerba <malerba@gnome-db.org>

	* .../data-entries/gdaui-data-cell-renderer-combo.c,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/internal/popup-container.c,
	providers/firebird/gda-firebird-meta.c: Removed compilation warnings

2012-04-18  Vivien Malerba <malerba@gnome-db.org>

	* tests/ui/.gitignore, tests/ui/Makefile.am,
	tests/ui/check_raw_grid_model.c: Added GdauiRawGrid test

	* libgda-ui/demos/Makefile.am, libgda-ui/demos/form_model_change.c,
	libgda-ui/demos/grid.c, libgda-ui/demos/grid_model_change.c,
	libgda-ui/demos/grid_rw.c: Updated UI demo programs

	* .gitignore, doc/mallard/gda-vala/C/.gitignore: Marked some files as
	ignored

	* doc/C/data-model-writing.xml, libgda/gda-data-proxy.h: Doc.
	improvements

2012-04-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/plugins/gdaui-data-cell-renderer-pict.c,
	libgda-ui/demos/ddl_queries.c: Misc corrections

2012-04-15  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-iter.c, libgda/gda-data-proxy.c,
	tests/multi-threading/check_threaded_cnc.c: Simplified implementation
	of GdaDataProxy's iterator

2012-04-07  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda/gda-data-model-iter.c,
	libgda/gda-data-model-iter.h, tests/Makefile.am, tests/ui/.gitignore,
	tests/ui/Makefile.am, tests/ui/check_sets.c, tests/ui/common.c,
	tests/ui/common.h: GdaDataModelIter: allow the "data-model" property to
	be used after construction

2012-04-05  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, doc/Makefile.am: Gracefuly handle the absence of
	yelp-build

2012-04-04  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/data-model-writing.xml, doc/C/libgda-5.0-docs.sgml,
	libgda-ui/gdaui-data-selector.c, libgda/gda-data-model.c,
	libgda/gda-data-model.h: Documentation corrections

2012-03-30  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, doc/C/libgda-5.0-docs.sgml,
	doc/mallard/gda-vala/C/Makefile.am, doc/mallard/gda-vala/Makefile.am:
	Integration GDA Vala docs to gtk-doc

	* doc/mallard/Makefile.am, doc/mallard/gda-data/Classes.page,
	doc/mallard/gda-data/Interfaces.page, doc/mallard/gda-data/Makefile.am,
	doc/mallard/gda-data/Record-Class.page,
	doc/mallard/gda-data/Table-Class.page,
	doc/mallard/gda-data/classes-uml.png,
	doc/mallard/gda-data/enable-vala-extensions.page,
	doc/mallard/gda-data/index.page,
	doc/mallard/gda-data/interfaces-uml.png,
	doc/mallard/gda-data/record-class-uml.png,
	doc/mallard/gda-data/table-class-uml.png,
	doc/mallard/gda-vala/C/index.page, libgda/libgda-5.0.vapi: GDA Vala
	Extensions now install Yelp Manual correctly.  * Yelp Manual for GDA
	Vala Extensions now install correctly * Updates on GDA's Vala bindings

	* configure.ac, doc/mallard/gda-vala/C/classes.page,
	doc/mallard/gda-vala/C/enable-vala-extensions.page,
	doc/mallard/gda-vala/C/figures/classes-uml.png,
	doc/mallard/gda-vala/C/figures/interfaces-uml.png,
	.../gda-vala/C/figures/record-class-uml.png,
	doc/mallard/gda-vala/C/figures/table-class-uml.png,
	doc/mallard/gda-vala/C/index.page,
	doc/mallard/gda-vala/C/interfaces.page,
	doc/mallard/gda-vala/C/legal.xml,
	doc/mallard/gda-vala/C/record-class.page,
	doc/mallard/gda-vala/C/table-class.page,
	doc/mallard/gda-vala/Makefile.am: Modify Gda Vala extension
	documentation's file location * Temporly not integrated to GDA's
	gtk-doc

2012-04-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-cloud.c, libgda-ui/gdaui-raw-grid.c: Replaced some
	deprecated functions  gdk_window_get_pointer()
	gtk_widget_size_request() gdk_pointer_grab() gdk_pointer_ungrab()
	gdk_keyboard_grab()

	* .../data-entries/gdaui-data-cell-renderer-info.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.h,
	libgda-ui/data-entries/gdaui-formatted-entry.c,
	libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-cloud.c,
	libgda-ui/gdaui-data-store.c, libgda-ui/gdaui-init.c,
	libgda-ui/gdaui-plugin.h, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-tree-store.c: Doc. corrections to prevent compilation
	warnings

2012-03-28  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, doc/C/libgda-5.0-docs.sgml, doc/Makefile.am,
	doc/mallard/Makefile.am, doc/mallard/gda-data/Makefile.am: Vala
	Extensions documentation integrated to GDA's html

	* doc/mallard/gda-data/Classes.page,
	doc/mallard/gda-data/Table-Class.page: More documentation for Classes
	and Table class in GdaData.

	* doc/mallard/gda-data/Record-Class.page,
	doc/mallard/gda-data/Table-Class.page,
	doc/mallard/gda-data/classes-uml.png,
	doc/mallard/gda-data/interfaces-uml.png,
	doc/mallard/gda-data/record-class-uml.png,
	doc/mallard/gda-data/table-class-uml.png, libgda/data/DbTable.vala:
	Updated GdaData documentation. Added API to DbTable interface.  *
	Updated documentation for Record, Table and diagrams * Added
	set_field() and get_field() methods to DbTable interface

2012-03-26  Daniel Espinosa <despinosa@src.gnome.org>

	* doc/mallard/gda-data/Classes.page,
	doc/mallard/gda-data/Record-Class.page,
	doc/mallard/gda-data/classes-uml.png,
	doc/mallard/gda-data/interfaces-uml.png,
	doc/mallard/gda-data/record-class-uml.png: Added UML diagrams to
	classes and Record class documentation

	* doc/mallard/gda-data/Interfaces.page,
	doc/mallard/gda-data/interfaces-uml.png: Added introduction to GdaData
	interfaces

	* doc/mallard/gda-data/Classes.page,
	doc/mallard/gda-data/Interfaces.page,
	doc/mallard/gda-data/Record-Class.page,
	doc/mallard/gda-data/enable-vala-extensions.page,
	doc/mallard/gda-data/index.page: Added documentation for GdaData.Record
	class.

2012-03-23  Vivien Malerba <malerba@gnome-db.org>

	* providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap.h,
	providers/ldap/gdaprov-data-model-ldap.c,
	providers/ldap/ldap_specs_dsn.xml.in: Ldap provider: added the
	TIME_LIMIT and SIZE_LIMIT connection options

2012-03-18  Vivien Malerba <malerba@gnome-db.org>

	* tools/command-exec.c, tools/command-exec.h, tools/gda-sql.c,
	tools/gda-sql.h, tools/web-server.c: GdaSql: improved visual rendering
	using bold and red text

2012-03-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-basic-form.c, testing/gdaui-test-data-entries.c:
	Minor corrections

2012-03-15  Vivien Malerba <malerba@gnome-db.org>

	* libgda/data/.gitignore, tests/vala/.gitignore: Make git ignore vala
	generated files

2012-03-09  Vivien Malerba <malerba@gnome-db.org>

	* m4/mdbtools.m4, providers/mdb/gda-mdb-provider.c: MDB provider:
	handle Mdbtools V0.7

2012-03-02  Daniel Espinosa <despinosa@src.gnome.org>

	* tests/providers/check_postgres.c, tests/providers/prov-test-common.c:
	Unit Tests updates for providers * Added test to update meta using a
	context for each table in meta definition * Fixed a bug in unit test
	for PostgreSQL not reporting fails

	* libgda/Gda-5.0.gir, libgda/libgda-5.0.vapi: GIR and VAPI updates

2012-03-06  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-recordset.c,
	.../virtual/gda-vconnection-data-model-private.h,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	tests/data-models/check_virtual.c: Virtual connections improvements and
	corrections  they shouldn't leak any more, and be more efficient

2012-03-01  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, libgda/Gda-5.0.gir, libgda/Gda-5.0.metadata,
	libgda/data/GdaData-5.0.gir, libgda/data/Table.vala,
	libgda/gda-server-operation.c, libgda/libgda-5.0.vapi,
	tests/vala/CheckTable.vala: Fix binding for
	GdaServerOperation.get_value_at_path. GdaData.Table.save () update. *
	Fixed Vala binding for GdaServerOperation.get_value_at_path renamed to
	get_value_at * GdaData.Table.save () tries to rename table but theres a
	problem with Gda.ServerOperation.set_value_at () working on

2012-02-29  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, libgda/Gda-5.0.gir, libgda/data/DbObject.vala,
	libgda/data/DbTable.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/libgda-5.0.vapi,
	tests/vala/CheckDataObject.vala: Implemented GdaData.Record.drop().
	Updated GIR/VAPI files. * GdaData.Record.drop() implemented and pass
	Unit Tests * Updated VAPI for improvements in Vala 0.15.2

2012-03-01  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c, tools/help/C/gda-sql-help.xml: GdaSql: removed the
	ldap_attributes command  and replaced it with the "ldap_attributes"
	option

	* tools/gda-sql.c, tools/help/C/gda-sql-help.xml: GdaSql: allow to bind
	only 1 object  this is useful when one only wants to consult a dataset
	using SQL commands

	* doc/C/libgda-sections.txt, libgda/gda-data-model-array.c,
	libgda/gda-data-model-array.h, libgda/libgda.symbols: Added
	gda_data_model_array_copy_model_ext()

	* libgda/sqlite/virtual/gda-vprovider-data-model.c,
	tests/data-models/check_model_errors.c, tests/data-models/check_vcnc.c,
	tests/data-models/check_virtual.c: Virtual connections: major rework
	for better performances and resilience

	* libgda/gda-data-model-import.c, libgda/gda-data-model.c: GdaDataModel
	import & export: better option names  the old option names are still
	supported

	* tools/gda-sql.c, tools/help/C/gda-sql-help.xml: GdaSql: added the
	option command

	* tools/gda-sql.c, tools/help/C/gda-sql-help.xml: GdaSql: allow to bind
	datasets as well as connections in virtual connections

	* tools/gda-sql.c, tools/help/C/gda-sql-help.xml: GdaSql: added
	commands to manipulate datasets  ds_list, ds_mv, ds_grep, ds_show

	* tools/command-exec.c, tools/command-exec.h, tools/gda-sql.c,
	tools/help/C/gda-sql-help.xml: GdaSql: improved inline help

	* libgda/gda-data-access-wrapper.c, libgda/gda-data-model-import.c,
	libgda/gda-data-model.c, libgda/gda-holder.c: Misc. optimizations

	* libgda/gda-holder.c, libgda/gda-set.c: Added GdaSet:validate-changes
	and GdaHolder:validate-changes properties

2012-02-27  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.metadata, libgda/data/Catalog.vala,
	libgda/data/DataBase.vala, libgda/data/DbObject.vala,
	libgda/data/DbTable.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/data/Schema.vala,
	libgda/data/Table.vala, libgda/libgda-5.0.vapi,
	tests/vala/CheckTable.vala: GdaData.Table pass Unit Tests.
	ServerOperation.set_value_at_path renamed. * Added DbObject.drop (bool
	cascade) * Table.drop () implemented * Table pass Unit Tests for
	fields, update and drop * Gda.ServerOperation.set_value_at_path honors
	Rename to: annotation

2012-02-26  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/Table.vala, tests/vala/CheckTable.vala: Test for
	GdaData.Table test for PostgreSQL. * Found Bug 670859 with fails on
	Table.update in _schemata and _information_schema_catalog_name * Found
	Bug 670860 with fails on Table.update in _key_column_usage due to CHECK
	constraint not updated

	* libgda/data/DbCollection.vala, libgda/data/DbObject.vala,
	libgda/data/DbRecord.vala, libgda/data/DbSchema.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Makefile.am,
	libgda/data/RecordCollection.vala, samples/vala/Makefile,
	tests/vala/Makefile.am, tests/vala/testdb.py: Generic improvements on
	GdaData classes. Added tests/vala/testdb.py.

2012-02-24  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DbFieldInfo.vala, libgda/data/DbTable.vala,
	libgda/data/FieldInfo.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Table.vala, tests/vala/CheckTable.vala: Implemented
	GdaData.Table.append and Unit Tests * Now you can add new tables to a
	dabase using GdaData.Table.append method. You need to setup, by adding
	fields and its attributes. No support tested for Foreignkeys

2012-02-21  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DbTable.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Table.vala, tests/vala/CheckTable.vala: GdaData.Table pass
	Unit Test for records * Table.records changed to DbRecordCollection

	* libgda/data/Table.vala, tests/vala/CheckTable.vala: GdaData.Table
	pass Unit Test for tables depends and table referenced by

2012-02-20  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/libgda-5.0.vapi: Updated GIR/VAPI for
	Gda.DataAccessWrapper.set_mapping

	* libgda/data/Table.vala, tests/vala/CheckTable.vala: Implemented &
	Tested GdaData.Table Fields

2012-02-20  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-meta-store.h: Added missing
	symbols to documentation

2012-02-09  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-data-access-wrapper.c,
	libgda/gda-data-access-wrapper.h, libgda/libgda.symbols: Added
	gda_data_access_wrapper_set_mapping()  to reorder and/or hide columns
	using a GdaDataAccessWrapper

2012-02-17  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DbFieldInfo.vala, libgda/data/DbTable.vala,
	libgda/data/FieldInfo.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/data/RecordCollection.vala,
	libgda/data/SelectQuery.vala, libgda/data/Table.vala,
	libgda/gda-meta-store.c, libgda/information_schema.xml,
	libgda/providers-support/gda-meta-column-types.h,
	providers/reuseable/postgres/gda-postgres-meta.c,
	samples/Gir/meta_store.py, tests/vala/CheckTable.vala,
	tests/vala/Makefile.am: Meta Data information schema updated to version
	4 * Added 'schema_default' column to '_schemata' table. Allows to find
	default schema used to add new tables to * GdaData Unit Test and Fixes
	for GdaData.DbTable/Table * GdaData fixes warnings for unhandled errors

2012-02-15  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DbTable.vala, libgda/data/Table.vala,
	tests/vala/CheckTable.vala, tests/vala/Makefile.am: Unit tests for
	GdaData.DbTable/Table

	* libgda/data/DataBase.vala, libgda/data/DbField.vala,
	libgda/data/DbFieldInfo.vala, libgda/data/DbTable.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Schema.vala,
	libgda/data/SqlExpression.vala, libgda/data/Table.vala: Vala extensions
	API ports and implementations to GdaData.Table

	* libgda/Gda-5.0.gir, libgda/Gda-5.0.metadata, libgda/gda-meta-store.c,
	libgda/gda-meta-store.h, libgda/libgda-5.0.vapi, libgda/libgda.symbols,
	samples/Gir/meta_store.py: Modifications and fixes for GIR/VAPI and
	GdaMetaContext API for bindings * gda_meta_context_add_column renamed
	to gda_meta_context_set_column, now you can set a column/Value pair and
	overwrite its value using column's name * gda_meta_context_new no
	longer used table_name as parameter, is used as a default constructor *
	Updated documentation * Gda.DataModelLdap mark as non-introspectable
	'cnc' property may be a GI bug * GIR updates * VAPI doesn't use rename
	Gda.MetaStore.extract_v to extract as declared in GIR (see bug 670167).
	Updated metadata to rename it. * Re-added libgda-5.0.vapi to track API
	changes

	* libgda/Gda-5.0.gir, libgda/Makefile.am, libgda/gda-data-model-ldap.c,
	libgda/gda-meta-store.h, tests/vala/CheckDataModelIterator.vala:
	Removing GdaMutex from intrespection. GI improvements and Deprecations.
	* gda_data_model_ldap_new has been deprecated, use
	gda_data_model_ldap_new_with_config instead

2012-02-14  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/gda-data-model-ldap.c, libgda/gda-data-model-ldap.h,
	libgda/libgda.symbols: Improvements on GdaDataModelLdap for bindings *
	Added gda_data_model_ldap_new_with_config to be used in GI bindings,
	avoids future API break due to use gda_data_model_new not detected as a
	constructor by GIR

	* libgda/Gda-5.0.gir, libgda/gda-attributes-manager.c,
	libgda/gda-meta-store.c, libgda/gda-meta-store.h,
	libgda/libgda-5.0.vapi, libgda/libgda.symbols: GdaMetaContext API for
	bindings improvements. * Added gda_meta_context_get_type to convert to
	GBoxed type and allow its use in bindings

	* libgda/Gda-5.0.gir, libgda/gda-meta-store.c, libgda/gda-meta-store.h,
	libgda/libgda-5.0.vapi: GdaMetaContext binding friendship fixes

2012-02-13  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/gda-data-select.c, libgda/gda-meta-store.c: GdaMetaContext API
	return values fixes and deleting unused declarations to avoid warnings

2012-02-05  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-data-model-ldap.c,
	libgda/libgda.symbols, libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-ldap-connection.h,
	providers/ldap/gda-ldap-util.c: Added
	gda_ldap_entry_get_attributes_list() and
	gda_ldap_attributes_list_free()

	* tools/command-exec.c, tools/gda-sql.c, tools/help/C/gda-sql-help.xml:
	GdaSql: added ldap_attributes and ldap_search commands

2012-02-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model.c, providers/ldap/gdaprov-data-model-ldap.c:
	Misc. corrections

	* doc/C/limitations.xml, providers/ldap/gda-ldap-provider.c,
	providers/ldap/gda-ldap-util.c: LDAP provider: allow connection opening
	using the "uid" attribute value  instead of the complete DN

	* doc/C/limitations.xml, providers/ldap/gda-ldap-provider.c,
	providers/ldap/ldap_specs_dsn.xml.in: LDAP provider: added TLS_REQCERT
	and TLS_CACERT connection parameters  to specify how to handle server
	certificates for SSL/TLS sessions

	* doc/C/examples/blobtest.c, samples/Blobs/README,
	samples/Blobs/blobtest.c: Update the BLOB example to mention the
	transation started automatically  whenever a blob is read

2012-02-03  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/gda-meta-store.c, libgda/gda-meta-store.h,
	libgda/gda-types.c, libgda/gda-types.h, libgda/libgda-5.0.vapi,
	libgda/libgda.symbols: Added new API to GdaMetaContext to convert it to
	an opaque struct.  * Added a new member to GdaMetaContext as GHashTable
	to hold column/value pairs, new API use it to store/get column/value
	pair. Hope this changes don't modify interal use of GdaMetaContext to
	allow slowly porting  * Some GI annotations fixes

2012-02-02  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/Gda-5.0.metadata,
	libgda/gda-attributes-manager.h, libgda/gda-value.c,
	libgda/providers-support/gda-pstmt.h: Hiding GDA's GValue API to
	bindings using GIR

	* libgda/Gda-5.0.metadata, libgda/data/DbField.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Table.vala,
	libgda/libgda-5.0.vapi, samples/vala/SampleDataModelIterable.vala:
	Hinding GDA's GValue API to Vala bindings * Including a
	gda_value_new_from_string version for Vala bindings as
	GdaData.DbField.value_from_string

2012-02-02  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-connection.c, samples/MetaStore/example.c: Fix tiny typos
	in docs.

2012-02-01  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, samples/Gir/dataproxy.py: Updated documentation
	in GIR for Gda.DataSelect. Updated sample for Gda.DataProxy in python.

	* libgda/Gda-5.0.gir, libgda/gda-data-proxy.c, libgda/gda-data-proxy.h,
	libgda/libgda-5.0.vapi, libgda/libgda.symbols,
	samples/Gir/dataproxy.py, samples/vala/SampleDataModelIterable.vala:
	Added new constructor for GdaDataProxy. Build fixes and test on python.
	 * Added symbol gda_data_proxy_new_with_data_model to be used by
	bindins instead gda_data_proxy_new not detected properly in GI before
	1.31 * Added a simple sample for dataproxy API test (new and old
	constructor) * Some build fixes for vala-extensions samples

2012-01-31  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, gnome-doc-utils.make, libgda/Gda-5.0.gir,
	libgda/Makefile.am, libgda/data/Catalog.vala,
	libgda/data/DataBase.vala, libgda/data/DbCatalog.vala,
	libgda/data/DbCollection.vala, libgda/data/DbField.vala,
	libgda/data/DbFieldInfo.vala, libgda/data/DbRecord.vala,
	libgda/data/DbRecordCollection.vala, libgda/data/DbSchema.vala,
	libgda/data/DbTable.vala, libgda/data/Field.vala,
	libgda/data/FieldInfo.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Makefile.am, libgda/data/Record.vala,
	libgda/data/RecordCollection.vala, libgda/data/Schema.vala,
	libgda/data/Table.vala, libgda/libgda-5.0.vapi,
	tests/vala/CheckDataModelIterator.vala,
	tests/vala/CheckDataObject.vala: Change Valac to 0.14. GdaData
	implementations for DbTable and Table metadata

2012-02-01  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, doc/C/limitations.xml: s/SqlCipher/SQLCipher/

2012-01-31  Vivien Malerba <malerba@gnome-db.org>

	* providers/firebird/Makefile.am,
	providers/firebird/firebird_specs_dsn.xml.in,
	providers/firebird/firebird_specs_dsn_emb.xml.in,
	providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-meta.h,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-pstmt.c,
	providers/firebird/gda-firebird-pstmt.h,
	providers/firebird/gda-firebird-recordset.c,
	providers/firebird/gda-firebird-recordset.h,
	providers/firebird/gda-firebird-util.c,
	providers/firebird/gda-firebird.h, providers/firebird/libmain-embed.c:
	Firebird provider improvements, thanks to Faghmie Davids

	* providers/mdb/libmdb-src/include/config.h,
	samples/LdapBrowser/Makefile, samples/SimpleUIForm/Makefile,
	samples/WritableSelect/Makefile: Add missing files  which were ignored
	because of some .gitignore rules

	* libgda/sqlite/sqlite-src/PragmasPatch,
	libgda/sqlite/sqlite-src/sqlite3.c, libgda/sqlite/sqlite-src/sqlite3.h,
	providers/sqlcipher/sqlcipher.patch: Set SQLite version to 3.7.9 and
	SqlCipher to 2.0.3

	* libgda/gda-data-select.c, libgda/sqlite/gda-sqlite-util.c,
	libgda/thread-wrapper/gda-thread-provider.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/jni-wrapper.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-util.c, providers/web/gda-web-util.c:
	Removed compiler warnings

2012-01-29  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-provider.c,
	providers/reuseable/mysql/gda-mysql-reuseable.c: MySQL provider: allow
	connection to be opened with MySQL 4

2012-01-24  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, libgda/data/DataBase.vala, libgda/data/Field.vala,
	libgda/data/FieldInfo.vala, libgda/data/Record.vala,
	libgda/data/Schema.vala, libgda/data/Table.vala,
	samples/vala/SampleDataModelIterable.vala,
	samples/vala/SampleDataObject.vala,
	tests/vala/CheckDataModelIterator.vala,
	tests/vala/CheckDataObject.vala: Ported to valac 0.16 and API
	simplification  * DataBase, Field, FieldInfo, Record, Schema and Table
	now implement its base interfaces without requiring to use <Value?>
	thanks to fix bug 667668 * Samples and Unit Tests updated

2012-01-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-data-entry.c,
	libgda-ui/gdaui-raw-grid.c: Set correct version for new symbols

	* doc/C/libgda-ui-sections.txt,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/data-entries/gdaui-entry-shell.h,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/widget-embedder.c,
	libgda-ui/data-entries/widget-embedder.h, libgda-ui/gdaui-basic-form.c,
	libgda-ui/gdaui-basic-form.h, libgda-ui/gdaui-data-entry.c,
	libgda-ui/gdaui-data-entry.h, libgda-ui/gdaui-raw-form.c,
	libgda-ui/libgda-ui.symbols, testing/gdaui-test-errors.c:
	GdauiBasicForm better shows invalid values

	* libgda-ui/gdaui-raw-grid.c, libgda-ui/gdaui-raw-grid.h: Added
	gdaui_raw_grid_add_formatting_function() and
	gdaui_raw_grid_remove_formatting_function()

	* libgda-report/engine/gda-report-engine.c,
	libgda-report/engine/rt-parser.c, libgda-report/engine/rt-parser.h,
	libgda-report/engine/test-rt-parser.c: Added the
	GdaReportEngine::output-directory property  to specify a directory in
	which generated files wil be saved

2012-01-23  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, libgda/Gda-5.0.gir, libgda/Gda-5.0.metadata,
	libgda/libgda-5.0.vapi: GI now depends on 1.31.10 and fixes on Bug
	667837

	* libgda/Gda-5.0.metadata, libgda/Makefile.am, libgda/libgda-5.0.vapi:
	Fixes to avoid API break in Vala and GI bindings in GI 1.31 (See Bug
	667837)

	* doc/mallard/gobject-introspection/about-gi.page,
	.../gobject-introspection/api-stability.page,
	.../gobject-introspection/distribution.page,
	doc/mallard/gobject-introspection/gda-vala.page,
	.../gobject-introspection/gir-generation.page,
	doc/mallard/gobject-introspection/gir-update.page,
	doc/mallard/gobject-introspection/index.page,
	doc/mallard/gobject-introspection/problems.page: Added documantation
	for developers about GObject Introspection in GDA

2012-01-22  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/DATA_film.xml, tests/test-sql-builder.c: Test
	adaptations

	* doc/C/examples/blobtest.c, libgda/gda-meta-store.c, libgda/gda-set.c,
	libgda/gda-sql-builder.c, libgda/gda-tree-mgr-columns.c,
	libgda/gda-tree-mgr-schemas.c, libgda/gda-tree-mgr-select.c,
	libgda/gda-tree-mgr-tables.c, libgda/gda-util.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	providers/ldap/gdaprov-data-model-ldap.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/oracle/gda-oracle-provider.c,
	providers/postgres/gda-postgres-provider.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	samples/Blobs/blobtest.c, testing/gdaui-test-rt-editor.c,
	tests/value-holders/check_holder.c, tools/browser/auth-dialog.c,
	tools/browser/browser-connection.c,
	tools/browser/browser-virtual-connection.c,
	tools/browser/common/fk-declare.c, tools/browser/common/ui-formgrid.c,
	tools/browser/connection-binding-properties.c,
	tools/browser/data-manager/data-source.c,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/ldap-browser/mgr-ldap-classes.c,
	tools/browser/login-dialog.c,
	tools/browser/schema-browser/mgr-columns.c,
	tools/browser/schema-browser/relations-diagram.c, tools/gda-sql.c:
	Always use a format string when calling g_set_error()

	* gnome-doc-utils.make, tools/help/Makefile.am: Have "make check" work
	as GdaSql's help is not mallard  and thus should not be tested for
	mallard syntax

	* .gitignore, gnome-doc-utils.make: Have gnome-doc-utils.make handled
	by git

2012-01-21  Vivien Malerba <malerba@gnome-db.org>

	* tools/Makefile.am, tools/browser/Makefile.am,
	tools/browser/browser-connection-priv.h,
	tools/browser/browser-connection.c, tools/browser/browser-connection.h,
	tools/browser/browser-favorites.c, tools/browser/browser-favorites.h,
	tools/browser/common/Makefile.am,
	tools/browser/common/favorites-actions.c,
	tools/browser/common/favorites-actions.h,
	tools/browser/common/ui-formgrid.c,
	tools/browser/data-manager/data-console.c,
	.../browser/data-manager/data-favorite-selector.c,
	.../browser/data-manager/data-favorite-selector.h,
	.../data-manager/data-manager-perspective.c,
	tools/browser/data-manager/data-source.h,
	tools/browser/doc/gda-browser-sections.txt,
	tools/browser/doc/gda-browser.types, tools/browser/favorites-test.c,
	.../ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	.../browser/ldap-browser/ldap-favorite-selector.h,
	tools/browser/mgr-favorites.c, tools/browser/mgr-favorites.h,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/query-exec/query-favorite-selector.h,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/favorite-selector.h,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/objects-index.h,
	tools/browser/schema-browser/relations-diagram.c,
	.../schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-info.c, tools/gda-sql.c,
	tools/gda-sql.h, tools/tools-favorites.c, tools/tools-favorites.h:
	Unified query favorites in GdaSql and GdaBrowser  GdaSql now uses the
	same favorites infrastructure as GdaBrowser, while still being able to
	load and delete previous saved query buffers

2012-01-18  Vivien Malerba <malerba@gnome-db.org>

	* po/ar.po, po/az.po, po/ca.po, po/ca@valencia.po, po/cs.po, po/da.po,
	po/de.po, po/dz.po, po/el.po, po/en_CA.po, po/en_GB.po, po/eo.po,
	po/es.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/ga.po, po/gl.po,
	po/hr.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	po/mk.po, po/ml.po, po/ms.po, po/nb.po, po/ne.po, po/nl.po, po/oc.po,
	po/pa.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/rw.po,
	po/sk.po, po/sl.po, po/sq.po, po/sr.po, po/sr@Latn.po, po/sv.po,
	po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_HK.po, po/zh_TW.po,
	testing/gdaui-test-data-entries.c: Data entry tester: strings are not
	to be translated  as this is a test program only

	* libgda-report/engine/gda-report-engine.c,
	libgda-report/engine/rt-parser.c, libgda-report/engine/rt-parser.h:
	Report engine can now render rich text to HTML as well as DocBook

2012-01-15  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/packaging.xml, doc/C/packaging_ui.xml: Updating packaging
	documentation to include GdaSql help files

	* configure.ac, tools/command-exec.c, tools/gda-sql.c,
	tools/help/C/gda-sql-help.xml, tools/help/Makefile.am: GdaSql: improved
	inline help (translations welcome!)

2012-01-10  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/gda-value.c: Fixed documentation for
	GdaNumeric. Fixes GIR generation messages Bug 652805.

	* libgda/Gda-5.0.gir, libgda/data/RecordCollection.vala,
	libgda/libgda-5.0.vapi, samples/vala/SampleDataModelIterable.vala,
	tests/vala/CheckDataModelIterator.vala: Fixed RecordCollection Unit
	Tests and Sample. Reached Milestone 1. * Gda to Gee.Collection
	Milestone 1 Reached. * All Unit Tests and samples compiles and run *
	Updated Gda-5.0.gir and libgda-5.0.vapi due to  annotation fixes

	* libgda/data/DbRecordCollection.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/data/RecordCollection.vala,
	samples/vala/SampleDataModelIterable.vala,
	tests/vala/CheckDataModelIterator.vala: DbRecordCollection and
	RecordCollection pass Unit Tests

2012-01-09  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/data/DbRecord.vala,
	libgda/data/DbRecordCollection.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Record.vala, libgda/data/RecordCollection.vala,
	libgda/libgda-5.0.vapi, samples/vala/SampleDataObject.vala,
	tests/vala/CheckDataModelIterator.vala,
	tests/vala/CheckDataObject.vala: Adding missing files and new API to
	DbRecord interface. Sample updates. * Added DbRecordCollection.vala and
	RecordCollection.vala missing files * DbRecord and Record gains new
	set_field_value() and set_key_value() API * Sample Updated to latest
	API changes libgda/samples/vala/SampleDataObject.vala

	* libgda/data/DataBase.vala, libgda/data/DbField.vala,
	libgda/data/DbObject.vala, libgda/data/DbSchema.vala,
	libgda/data/DbTable.vala, libgda/data/Field.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Record.vala,
	libgda/data/Schema.vala, libgda/data/Table.vala,
	tests/vala/CheckDataModelIterator.vala,
	tests/vala/CheckDataObject.vala: Fixes on Gee Collections
	implementation and DbRecord Unit Test.  * API changed to DbObject and
	updates to dependant interfaces and classes * API changes to other
	interterfaces and updates to implementators * Updates to GIR/VAPI files
	for GdaData * Fixed DbRecord and Record to pass Unit Tests

2012-01-08  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DbRecord.vala, libgda/data/GdaData-5.0.gir,
	tests/vala/CheckDataModelIterator.vala: Added DbRecord<G>.to_string().
	Fixes on DbRecordCollection Unit Tests.

2012-01-08  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Improved connections
	binding handling of strange cases

	* libgda/gda-data-select.c, libgda/gda-util.c, libgda/gda-util.h: Don't
	make gda_modify_statement_param_types() in the public API  it's too
	specific to Libgda's internals

2012-01-07  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/data/DbRecord.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Record.vala,
	libgda/libgda-5.0.vapi: Updating DbRecord interfaces. Updating GIR/VAPI
	bindings.

	* libgda/data/DataBase.vala, libgda/data/DataModelIterator.vala,
	libgda/data/DbCollection.vala, libgda/data/DbField.vala,
	libgda/data/DbObject.vala, libgda/data/DbRecord.vala,
	libgda/data/DbSchema.vala, libgda/data/DbTable.vala,
	libgda/data/Field.vala, libgda/data/FieldInfo.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Makefile.am,
	libgda/data/Record.vala, libgda/data/Schema.vala,
	libgda/data/Table.vala, tests/vala/CheckDataObject.vala: Fixes on
	interfaces and implementation for Gee Collection implementations

2012-01-05  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/data/IdField.vala,
	libgda/data/Record.vala, libgda/data/RecordSingleId.vala,
	libgda/gda-meta-store.c, libgda/libgda-5.0.vapi: Fixed
	Gda.MetaStore.extract_v annotations

2012-01-04  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataBase.vala, libgda/data/DbCollection.vala,
	libgda/data/DbField.vala, libgda/data/DbFieldInfo.vala,
	libgda/data/DbObject.vala, libgda/data/DbSchema.vala,
	libgda/data/DbTable.vala, libgda/data/Field.vala,
	libgda/data/FieldInfo.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/IdField.vala, libgda/data/Makefile.am,
	libgda/data/RecordSingleId.vala, libgda/data/Schema.vala,
	libgda/data/Table.vala: Implementations for DbCollection, DbSchema,
	DbTable, DbField, IdField, DbObject

	* libgda/Gda-5.0.gir, libgda/gda-meta-struct.c, libgda/libgda-5.0.vapi:
	Fixing GI annotations for Gda.MetaStruct.get_all_db_objects()

2012-01-07  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-select.c, libgda/gda-statement-priv.h,
	libgda/gda-statement.c, libgda/gda-util.c, libgda/gda-util.h:
	gda_data_select_compute_modification_statements(): take into account
	data model's columns types

2012-01-06  Murray Cumming <murrayc@murrayc.com>

	* debian/README.Debian, debian/changelog, debian/control,
	debian/control-nonfree/control.gda-primebase,
	debian/control-nonfree/control.gda-sybase,
	debian/control-nonfree/control.gda-tds,
	debian/control-nonfree/gda-primebase.files,
	debian/control-nonfree/gda-primebase.postinst,
	debian/control-nonfree/gda-sybase.files,
	debian/control-nonfree/gda-sybase.postinst,
	debian/control-nonfree/gda-tds.files,
	debian/control-nonfree/gda-tds.postinst, debian/control.orig,
	debian/copyright, debian/dirs, debian/docs, debian/ex.doc-base.package,
	debian/gda-mysql.files, debian/gda-mysql.postinst,
	debian/gda-odbc.files, debian/gda-odbc.postinst,
	debian/gda-postgres.files, debian/gda-postgres.postinst,
	debian/libgda-dev.files, debian/postinst, debian/rules: Remove ancient
	and unused debian/ files.  The real files for debian and Ubuntu are
	maintained by the distros.

2012-01-04  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataObject.vala, libgda/data/DataObjectSingleId.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Makefile.am,
	samples/vala/SampleDataObject.vala, tests/vala/CheckDataObject.vala:
	Added GdaData.Record and GdaData.RecordSingleId. Removed Object and
	ObjectSingleId  * GdaData.Object and ObjectSingleId has renamed to
	Record and RecordSingleId.

	* libgda/data/DataObject.vala, libgda/data/DataObjectSingleId.vala,
	libgda/data/GdaData-5.0.gir, samples/vala/SampleDataObject.vala,
	tests/vala/CheckDataObject.vala: API changes to
	GdaData.Object.append(). Now all tests pass.  * In order to append new
	objects you must set at least id if db definition don't set it for you.
	All fields are appended using standard INSERT command. * Unless you set
	id to the new object you can lost the object and any save command will
	fail

	* libgda/data/GdaData-5.0.gir, libgda/data/GdaData-UML.gaphor,
	libgda/data/Makefile.am, libgda/data/NamespaceInfo.vala,
	tests/vala/Makefile.am: Unit tests working again. libgdadata.h moved to
	libgda/data.  * GIR and vala bindings point to new libgdadata.h
	location * Unit test updated to run over new implementitions and header
	locations * More updates to UML model

	* libgda/data/DataObject.vala, libgda/data/DataObjectSingleId.vala,
	libgda/data/DbField.vala, libgda/data/Field.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/GdaData-UML.gaphor,
	samples/vala/SampleDataObject.vala, tests/vala/CheckDataObject.vala,
	tests/vala/Makefile.am: Updated API for GdaData.Object, ObjectSingleId,
	DbField. Fixes on samples and test.  * Samples updated to new API

	* libgda/Gda-5.0.metadata, libgda/data/DataObject.vala,
	libgda/data/DataObjectSingleId.vala, libgda/data/DbField.vala,
	libgda/data/DbObject.vala, libgda/data/DbRecord.vala,
	libgda/data/Field.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/GdaData-UML.gaphor, libgda/data/Makefile.am,
	libgda/gda-meta-store.h, libgda/libgda-5.0.vapi, samples/vala/Makefile,
	samples/vala/SampleDataObject.vala,
	tests/vala/CheckDataModelIterator.vala,
	tests/vala/CheckDataObject.vala, tests/vala/Makefile.am: libgda VAPI
	update for GdaMetaContext. Reimplementing GdaData.Object.  * Added
	missing annotations to gda-meta-store.h for GIR generation with no
	effect see bug #667236 * Modified Gda-5.0.metadata to deal with bug
	above. * GdaData.ObjectSingleId implements GdaData.Object for tables
	with one ID field * GdaData.Object now have most of its members as
	abstracts and implemented by ObjectSingleId for tables with just one ID
	field. Future ObjectMultipleId must handle multiple ID fields. *
	GdaData.Object reimplemented to use Field new object to avoid
	Gda.DataModel and allow to create 'off line' objects and add them to
	the database. * GdaData.Object.append is implemented by
	GdaData.ObjectSingleId. * New Field<G> generig class to manage records
	fields. * Updated DbField and DbRecord interfaces. * Added a class UML
	diagram using Gaphor to show classes and interfaces design.

2012-01-02  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataObject.vala, libgda/data/GdaData-5.0.gir:
	GdaData.Object added doc and API change now is Generic with new
	append() function  * Object is now generic you need to define the
	returning type of append(). * New append() must be implemented by
	derived classes throwing ObjectError domains set to APPEND. Expected
	generic type mustbe the derived class. * Added documentation to
	functions. No gtk-doc or valadoc for now.

	* libgda/Gda-5.0.metadata, libgda/libgda-5.0.vapi: Fixed vapi
	generation for Gda.Set.get_holder_value()

	* libgda/data/Makefile.am, libgda/data/NamespaceInfo.vala: Added
	NamespaceInfo.vala and used as first file to valac.  *
	NamespaceInfor.vala will hold any namespace annotation as global
	settings and used as first file passed to valac

2012-01-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/plugins/.gitignore,
	libgda-ui/data-entries/plugins/Makefile.am,
	.../plugins/gdaui-entry-format-spec.xml.in,
	.../data-entries/plugins/gdaui-entry-format.c,
	.../data-entries/plugins/gdaui-entry-format.h,
	libgda-ui/data-entries/plugins/libmain.c: GdaUI: new entry plugin to
	specify a formatted entry

2012-01-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-login.c,
	libgda-ui/internal/gdaui-provider-auth-editor.c: GdauiLogin: focus on
	the entry which needs attention when focus is obtained

	* tools/browser/auth-dialog.c, tools/browser/browser-connection.c,
	tools/browser/login-dialog.c, tools/browser/support.c: GdaBrowser:
	improved user experience when starting

2011-12-29  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-rt-editor.c: Gdaui:
	misc. corrections

	* libgda/gda-config.c, libgda/gda-connection.c,
	libgda/gda-data-handler.c, libgda/gda-data-model.c,
	libgda/gda-data-pivot.c, libgda/gda-holder.c, libgda/gda-init.c,
	libgda/gda-lockable.c, libgda/gda-log.c, libgda/gda-meta-store.c,
	libgda/gda-mutex.c, libgda/gda-mutex.h, libgda/gda-set.c,
	libgda/gda-sql-builder.c, libgda/gda-value.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	tools/browser/browser-connection-priv.h,
	tools/browser/browser-connection.c, tools/browser/browser-page.c,
	tools/browser/browser-perspective.c,
	tools/browser/common/objects-cloud.c: Handle deprecated symbols for
	Glib 2.32

2011-12-28  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.gir, libgda/Makefile.am, libgda/libgda-5.0.vapi:
	Tracking API changes by adding Gda-5.0.gir and libgda-5.0.vapi files

	* libgda/data/DataModelIterable.vala, libgda/gda-data-model.c:
	GdaData.DataModelIterable now implements Gda.DataModel.get_exceptions()
	 * Added missing annotations to gda_data_model_get_exceptions ()

2011-12-23  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataModelIterable.vala,
	libgda/data/DataModelIterator.vala, libgda/data/DbCollection.vala,
	libgda/data/DbField.vala, libgda/data/DbRecord.vala,
	libgda/data/DbSchema.vala, libgda/data/DbTable.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/Makefile.am,
	libgda/data/SqlExpression.vala, libgda/data/SqlWhere.vala: Added
	sources to build DB as Collection set of interfaces and fixes.  * Added
	and fixed to build sources for DB Collection * DataModelIterable moved
	to a independient file * Moved out from build Selectable sources until
	they build or have better hierarchy solution

2011-12-22  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DbCollection.vala, libgda/data/DbField.vala,
	libgda/data/DbRecord.vala, libgda/data/DbSchema.vala,
	libgda/data/SqlExpression.vala, libgda/data/SqlWhere.vala: Interface
	hierarchy for DbCollection using Gee.  * This are the first ideas on
	interface hierarchy for DbCollection * Added DbCollection, DbShema,
	DbTable, DbRecord, DbField, SqlWhere, SqlExpression interfaces

	* libgda/data/DataModelIterator.vala, libgda/data/GdaData-5.0.gir,
	libgda/gda-data-model.c, libgda/gda-data-model.h: Added invokers for
	virtual funtions on GdaDataModel interface.  * Added i_set_notify,
	i_get_notify, i_iter_next, i_iter_prev, i_iter_at_row,
	i_iter_set_value, invokers just to allow Vala classes to implement
	GdaDataModel interface.  * GdaData.DataModelIterable now implements
	Gda.DataModel interface

	* samples/vala/Makefile, samples/vala/SampleDataModelIterable.vala,
	samples/vala/SampleDataModelIterator.vala: Done Sample on Gee based
	iterable DataModel.

	* libgda/data/DataModelIterator.vala, libgda/data/DataObject.vala,
	libgda/data/GdaData-5.0.gir, samples/vala/Makefile,
	samples/vala/SampleDataObject.vala: GdaData.Object and
	GdaData.DataModelIterable API Change.  * GdaData.Object.record is now a
	Gda.DataModel * GdaData.DataModelIterable no avoids to implement
	Gda.DataModel interface due to no public functions. Even that you can
	use most of the public functions as if it is a Gda.DataModel but you
	can't cast to. * Work on samples continue.

2011-12-21  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataModelIterator.vala, libgda/data/DataObject.vala,
	libgda/data/GdaData-5.0.gir, libgda/data/libgdadata-5.0.pc.in,
	samples/vala/Makefile.am: Work in progress: Fixing
	GdaData.DataModelIterable implementing Gda.DataModel interface. Missing
	some functions not correctly implemented.

	* libgda/data/DataObject.vala, libgda/data/GdaData-5.0.gir,
	libgda/data/Makefile.am, libgda/data/libgdadata-5.0.pc.in,
	samples/vala/SampleDataObject.vala: Fix libgdadata installation issues.
	Simplifing example for GdaData.Object.

2011-12-19  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataObject.vala, libgda/data/GdaData-5.0.gir,
	samples/vala/SampleDataObject.vala, tests/vala/CheckDataObject.vala:
	GdaData.Object.table API change: changed to read-only attribute.  *
	GdaData.Object.table must be overrided by derived classes maybe using
	an static string or any other method.

2011-12-14  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataModelIterator.vala, libgda/data/DataObject.vala,
	libgda/data/GdaData-5.0.gir, samples/vala/SampleDataObject.vala,
	tests/vala/CheckDataModelIterator.vala,
	tests/vala/CheckDataObject.vala: Fixed DataModelIterator build. API
	change on GdaData.Object for table property and build fixes.  * Fixed
	implementation of Gee.AbstractCollection * GdaData.Object.table
	property now allow to define a construct state to set its value to a
	internal variable is required like is done in Check Unit Test. * Fixes
	on Unit Tests and API changes updates * More work on SampleDataObject
	no compiles jet

	* libgda/data/DataModelIterator.vala, libgda/data/DataObject.vala,
	libgda/data/Makefile.am, libgda/gda-data-model.c,
	samples/vala/SampleDataObject.vala, tests/vala/CheckDataObject.vala:
	DataModelIterator implements Gee.AbstractCollection. GdaData.Object API
	changes make table field public and abstract read only property.  *
	DataModelIterator implements Gee.AbstractCollection instead of
	Gee.Collection, Gee.Iterable and Gee.Traversable * GdaData.Object
	expose 'table' as public abstract property and is declared as abstract
	class. Derived classes must implement table to return the table used to
	get data from. * Fixed some build problems. Remains a typelib
	compilation problem.

2011-12-13  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, libgda/data/DataModelIterator.vala,
	libgda/data/DataObject.vala, libgda/data/Makefile.am,
	libgda/data/SelectQuery.vala, libgda/data/libgdadata-0.2.pc.in,
	libgda/data/libgdadata-5.0.pc.in, samples/Makefile,
	samples/vala/Makefile.am, samples/vala/SampleDataModelIterator.vala,
	samples/vala/SampleDataObject.vala,
	tests/vala/CheckDataModelIterator.vala, tests/vala/Makefile.am: Set
	libgdadata version to 5.0. Added initial examples. DataModelIterable
	implements Gee.Collection and Gda.DataModel

2011-12-13  Vivien Malerba <malerba@gnome-db.org>

	* providers/firebird/Makefile.am,
	providers/firebird/gda-firebird-blob-op.c,
	providers/firebird/gda-firebird-parser.c,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-pstmt.c,
	providers/firebird/gda-firebird-recordset.c: Allow the two kinds of
	Firebird providers to be used at the same time

2011-12-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement-extra.h, libgda/gda-statement.c,
	libgda/sqlite/gda-sqlite-provider.c: Correction for bug #665917

2011-12-11  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda.spec.in, m4/firebird.m4, providers/Makefile.am,
	providers/firebird/Makefile.am, providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-pstmt.c,
	providers/firebird/gda-firebird-pstmt.h,
	providers/firebird/gda-firebird-recordset.c,
	providers/firebird/gda-firebird-recordset.h,
	providers/firebird/gda-firebird-util.c,
	providers/firebird/gda-firebird.h, providers/firebird/libmain-client.c,
	providers/firebird/libmain-embed.c, providers/firebird/libmain.c: Work
	on the Firebird provider, thanks to Faghmie Davids  2 providers are
	created: one for the client version and one for the embedded server
	version

2011-12-06  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataModelIterator.vala,
	tests/vala/CheckDataModelIterator.vala: Added Unit Test for
	Gda.DataModelIterable.stream().  * Actualy it works with any generic
	type A. Tested using string as generic but it doesn't returns builded
	string from StreamFunc<Value?,string> FIXME.

	* libgda/data/DataModelIterator.vala,
	tests/vala/CheckDataModelIterator.vala: Fixed DataModelIterator.filter
	function and its Unit Test.

	* libgda/data/DataModelIterator.vala,
	tests/vala/CheckDataModelIterator.vala: Fixed DataModelInterator
	implementation to pass new unit tests.

	* libgda/data/DataModelIterator.vala, libgda/data/DataObject.vala,
	libgda/data/Makefile.am, libgda/data/SelectQuery.vala,
	tests/vala/Makefile.am: Set Version to 0.2. Added DataModelIterable.
	Fixes on DataModelIterator and Unit Tests.  * New DataModelIterable in
	order to use foreach and get Gee.Iterator * Fixes on DataModelIterator
	* Moved libgda/data/libgdadata.h to just libgdadata.h to help in
	parallel installations of future versions * libgdadata set version to
	0.2 * Fixes on SelectQuery base class to GLib.Object * Fexed
	Makefile.am for unit tests

2011-12-02  Marco Ciampa <ciampix@libero.it>

	* libgda/sqlite/gda-sqlite-recordset.c, po/it.po: Small typo fixed &
	italian translation updated (not finished yet...)

2011-12-01  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/Makefile.am, tests/vala/Makefile.am: Added files to
	CLEANFILES

	* configure.ac, libgda/data/DataModelIterator.vala,
	libgda/data/Makefile.am, libgda/data/libgdadata-0.2.pc.in,
	libgda/data/libgdadata-1.0.pc.in, tests/vala/CheckDataObject.vala,
	tests/vala/Makefile.am: Added DataModelIterator. Changed libgdadata to
	0.2. Added more unit tests to DataObject.  * Added DataModelIterator as
	a Gee.Iterable and Gee.Traversable * Changed libgdadata to 0.2 to avoid
	future conflics on installed versions * DataObject have more unit tests
	to verify changing Table and setting a new ID

2011-11-29  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/data/DataObject.vala, libgda/data/Makefile.am,
	tests/vala/CheckDataObject.vala, tests/vala/Makefile.am: GdaDataObject
	basic API and unit test fixed to build

2011-11-28  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Makefile.am, libgda/data/Makefile.am,
	libgda/data/libgdadata-1.0.pc.in, tests/Makefile.am,
	tests/vala/Makefile.am: More work to build correctly libgdadata as Vala
	Extension

2011-11-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-symbols-util.c, m4/bdb.m4,
	providers/bdbsql/libmain.c: Fixed BDBSql building and running

2011-11-25  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/gdaui-data-proxy-info.c: GdaBrowser:don't use xthickness and
	ythickness style properties (more)

	* libgda-ui/data-entries/gdaui-numeric-entry.c, libgda-ui/gdaui-init.c,
	libgda-ui/gdaui-rt-editor.c, tools/browser/browser-window.c,
	tools/browser/query-exec/query-console-page.c: Misc UI tweaks

2011-11-25  Daniel Espinosa <despinosa@src.gnome.org>

	* configure.ac, libgda/Makefile.am, libgda/data/DataObject.vala,
	libgda/data/Makefile.am, libgda/data/SelectQuery.vala,
	libgda/data/config.vapi, libgda/vala/DataObject.vala,
	libgda/vala/SelectQuery.vala, tests/Makefile.am,
	tests/vala/CheckDataObject.vala, tests/vala/Makefile.am: Progress to
	get libgdadata build and switching from libgdavala  * Added
	--enable-vala-extensions (default to no) to build vala extensions *
	Improved package search and messages output from configure * Moved vala
	extensions from libgda/vala to libgda/data, more extensions wil get its
	own subdir and namespace * Changed namespace from Gda to GdaData for
	this initial extensions * Still changing from libgdavala to libgdadata
	* Some improvements to Unity Test for GdaDataObject

2011-11-24  Nirbheek Chauhan <nirbheek@gentoo.org>

	* configure.ac, libgda/Makefile.am: build: use AC_PATH_PROG for finding
	vapigen  Also, use the commonly-used names for vala-related variables

2011-11-23  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/prov-test-common.c, tests/providers/prov-test-util.c:
	Corrected providers test

	* libgda/gda-server-operation.c, tests/test-cnc-utils.c:
	GdaServerOperation usage corrections

2011-11-22  Vivien Malerba <malerba@gnome-db.org>

	* installers/Windows/gda-browser-tmpl.nsi,
	installers/Windows/gda-browser.nsi,
	installers/Windows/make-zip-setup.sh: Improvements to the windows
	packaging script  automatically determine version, several paths can be
	specified, switch to GTK3, name EXE with version

2011-11-20  Vivien Malerba <malerba@gnome-db.org>

	* providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-recordset.c,
	providers/oracle/gda-oracle-util.c:
	gda_connection_internal_get_provider_data_error() corrections

2011-11-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection-internal.h, libgda/gda-connection.c,
	libgda/thread-wrapper/gda-thread-provider.c: Thread-wrapped connection
	corrections  to be able to use any thread-wrapped connection even when
	it's closed, like for non thread-wrapped connections

	* libgda-ui/gdaui-data-selector.c, po/POTFILES.in: Improved
	gdaui_data_selector_set_column_visible()  to allow the setting to be
	applied to all columns

	* libgda/sqlite/gda-sqlite-meta.c, libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	libgda/thread-wrapper/gda-thread-meta.c,
	libgda/thread-wrapper/gda-thread-provider.c,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-recordset.c,
	providers/firebird/gda-firebird-util.c, providers/jdbc/gda-jdbc-meta.c,
	providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-recordset.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-meta.c,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-recordset.c,
	providers/oracle/gda-oracle-util.c,
	providers/postgres/gda-postgres-ddl.c,
	providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-recordset.c,
	providers/reuseable/mysql/gda-mysql-meta.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	.../skel-implementation/capi/gda-capi-provider.c,
	providers/web/gda-web-meta.c, providers/web/gda-web-provider.c,
	providers/web/gda-web-recordset.c: Use
	gda_connection_internal_get_provider_data_error() when needed

2011-11-15  Murray Cumming <murrayc@murrayc.com>

	* configure.ac, libgda/sqlite/gda-sqlite-provider.c: Added
	-DGSEAL_ENABLE to the --enable-warnings=fatal build.  Also disabled a
	warning that glib now causes when using (deprecated)
	G_STATIC_MUTEX_INIT, and fixed a minor const warning.

2011-11-14  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/gda-value.c, libgda/gda-value.h,
	libgda/sqlite/gda-sqlite-provider.c,
	providers/postgres/gda-postgres-recordset.c: Enable GSEAL to find
	direct access to GdaNumeric members (no opaque struct)  * make
	CFLAGS+="-DGSEAL_ENABLE" will fail to compile if direct access to
	GdaNumeric members is intended * Fixed internal SQLite and PostgreSQL
	providers, other providers must be fixed too

	* libgda/vala/DataObject.vala, tests/vala/CheckDataObject.vala,
	tests/vala/Makefile.am: Added initial tests cases for GdaDataObject for
	make check

2011-11-11  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-connection-private.h,
	libgda/gda-connection.c, libgda/libgda.symbols: Added
	gda_connection_internal_get_provider_data_error()

2011-11-11  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-value.c, libgda/gda-value.h: gda_numeric_copy(),
	gda_numeric_free(): Use actual types.  There is no need to use gpointer
	instead of GdaNumeric* and that is not the convention.

2011-11-11  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/vala/DataObject.vala, libgda/vala/SelectQuery.vala: Initial
	setup vala module for DataObject as database persistence GObject.

	* doc/C/libgda-sections.txt, libgda/gda-value.c, libgda/gda-value.h,
	libgda/libgda.symbols: Fixing documentation, apply coding style from
	maintainer and add missing symbols in libgda.symbols

2011-11-11  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c, libgda/sqlite/gda-sqlite-util.c,
	libgda/thread-wrapper/gda-thread-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-provider.c,
	providers/postgres/gda-postgres-handler-bin.c,
	providers/postgres/gda-postgres-provider.c,
	providers/reuseable/mysql/gda-mysql-meta.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	providers/skel-implementation/capi/gda-capi-provider.c,
	providers/web/gda-web-provider.c: Better handle situations where
	GdaConnection is closed

2011-11-10  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.metadata, libgda/Makefile.am, libgda/gda-data-model.c,
	libgda/gda-data-proxy.c, libgda/gda-decl.h, libgda/gda-holder.c,
	libgda/gda-row.c, libgda/gda-value.c, libgda/gda-value.h: GI
	improvements on GdaDataModel, GdaDataModelIter, GdaHolder, GdaRow and
	GdaNumeric. Added API to GdaNumeric.  * Added API to GdaNumeric. Now
	must be considered as opaque struct * Added GSEAL() macro as initial
	work to seal GdaNumeric * Fixed some GObject Introspection annotations
	* Fixed Vala bindings for GdaDataModel, GdaDataModelIter, GdaHolder,
	GdaRow and GdaNumeric

2011-11-09  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, doc/C/libgda-sections.txt,
	libgda/gda-connection.c, libgda/gda-connection.h,
	libgda/libgda.symbols: Added gda_connection_new_from_dsn() and
	gda_connection_new_from_string()

2011-11-08  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/gda-statement-struct-select.c,
	libgda/sql-parser/gda-statement-struct.c: Bug correction in
	GdaStatement structure analysis  when the same table is used more than
	once in a SELECT and when sub SELECT statements are used as targets of
	other SELECT statements

	* libgda/sql-parser/gda-statement-struct-util.c,
	providers/postgres/gda-postgres-provider.c: Correction for bug #663608

2011-11-06  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c,
	providers/postgres/gda-postgres-provider.c: Don't change the
	GdaDataSelect::auto-reset property without the use knowing it

	* libgda/gda-holder.c, libgda/gda-holder.h: Made GdaHolder thread safe,
	and implemented the GdaLockable interface

2011-11-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement.c, libgda/sqlite/gda-sqlite-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-provider.c: Correction for bug #663357 
	modifications made when treating bug #662922 were not propagated to all
	the providers implementing their own expression rendering method

2011-11-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-sql-builder.c, libgda/gda-statement.c: Correction for bug
	#662922

2011-10-31  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-sql-builder.c, libgda/gda-statement.c,
	providers/postgres/gda-postgres-recordset.c: Correction for bug #662922
	 this correction: - GdaSqlBuilder now delays converting values to SQL
	to GdaStatement rendering - handle PostgreSQL 9's new HEX
	representation of binary data

2011-10-26  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, installers/Windows/make-zip-setup.sh: Set version to
	5.0.1

	* NEWS, configure.ac: Released version 5.0.0

2011-10-25  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-raw-form.c, libgda-ui/gdaui-raw-grid.c: Gdaui:
	improved grid and form handling of the GdaDataModel::reset signal

	* libgda/gda-data-select-extra.h, libgda/gda-data-select.c:
	GdaDataSelect: cache data for better efficiency  - cache last read
	GdaRow to be able to re-apply it to an iter's values - cache the
	get_attributes_at() method

2011-10-23  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-symbols-util.c, libgda/sqlite/gda-symbols-util.h,
	libgda/sqlite/sqlite-src/Makefile.am,
	providers/sqlite/sqlite_specs_dsn.xml.in: SQLite provider: enable using
	"SELECT load_extension('xxx')"

2011-10-20  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-data-cell-renderer-info.c,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.c,
	libgda-ui/gdaui-data-proxy-info.c, libgda-ui/gdaui-rt-editor.c,
	libgda-ui/gdaui-server-operation.c, libgda-ui/internal/utility.c,
	libgda/gda-row.c, libgda/gda-sql-builder.c, libgda/gda-sql-builder.h,
	libgda/handlers/gda-handler-numerical.c,
	libgda/sql-parser/gda-statement-struct-util.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap-util.c,
	providers/mdb/gda-mdb-provider.c,
	providers/oracle/gda-oracle-blob-op.c,
	providers/oracle/gda-oracle-meta.c,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-pstmt.c,
	providers/oracle/gda-oracle-recordset.c,
	providers/postgres/gda-postgres-provider.c,
	tools/browser/auth-dialog.c, tools/browser/browser-connection.c,
	tools/browser/browser-virtual-connection.c,
	tools/browser/browser-window.c,
	tools/browser/canvas/browser-canvas-column.c,
	tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas.c,
	tools/browser/common/widget-overlay.c,
	tools/browser/data-manager/analyser.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/login-dialog.c, tools/browser/mgr-favorites.c,
	tools/browser/query-exec/query-console-page.c: Compiler warnings
	corrections

2011-10-20  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-connection.c, tests/providers/prov-test-common.c,
	tests/value-holders/check_set.c: Fix chech->check typos.

2011-10-19  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-connection.c, libgda/gda-data-comparator.c,
	libgda/gda-meta-store.c, libgda/gda-xa-transaction.h: Documentation:
	Fix some spelling

2011-10-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/gda-statement-struct.c, tests/parser/testvalid.xml:
	gda_statement_check_validity() correction  and updated test cases

2011-10-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-raw-form.c, libgda-ui/gdaui-raw-grid.c: Misc.
	corrections

	* libgda-ui/gdaui-form.c, libgda-ui/gdaui-grid.c: Honor the
	GdauiDataSelector::selection-changed signal for GdauiForm and GdauiGrid

2011-10-13  Daniel Espinosa <despinosa@src.gnome.org>

	* libgda/Gda-5.0.metadata, libgda/Makefile.am,
	libgda/gda-sql-builder.c, libgda/gda-sql-builder.h,
	libgda/handlers/gda-handler-time.c,
	libgda/sql-parser/gda-statement-struct-compound.h,
	libgda/sql-parser/gda-statement-struct-decl.h,
	libgda/sql-parser/gda-statement-struct-parts.h: GObject Introspection
	improvements: make introspectable more GdaSqlBuilder API and add new
	(gda_sql_builder_compound_add_sub_select_from_builder and
	gda_sql_builder_compound_add_sub_select)

2011-10-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement.c, tests/data-models/check_data_proxy.c:
	Improved SQL rendering of GdaStatement

2011-10-07  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/data_validation.xml,
	libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/data-entries/plugins/libmain.c, libgda-ui/gdaui-data-entry.h,
	libgda-ui/libgda-ui.symbols, libgda/gda-connection.c,
	libgda/gda-connection.h, libgda/gda-data-model-bdb.c,
	libgda/gda-data-model-dir.c, libgda/gda-data-model-import.c,
	libgda/gda-data-proxy.c, libgda/gda-meta-store.c,
	libgda/gda-meta-struct-io.c, libgda/gda-meta-struct.h,
	libgda/gda-server-operation.c, libgda/gda-server-operation.h,
	libgda/gda-server-provider.h, libgda/gda-set.c, libgda/gda-set.h,
	libgda/sql-parser/gda-statement-struct-insert.c,
	libgda/sqlite/gda-sqlite-ddl.c, libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/thread-wrapper/gda-thread-provider.c,
	providers/firebird/gda-firebird-ddl.c,
	providers/firebird/gda-firebird-provider.c,
	providers/jdbc/gda-jdbc-ddl.c, providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-util.c, providers/jdbc/jni-wrapper.c,
	providers/ldap/gda-ldap-util.c, providers/mysql/gda-mysql-ddl.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-ddl.c,
	providers/oracle/gda-oracle-provider.c,
	providers/postgres/gda-postgres-ddl.c,
	providers/skel-implementation/capi/gda-capi-ddl.c,
	.../skel-implementation/capi/gda-capi-provider.c,
	providers/web/gda-web-ddl.c, providers/web/gda-web-provider.c,
	tests/providers/prov-test-common.c, tests/providers/prov-test-common.h:
	Partial corrections for bug #660563

2011-09-30  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda/gda-data-model.c: More Vala and GI improvements 
	thanks to Daniel Espinosa

2011-09-21  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-connection.c, libgda/gda-quark-list.h,
	libgda/sql-parser/gda-sql-statement.h: Some documentation fixes.

2011-09-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-pivot.c, libgda/gda-data-pivot.h: GdaDataPivot
	improvements  more scalable way of summarizing data

	* libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/gda-sqlite-util.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: SQlite provider:
	handle more dete types

2011-09-25  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-pivot.c, tools/gda-sql.1.in, tools/gda-sql.c:
	GdaDataPivot improvements

2011-09-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c,
	providers/jdbc/gda-jdbc-provider.c,
	providers/mysql/gda-mysql-provider.c,
	providers/oracle/gda-oracle-provider.c,
	providers/postgres/gda-postgres-provider.c,
	.../skel-implementation/capi/gda-capi-provider.c,
	providers/web/gda-web-provider.c: Corrected bug when executing
	statement with a NULL variable

	* configure.ac, libgda/Gda-5.0.metadata: Vala bindings generation now
	require version >= 0.14  and added Gda-5.0.metadata

2011-09-22  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda/.gitignore, libgda/Makefile.am,
	libgda/gda-connection.c, libgda/gda-data-model.c,
	libgda/gda-meta-store.c, libgda/gda-meta-struct.c,
	libgda/gda-meta-struct.h, libgda/gda-server-provider.h,
	libgda/gda-set.c, libgda/gda-set.h, libgda/gda-statement-extra.h,
	libgda/gda-transaction-status.h, libgda/gda-tree-manager.c,
	libgda/gda-types.h, libgda/gda-util.c, libgda/gda-xa-transaction.c,
	libgda/providers-support/gda-pstmt.h,
	libgda/sql-parser/gda-statement-struct-decl.h: GI annotations
	improvements and auto Vala bindings generation  Many thanks to Daniel
	Espinosa

2011-09-18  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, doc/C/libgda-sections.txt,
	libgda/gda-data-model-iter.c, libgda/gda-row.c, po/POTFILES.in: Doc.
	updates

	* doc/C/libgda-5.0-docs.sgml, doc/C/libgda-sections.txt,
	libgda/Makefile.am, libgda/gda-data-pivot.c, libgda/gda-data-pivot.h,
	libgda/libgda.h.in, libgda/libgda.symbols,
	tests/data-models/.gitignore, tests/data-models/Makefile.am,
	tests/data-models/check_pivot.c, tests/data-models/pivot.db,
	tools/gda-sql.1.in, tools/gda-sql.c: Initial GdaDataPivot
	implementation

	* providers/firebird/gda-firebird-recordset.c,
	providers/jdbc/gda-jdbc-recordset.c,
	providers/oracle/gda-oracle-recordset.c,
	.../skel-implementation/capi/gda-capi-recordset.c,
	providers/web/gda-web-recordset.c: Misc provider corrections related to
	iterators

	* libgda/gda-data-select.c, libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Make virtual
	connections work better with cursor only data models

	* libgda/gda-data-select.c, libgda/sqlite/gda-sqlite-recordset.c:
	Removed debug messages

2011-09-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/data-entries/plugins/common-pict.h,
	.../plugins/gdaui-data-cell-renderer-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c: Picture plugin
	corrections

	* libgda/gda-connection.c, libgda/gda-data-select.c: Better code
	readability

2011-09-14  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/prov-writing-recordsets.xml, libgda/gda-data-model-import.c,
	libgda/gda-data-model-iter.c, libgda/gda-data-select.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	providers/firebird/gda-firebird-recordset.c,
	providers/jdbc/gda-jdbc-recordset.c,
	providers/ldap/gdaprov-data-model-ldap.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/oracle/gda-oracle-recordset.c,
	providers/postgres/gda-postgres-recordset.c,
	.../skel-implementation/capi/gda-capi-recordset.c: Cleaned
	GdaDataModelIter implementations

	* libgda/gda-data-model-iter.c, libgda/gda-data-model-iter.h,
	libgda/gda-data-select.c, libgda/gda-holder.c, libgda/gda-holder.h,
	libgda/gda-row.c, libgda/gda-row.h,
	libgda/sql-parser/gda-statement-struct-parts.c,
	libgda/sqlite/gda-sqlite-recordset.c, libgda/sqlite/gda-sqlite.h,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	tests/data-models/check_model_errors.c: Added GdaRow and GdaHolder
	error reporting APIs  gda_row_invalidate_value_e()
	gda_row_value_is_valid_e() gda_holder_force_invalid_e()
	gda_holder_is_valid_e() gda_data_model_iter_get_value_at_e()

2011-09-08  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c, libgda/gda-statement-priv.h,
	libgda/gda-statement.c: Use type cast information from SELECT
	GdaStatement during execution

2011-09-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/Makefile.am, libgda/gda-data-model-bdb.c,
	libgda/gda-data-model-ldap.c, libgda/gda-data-select.c,
	libgda/gda-sql-builder.c, libgda/gda-util.c,
	libgda/handlers/gda-handler-time.c,
	libgda/sql-parser/gda-statement-struct-decl.h: Introspection
	improvements

	* libgda/gda-meta-struct.c, libgda/gda-meta-struct.h,
	libgda/sqlite/gda-sqlite-meta.c: SQlite: handle meta data of views
	using non native SQLite functions

2011-09-02  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, installers/Windows/make-zip-setup.sh: Set version to
	4.99.5

2011-09-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src/PragmasPatch,
	libgda/sqlite/sqlite-src/sqlite3.c, libgda/sqlite/sqlite-src/sqlite3.h,
	providers/sqlcipher/sqlcipher.patch: Set SQLite to version 3.7.7.1  and
	updated SqlCipher as well

2011-08-31  Vivien Malerba <malerba@gnome-db.org>

	* control-center/gdaui-dsn-editor.c,
	control-center/gdaui-login-dialog.c,
	libgda-report/RML/gda-report-rml-document.c,
	.../gdaui-data-cell-renderer-textual.c,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/gdaui-entry.c,
	libgda-ui/data-entries/gdaui-formatted-entry.c,
	.../plugins/gdaui-data-cell-renderer-password.c,
	libgda-ui/gdaui-cloud.c, libgda-ui/gdaui-combo.c,
	libgda-ui/gdaui-init.c, libgda-ui/gdaui-login.c,
	libgda-ui/gdaui-plugin.h, libgda-ui/gdaui-raw-form.c,
	libgda-ui/gdaui-rt-editor.c, libgda-ui/gdaui-server-operation.c,
	libgda/gda-attributes-manager.c, libgda/gda-column.c,
	libgda/gda-column.h, libgda/gda-data-handler.c,
	libgda/gda-data-model-bdb.c, libgda/gda-data-model.c,
	libgda/gda-data-proxy.c, libgda/gda-holder.c, libgda/gda-holder.h,
	libgda/gda-meta-store.c, libgda/gda-meta-struct.h,
	libgda/gda-server-operation.c, libgda/gda-sql-builder.c,
	libgda/gda-statement-extra.h, libgda/gda-tree-manager.c,
	libgda/gda-tree-node.c, libgda/gda-tree.c, libgda/gda-util.c,
	libgda/gda-value.c, libgda/gda-value.h, libgda/gda-xa-transaction.c,
	libgda/sql-parser/gda-statement-struct-parts.h,
	libgda/sql-parser/gda-statement-struct-select.c,
	libgda/sql-parser/gda-statement-struct.c,
	libgda/sqlite/virtual/gda-ldap-connection.h,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.h,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/thread-wrapper/gda-thread-wrapper.c, tests/gda-ddl-creator.c,
	tools/browser/browser-connections-list.c,
	tools/browser/browser-favorites.c, tools/browser/browser-window.c,
	tools/browser/canvas/browser-canvas-column.c,
	tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas-item.c,
	tools/browser/common/fk-declare.c, tools/browser/common/ui-formgrid.c,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/data-manager/data-source.c,
	tools/browser/query-exec/query-editor.c, tools/browser/support.c,
	tools/gda-tree-mgr-xml.c, tools/web-server.c: GObject instrospection
	annotations improvements (many thanks to Daniel Espinosa)

2011-08-30  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/Makefile.am, doc/C/abstraction.xml, doc/C/libgda-5.0-docs.sgml:
	Doc. improvements

2011-08-29  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c, libgda/gda-data-select.c,
	tools/browser/browser-connection.c,
	tools/browser/query-exec/query-result.c, tools/gda-sql.c: Allow
	reporting of statement execution's delay

2011-08-28  Vivien Malerba <malerba@gnome-db.org>

	* providers/web/gda-web-recordset.c, providers/web/gda-web-util.c,
	providers/web/gda-web.h: Web provider: improved performances  don't use
	an SQLite temporary database

2011-08-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-import.c, libgda/gda-data-model-import.h,
	libgda/libgda-paramlist.dtd: Code cleanups

2011-08-21  Vivien Malerba <malerba@gnome-db.org>

	* providers/web/gda-web-recordset.c, providers/web/gda-web-util.c,
	providers/web/gda-web.h: Web provider: use only one connection for all
	data models

	* providers/web/Makefile.am, providers/web/README,
	providers/web/php/README, providers/web/php/gda-config.php,
	providers/web/php/gda-front.php,
	providers/web/php/gda-secure-config.php,
	providers/web/php/gda-tester.php, providers/web/php/gda-utils.php,
	providers/web/php/gda-worker.php: Web provider: PHP scripts and
	documentation improvements  - define connections in
	gda-secure-config.php file - possibily enable logging - gda-tester.php
	now outputs HTML

	* providers/reuseable/mysql/gda-mysql-parser.c,
	providers/reuseable/postgres/gda-postgres-parser.c: Fixed GType
	creation for reuseable objects

2011-08-19  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-util.c, libgda/gda-util.h,
	libgda/libgda.symbols, libgda/providers-support/gda-pstmt.h,
	libgda/sqlite/gda-sqlite-provider.c,
	tests/parser/check_rewrite_for_null.c: Improved statement rewriting for
	NULL parameters

2011-08-07  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-util.c, libgda/gda-util.h,
	libgda/libgda.symbols, tests/parser/.gitignore,
	tests/parser/Makefile.am, tests/parser/check_rewrite_for_null.c: Added
	gda_rewrite_statement_for_null_parameters()

2011-08-05  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-data-proxy.c,
	libgda/gda-data-select.c, libgda/gda-data-select.h, libgda/gda-util.c,
	libgda/libgda.symbols: Added
	gda_data_select_compute_modification_statements_ext()

	* libgda/sql-parser/gda-sql-parser.c, tests/parser/testdata.xml:
	Parser: correction in the way the delimiter parser parses parameters

	* tests/parser/testvalid.xml, tests/value-holders/stmt.data: Corrected
	test data

	* doc/C/libgda-sections.txt, libgda/gda-meta-struct.h,
	libgda/gda-statement.c, libgda/gda-util.c, libgda/gda-value.c,
	libgda/gda-value.h, libgda/libgda.symbols: Default value handling
	corrections  also added the GDA_TYPE_DEFAULT value type

2011-08-04  Vivien Malerba <malerba@gnome-db.org>

	* samples/AsyncExec/Makefile, samples/BDB/Makefile,
	samples/Blobs/Makefile, samples/DDL/Makefile,
	samples/DirDataModel/Makefile, samples/F-Spot/Makefile,
	samples/MetaStore/Makefile, samples/SimpleExample/Makefile,
	samples/SqlBuilder/Makefile, samples/SqlParserConsole/Makefile,
	samples/TableCopy/Makefile, samples/Tree/Makefile,
	samples/Virtual/Makefile: Examples: require libgda-5.0 instead of 4.0

2011-07-28  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/data-manager/data-source.c,
	tools/browser/query-exec/marshal.list,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-editor.c,
	tools/browser/query-exec/query-editor.h,
	tools/browser/query-exec/query-result.c,
	tools/browser/query-exec/query-result.h: GdaBrowser: allow easy data
	refresh

2011-07-27  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/common/ui-formgrid.c,
	tools/browser/common/ui-formgrid.h: GdaBrowser: added
	ui_formgrid_get_ui_manager()

	* tools/browser/browser-connection.c,
	tools/browser/browser-connection.h, tools/browser/browser-window.c,
	tools/browser/doc/gda-browser-sections.txt: GdaBrowser: improved
	connection naming in window's menu

	* libgda-ui/gdaui-data-proxy-info.c, libgda-ui/gdaui-raw-form.c,
	libgda-ui/gdaui-raw-grid.c: GdauiDataProxy and related GtkAction
	improvements

2011-07-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-raw-form.c, libgda/gda-data-model.c,
	libgda/gda-data-model.h, libgda/gda-data-proxy.c,
	libgda/gda-data-select.c: Added the GdaDataModel::access-changed signal
	 which is emitted when the acces flags of a data model change

2011-07-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-data-proxy-info.c,
	tools/browser/common/ui-formgrid.c,
	tools/browser/query-exec/query-result.c: Misc. corrections

	* tools/browser/common/ui-formgrid.c,
	tools/browser/query-exec/query-result.c: GdaBrowser: allow
	modifications in UIFormGrid widget

	* libgda-ui/gdaui-data-proxy-info.c, libgda-ui/gdaui-data-proxy.c,
	libgda-ui/gdaui-raw-form.c, libgda-ui/gdaui-raw-grid.c: GdauiDataProxy:
	merged the "ActionUndelete" into the "ActionDelet"  as a
	GtkToggleAction

	* libgda-ui/data-entries/gdaui-data-cell-renderer-textual.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-util.c: Data cell
	rendering corrections

	* libgda/gda-meta-struct.c, libgda/gda-util.c: Doc. improvements

	* tools/browser/common/ui-formgrid.c,
	tools/browser/data-manager/data-widget.c: GdaBrowser: scale grid
	widgets by changing font size

2011-07-20  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/Makefile.am, tools/browser/browser-stock-icons.c,
	tools/browser/browser-stock-icons.h,
	tools/browser/common/ui-formgrid.c, tools/browser/data/Makefile.am,
	tools/browser/data/hicolor_actions_22x22_form.png,
	tools/browser/data/hicolor_actions_22x22_grid.png,
	tools/browser/gda-browser-form.png, tools/browser/gda-browser-grid.png,
	tools/browser/support.c, tools/browser/support.h: GdaBrowser: improved
	UI

	* tools/browser/browser-favorites.c,
	tools/browser/schema-browser/favorite-selector.c: GdaBrowser: improved
	startup time

2011-07-20  Murray Cumming <murrayc@murrayc.com>

	* libgda-ui/data-entries/gdaui-entry-bin.c,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/widget-embedder.c, libgda/gda-data-model.c: Fix
	some more compiler warnings.  * libgda/gda-data-model.c:
	(gda_data_model_set_values): Fix a signed/unsigned warning. *
	libgda-ui/data-entries/gdaui-entry-bin.c: (popup_position): Remove the
	call to deprecated gtk_widget_size_request() because the result is not
	used anyway. * libgda-ui/data-entries/gdaui-entry-common-time.c:
	(position_popup): Replace use of deprecated gtk_widget_size_request()
	with gtk_widget_get_preferred_size(). *
	libgda-ui/data-entries/widget-embedder.c: (widget_embedder_realize):
	Use GtkStyleContext instead of deprecated GtkStyle.
	(widget_embedder_size_allocate): Remove the call to deprecated
	gtk_widget_get_child_requisition() because the result is not used
	anyway.

2011-07-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-raw-form.c, libgda-ui/internal/utility.c: LibgdaUI:
	corrections

	* tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-console.h,
	.../browser/data-manager/data-manager-perspective.c: GdaBrowser: UI
	improvements

	* libgda-ui/gdaui-raw-form.c, libgda/gda-data-model.c,
	libgda/gda-data-proxy.c, libgda/gda-row.c, tests/data-model-errors.c:
	Misc. corrections

	* .../data-entries/gdaui-data-cell-renderer-info.c,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/internal/utility.c, libgda-ui/internal/utility.h: Don't use
	GtkStyle or other GTK3 deprecated related drawing functions

2011-07-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-data-cell-renderer-util.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/widget-embedder.c, libgda-ui/gdaui-decl.h:
	Corrected visual rendering of unknown data  to avoid confusion with
	data known as invalid

	* libgda-ui/gdaui-raw-form.c, tools/browser/common/ui-formgrid.c,
	tools/browser/common/widget-overlay.c,
	tools/browser/query-exec/query-console-page.c: Misc corrections

	* libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/gdaui-rt-editor.c: Misc UI improvements

	* libgda-ui/data-entries/gdaui-entry-combo.c, libgda-ui/gdaui-combo.c,
	libgda-ui/gdaui-data-proxy-info.c, tools/browser/support.c: Replaced
	gtk_rc_parse_string() with GtkCssProvider usage

2011-07-15  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/Makefile.am, libgda/Makefile.am,
	libgda/sql-parser/Makefile.am: Correction for bug #654068  the
	@filename argument of glib-mkenums is source of failure when compiling
	natively on Windows platform

2011-07-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-rt-editor.c, tools/browser/common/widget-overlay.c,
	tools/browser/data-manager/data-source-editor.c: UI improvements

	* doc/C/gettingstarted.xml, doc/C/howto.xml, doc/C/libgda-sections.txt,
	libgda-ui/gdaui-init.c, libgda-ui/gdaui-plugin.h: Doc. improvements

	* Makefile.am, libgda-ui-5.0.pc.in, libgda-ui/data-entries/Makefile.am,
	samples/CustomUIPlugin/Makefile, samples/CustomUIPlugin/README,
	samples/CustomUIPlugin/custom-entry-password.c,
	samples/CustomUIPlugin/custom-entry-password.h,
	samples/CustomUIPlugin/custom-entry-password.xml,
	samples/CustomUIPlugin/libmain.c, samples/Makefile: Support out of tree
	UI plugins creation

	* tools/browser/common/Makefile.am, tools/browser/common/ui-formgrid.c,
	tools/browser/common/widget-overlay.c,
	tools/browser/common/widget-overlay.h: GdaBrowser: allow to zoom some
	forms

	* libgda/sql-parser/gda-statement-struct-insert.c,
	tools/browser/browser-window.c: Minor corrections

2011-07-06  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, installers/Windows/make-zip-setup.sh: Set version to
	4.99.4

2011-07-05  Murray Cumming <murrayc@murrayc.com>

	* control-center/main.c, libgda-report/engine/test-rt-parser.c,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.c,
	providers/mysql/gda-mysql-blob-op.c, providers/mysql/gda-mysql-ddl.c,
	providers/mysql/gda-mysql-handler-boolean.c,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-pstmt.c,
	providers/mysql/gda-mysql-recordset.c, providers/mysql/libmain.c,
	samples/Virtual/virtual-test.c, testing/virtual-test-2.c,
	testing/virtual-test.c, tools/browser/browser-perspective.c,
	tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas-fkey.c,
	tools/browser/common/ui-formgrid.c,
	tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/hierarchy-view.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/query-exec/query-console-page.c: Fix more
	unused-parameter compiler warnings.  Mostly just by adding
	G_GNUC_UNUSED.

	* control-center/gdaui-dsn-assistant.c, libgda-ui/gdaui-data-filter.c,
	libgda-ui/gdaui-raw-grid.c, testing/virtual-test.c,
	tools/browser/ldap-browser/ldap-search-page.c: Fix some more compiler
	warnings

	* libgda-ui/gdaui-basic-form.c, libgda-ui/gdaui-server-operation.c,
	samples/LdapBrowser/ldap-browser.c,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/common/gdaui-data-import.h,
	tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-manager-perspective.c,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-widget.c,
	tools/browser/data-manager/ui-spec-editor.c,
	tools/browser/ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-columns.c: Replace (deprecated)
	GtkHPaned and GtkVPaned.  Use GtkPaned, specifying the orientation.
	This (tedious) deprecation happened in GTK+ 3.1/3.2.

	* providers/mysql/gda-mysql-blob-op.c,
	providers/mysql/gda-mysql-handler-boolean.c,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-pstmt.c,
	providers/mysql/gda-mysql-recordset.c: mysql: Fix compiler warnings. 
	This includes one fix that allows for error checking to work.

2011-07-04  Murray Cumming <murrayc@murrayc.com>

	* libgda-ui/demos/main.c, libgda-ui/gdaui-rt-editor.c: Replace
	(deprecated) gtk_widget_modify_font().  Use gtk_widget_override_font()
	instead. This is a simple change.

	* control-center/cc-gray-bar.c, libgda-ui/gdaui-cloud.c,
	tools/browser/query-exec/query-editor.c: Replace (deprecated)
	gtk_widget_modify_base/bg().  Use
	gtk_widget_override_background_color() instead. This does not replace
	all uses, because one depends on copying a GtkStyle, but I cannot find
	an equivalent for GtkStyleContext.

	* control-center/cc-utility.c, control-center/cc-utility.h,
	control-center/dsn-config.c,
	libgda-ui/data-entries/plugins/gdaui-data-cell-renderer-password.c: Fix
	more typos that broke the build.

	* control-center/gdaui-dsn-editor.c, libgda-ui/gdaui-basic-form.c,
	libgda-ui/gdaui-cloud.c, libgda-ui/gdaui-data-filter.c,
	libgda-ui/gdaui-form.c, libgda-ui/gdaui-grid.c,
	libgda-ui/gdaui-login.c, libgda-ui/gdaui-rt-editor.c,
	libgda-ui/gdaui-server-operation.c,
	libgda-ui/internal/gdaui-provider-auth-editor.c,
	libgda-ui/internal/gdaui-provider-spec-editor.c,
	tools/browser/common/objects-cloud.c,
	tools/browser/common/ui-formgrid.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-favorite-selector.c,
	tools/browser/data-manager/data-manager-perspective.c,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-widget.c,
	tools/browser/data-manager/ui-spec-editor.c,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/dummy-perspective/dummy-perspective.c,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/entry-properties.c,
	tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-editor.c,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/query-exec/query-result.c,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-info.c,
	tools/browser/schema-browser/table-preferences.c,
	tools/browser/schema-browser/table-relations.c: Fix the previous patch
	deprecating GtkVBox.  It is gtk_orientable_set_orientation(), not
	gtk_box_set_orientation().

	* libgda-ui/data-entries/gdaui-data-cell-renderer-bin.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-boolean.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-combo.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-textual.c,
	.../plugins/gdaui-data-cell-renderer-password.c,
	.../data-entries/plugins/gdaui-data-cell-renderer-pict.c: Replace
	(deprecated) gtk_paint_hline() with gtk_render_line().  This
	deprecation happened in GTK+ 3.0.

	* libgda-ui/data-entries/common-bin.c, libgda-ui/demos/ddl_queries.c,
	libgda-ui/gdaui-data-filter.c, testing/gdaui-test-data-entries.c,
	tools/browser/browser-connections-list.c,
	tools/browser/canvas-example.c,
	tools/browser/canvas/browser-canvas-print.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/query-exec/query-console-page.c: Replace deprecated
	GtkHButtonBox and GtkVButtonBox with GtkButtonBox.  This (tedious)
	deprecation happened in GTK+ 3.1/3.2.

	* control-center/gdaui-dsn-assistant.c,
	control-center/gdaui-dsn-editor.c, control-center/gdaui-dsn-editor.h,
	control-center/gdaui-login-dialog.c, control-center/main.c,
	control-center/provider-config.c, libgda-ui/data-entries/common-bin.c,
	libgda-ui/data-entries/gdaui-entry-string.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c,
	libgda-ui/demos/basic_form.c, libgda-ui/demos/cloud.c,
	libgda-ui/demos/combo.c, libgda-ui/demos/data_model_dir.c,
	libgda-ui/demos/form.c, libgda-ui/demos/form_data_layout.c,
	libgda-ui/demos/form_pict.c, libgda-ui/demos/form_rw.c,
	libgda-ui/demos/grid.c, libgda-ui/demos/grid_data_layout.c,
	libgda-ui/demos/grid_pict.c, libgda-ui/demos/grid_rw.c,
	libgda-ui/demos/linked_grid_form.c,
	libgda-ui/demos/linked_model_param.c, libgda-ui/gdaui-basic-form.c,
	libgda-ui/gdaui-basic-form.h, libgda-ui/gdaui-cloud.c,
	libgda-ui/gdaui-cloud.h, libgda-ui/gdaui-data-filter.c,
	libgda-ui/gdaui-data-filter.h, libgda-ui/gdaui-form.c,
	libgda-ui/gdaui-form.h, libgda-ui/gdaui-grid.c, libgda-ui/gdaui-grid.h,
	libgda-ui/gdaui-login.c, libgda-ui/gdaui-login.h,
	libgda-ui/gdaui-raw-form.c, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-rt-editor.c, libgda-ui/gdaui-rt-editor.h,
	libgda-ui/gdaui-server-operation.c, libgda-ui/gdaui-server-operation.h,
	libgda-ui/internal/gdaui-provider-auth-editor.c,
	libgda-ui/internal/gdaui-provider-auth-editor.h,
	libgda-ui/internal/gdaui-provider-spec-editor.c,
	libgda-ui/internal/gdaui-provider-spec-editor.h,
	samples/LdapBrowser/ldap-browser.c, samples/SimpleUIForm/example.c,
	testing/gdaui-test-data-entries.c, testing/gdaui-test-errors.c,
	testing/gdaui-test-rt-editor.c, testing/gdaui-test-widget-entry.c,
	tools/browser/browser-window.c,
	tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas-print.c,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/common/objects-cloud.c,
	tools/browser/common/objects-cloud.h,
	tools/browser/common/ui-formgrid.c, tools/browser/common/ui-formgrid.h,
	tools/browser/connection-binding-properties.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-console.h,
	tools/browser/data-manager/data-favorite-selector.c,
	tools/browser/data-manager/data-favorite-selector.h,
	tools/browser/data-manager/data-manager-perspective.c,
	tools/browser/data-manager/data-manager-perspective.h,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-source-editor.h,
	tools/browser/data-manager/data-widget.c,
	tools/browser/data-manager/data-widget.h,
	tools/browser/data-manager/ui-spec-editor.c,
	tools/browser/data-manager/ui-spec-editor.h,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/data-manager/xml-spec-editor.h,
	tools/browser/dummy-perspective/dummy-perspective.c,
	tools/browser/dummy-perspective/dummy-perspective.h,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/class-properties.h,
	tools/browser/ldap-browser/entry-properties.c,
	tools/browser/ldap-browser/entry-properties.h,
	tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/filter-editor.h,
	tools/browser/ldap-browser/ldap-browser-perspective.c,
	tools/browser/ldap-browser/ldap-browser-perspective.h,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-classes-page.h,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-entries-page.h,
	tools/browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/ldap-browser/ldap-favorite-selector.h,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/ldap-browser/ldap-search-page.h,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-console-page.h,
	tools/browser/query-exec/query-editor.c,
	tools/browser/query-exec/query-editor.h,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/query-exec/query-exec-perspective.h,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/query-exec/query-favorite-selector.h,
	tools/browser/query-exec/query-result.c,
	tools/browser/query-exec/query-result.h,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/favorite-selector.h,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/objects-index.h,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/relations-diagram.h,
	.../browser/schema-browser/schema-browser-perspective.c,
	.../browser/schema-browser/schema-browser-perspective.h,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-columns.h,
	tools/browser/schema-browser/table-info.c,
	tools/browser/schema-browser/table-info.h,
	tools/browser/schema-browser/table-preferences.c,
	tools/browser/schema-browser/table-preferences.h,
	tools/browser/schema-browser/table-relations.c,
	tools/browser/schema-browser/table-relations.h,
	tools/browser/text-search.h: Replace deprecated GtkVBox with GtkBox. 
	This (tedious) deprecation happened in GTK+ 3.1/3.2.

	* control-center/cc-gray-bar.c, control-center/cc-utility.c,
	control-center/dsn-config.c, control-center/dsn-properties-dialog.c,
	control-center/gdaui-login-dialog.c, control-center/provider-config.c,
	libgda-ui/data-entries/common-bin.c,
	libgda-ui/data-entries/gdaui-entry-bin.c,
	libgda-ui/data-entries/gdaui-entry-boolean.c,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-filesel.c,
	libgda-ui/demos/cloud.c, libgda-ui/demos/combo.c,
	libgda-ui/demos/main.c, libgda-ui/gdaui-basic-form.c,
	libgda-ui/gdaui-cloud.c, libgda-ui/gdaui-data-proxy-info.c,
	libgda-ui/gdaui-data-proxy-info.h, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-server-operation.c, testing/gdaui-test-widget-entry.c,
	tools/browser/auth-dialog.c, tools/browser/browser-connections-list.c,
	tools/browser/browser-window.c,
	tools/browser/canvas/browser-canvas-print.c,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/common/gdaui-entry-import.c,
	tools/browser/common/objects-cloud.c,
	tools/browser/common/ui-formgrid.c,
	tools/browser/connection-binding-properties.c,
	tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-favorite-selector.c,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-widget.c,
	tools/browser/ldap-browser/ldap-favorite-selector.c,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/login-dialog.c,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/query-exec/query-result.c,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/table-info.c, tools/browser/support.c,
	tools/browser/text-search.c, tools/browser/text-search.h: Replace
	deprecated GtkHBox with GtkBox.  This (tedious) deprecation happened in
	GTK+ 3.1/3.2.

	* configure.ac, libgda-report/engine/test-rt-parser.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-bin.c,
	.../data-entries/gdaui-data-cell-renderer-textual.c,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/plugins/common-pict.c, libgda-ui/gdaui-init.c,
	libgda-ui/gdaui-server-operation.c, libgda/handlers/gda-handler-time.h,
	libgda/sqlite/gda-sqlite-provider.c,
	providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/jni-wrapper.c,
	providers/sqlcipher/Makefile.am, testing/gdaui-test-rt-editor.c,
	testing/virtual-test-2.c, tests/data-model-errors.c,
	tests/data-models/check_data_proxy.c,
	tests/data-models/check_model_errors.c,
	tests/data-models/check_pmodel.c,
	tests/multi-threading/check_cnc_lock.c,
	tests/multi-threading/check_mutex.c,
	tests/multi-threading/check_threaded_cnc.c,
	tests/multi-threading/check_wrapper.c,
	tests/multi-threading/dummy-object.c,
	tests/parser/check_rewrite_for_default.c, tests/parser/check_script.c,
	tests/providers/prov-test-util.c, tests/test-bin-converter.c,
	tests/test-connection-string-split.c, tests/test-identifiers-quotes.c,
	tests/test-input-parsers.c, tests/test-sql-builder.c,
	tests/test-sql-identifier.c, tests/value-holders/check_holder.c,
	tests/value-holders/check_set.c, tests/value-holders/check_statement.c,
	tools/browser/canvas/browser-canvas.c,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/data-manager/data-widget.c,
	tools/browser/ldap-browser/mgr-ldap-entries.c,
	tools/browser/query-exec/query-editor.c: tests: Fix warnings.  Mostly
	signed/unsigned warnings. Also made gda_handler_time_set_str_spec()
	public because it is used by a test and is documented as public
	already.

2011-07-02  Murray Cumming <murrayc@murrayc.com>

	* providers/postgres/gda-postgres-recordset.c,
	providers/web/gda-web-blob-op.c, providers/web/gda-web-provider.c,
	providers/web/gda-web-pstmt.c: Fix more compiler errors

	* libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/gdaui-formatted-entry.c,
	libgda/sqlite/gda-sqlite-provider.c,
	providers/postgres/gda-postgres-ddl.c,
	providers/skel-implementation/capi/gda-capi-blob-op.c,
	providers/skel-implementation/capi/gda-capi-recordset.c: Fixed some
	more compiler warnings

	* m4/bdb.m4, m4/java.m4, m4/ldap.m4, m4/mdbtools.m4, m4/mysql.m4,
	m4/oracle.m4, m4/postgresql.m4: configure: m4 macros: Use
	AC_LANG_SOURCE to avoid warnings.  Source code should now be surrounded
	by an AC_LANG_SOURCE() call. This avoids several annoying warnings such
	as this: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body

2011-07-01  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-statement.c, libgda/sql-parser/gda-sql-parser.c,
	libgda/sql-parser/gda-statement-struct-parts.c,
	libgda/sql-parser/gda-statement-struct-parts.h,
	libgda/sql-parser/gda-statement-struct.c, libgda/sql-parser/parser.y:
	Add GDA_SQL_OPERATOR_TYPE_ILIKE.  This allows use of the ILIKE
	operator, which is a PostgreSQL extension.

2011-06-30  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/migration3.xml, libgda/gda-data-model-import.c,
	libgda/gda-meta-store.c, libgda/gda-meta-struct-io.c,
	libgda/gda-meta-struct.c, libgda/gda-server-operation.c,
	libgda/gda-set.c, libgda/gda-value.c,
	libgda/handlers/gda-handler-type.c,
	libgda/sql-parser/gda-statement-struct-pspec.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	providers/ldap/gda-ldap-util.c, providers/web/gda-web-recordset.c: More
	GDA_TYPE_NULL corrections, for gda_g_type_from_string()

2011-06-20  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, installers/Windows/make-zip-setup.sh: Set version to
	4.99.3

2011-06-17  Murray Cumming <murrayc@murrayc.com>

	* libgda-ui/data-entries/common-bin.c, libgda/gda-data-model.c,
	libgda/gda-meta-store.c, libgda/gda-tree-node.c, libgda/gda-util.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	providers/postgres/gda-postgres-blob-op.c,
	tests/providers/prov-test-util.c,
	tools/browser/schema-browser/table-info.c: Avoid some set-but-not-used
	compiler warnings.

2011-06-17  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/common/ui-formgrid.c,
	tools/browser/common/ui-formgrid.h,
	tools/browser/data-manager/data-source.c,
	tools/browser/data-manager/data-widget.c: GdaBrowser: data manager
	perspective corrections

2011-06-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/Makefile.am, libgda/Makefile.am: Modifications for bug
	#631645

	* libgda-report/engine/gda-report-engine.c,
	libgda-ui/data-entries/gdaui-entry-none.c, libgda/gda-data-model.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/postgres/gda-postgres-recordset.c: More "GDA_TYPE_NULL is not
	0 anymore" work, for bug #652702

2011-06-16  Vincent Untz <vuntz@gnome.org>

	* libgda-report/RML/gda-report-rml-document.c,
	libgda-report/RML/trml2html/Makefile.am,
	libgda-report/RML/trml2pdf/Makefile.am: Reports: Do not install
	sub-directories in /usr/bin Bug # 594115

2011-06-15  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/Makefile.am,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/entry-properties.c,
	tools/browser/text-search.c, tools/browser/text-search.h: GdaBrowser:
	reworked search in text in separate widget

	* providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap-util.c:
	LDAP provider: misc improvements

2011-06-15  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-data-model-dir.c, libgda/gda-data-model-import.c,
	libgda/gda-data-proxy.c, libgda/gda-data-select.c,
	libgda/gda-meta-store.c, libgda/gda-value.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-virtual-provider.c,
	tests/providers/prov-test-common.h: Fix several compiler warnings,
	though far from all of them.  * libgda/gda-data-model-import.c:
	(gda_data_model_import_get_access_flags): This probably fixes a logic
	error, introduced since a line after the if() was commented out. There
	was no comment about why it was commented out.

	* libgda/gda-value.c, libgda/gda-value.h: Replace G_CONST_RETURN with
	const.  * libgda/gda-value.[h|c]: G_CONST_RETURN is now deprecated, and
	was just a const keyword anyway.

2011-06-13  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-data-cell-renderer-bin.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-boolean.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-combo.c,
	libgda-ui/data-entries/gdaui-data-cell-renderer-textual.c,
	.../data-entries/plugins/gdaui-data-cell-renderer-password.c,
	libgda-ui/data-entries/plugins/gdaui-data-cell-renderer-pict.c,
	libgda-ui/demos/main.c, libgda/gda-holder.c, libgda/gda-init.c,
	libgda/gda-set.c: Doc. format corrections

	* tools/browser/ldap-browser/entry-properties.c,
	.../ldap-browser/ldap-browser-perspective.c: GdaBrowser: added search
	feature in LDAP entry's properties

	* doc/C/libgda-5.0-docs.sgml, doc/C/libgda-sections.txt,
	doc/C/migration3.xml, .../gdaui-data-cell-renderer-textual.c,
	libgda-ui/data-entries/gdaui-entry-bin.c,
	libgda-ui/data-entries/gdaui-entry-boolean.c,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-none.c,
	libgda-ui/data-entries/gdaui-entry-number.c,
	libgda-ui/data-entries/gdaui-entry-string.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	.../plugins/gdaui-data-cell-renderer-password.c,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.c,
	.../data-entries/plugins/gdaui-entry-filesel.c,
	.../data-entries/plugins/gdaui-entry-password.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.c,
	libgda-ui/data-entries/plugins/gdaui-entry-text.c,
	libgda-ui/gdaui-init.c, libgda/gda-column.c,
	libgda/gda-data-model-array.c, libgda/gda-data-model-import.c,
	libgda/gda-data-model.c, libgda/gda-data-proxy.c, libgda/gda-holder.c,
	libgda/gda-init.c, libgda/gda-row.c, libgda/gda-server-provider.c,
	libgda/gda-statement.c, libgda/gda-util.c, libgda/gda-value.c,
	libgda/gda-value.h, libgda/handlers/gda-handler-bin.c,
	libgda/handlers/gda-handler-boolean.c,
	libgda/handlers/gda-handler-numerical.c,
	libgda/handlers/gda-handler-string.c,
	libgda/handlers/gda-handler-time.c, libgda/handlers/gda-handler-type.c,
	libgda/libgda.symbols, libgda/sql-parser/gda-statement-struct-parts.c,
	libgda/sql-parser/gda-statement-struct-pspec.c,
	libgda/sql-parser/gda-statement-struct-trans.c,
	libgda/sql-parser/gda-statement-struct-util.c,
	libgda/sqlite/gda-sqlite-handler-bin.c,
	libgda/sqlite/gda-sqlite-handler-boolean.c,
	libgda/sqlite/gda-sqlite-meta.c, libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-recordset.c,
	providers/jdbc/GdaJValue.c, providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-recordset.c, providers/jdbc/jni-wrapper.c,
	providers/jdbc/libmain.c, providers/mysql/gda-mysql-handler-boolean.c,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-recordset.c,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-recordset.c,
	providers/postgres/gda-postgres-handler-bin.c,
	providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-recordset.c,
	.../skel-implementation/capi/gda-capi-provider.c,
	.../skel-implementation/capi/gda-capi-recordset.c,
	providers/web/gda-web-provider.c, providers/web/gda-web-recordset.c,
	tests/data-model-errors.c, tests/multi-threading/check_wrapper.c,
	tests/value-holders/common.c: GDA_TYPE_NULL is not 0 anymore, for bug
	#647633

2011-06-10  Vivien Malerba <malerba@gnome-db.org>

	* control-center/cc-gray-bar.c, control-center/cc-gray-bar.h,
	control-center/cc-utility.c, control-center/cc-utility.h,
	control-center/dsn-config.c, control-center/dsn-config.h,
	control-center/dsn-properties-dialog.c,
	control-center/dsn-properties-dialog.h,
	control-center/gdaui-dsn-assistant.c,
	control-center/gdaui-dsn-assistant.h,
	control-center/gdaui-dsn-editor.c, control-center/gdaui-dsn-editor.h,
	control-center/gdaui-login-dialog.c,
	control-center/gdaui-login-dialog.h, control-center/main.c,
	control-center/provider-config.c, control-center/provider-config.h,
	doc/C/fdl-appendix.sgml, .../DocBook/gda-report-docbook-document.c,
	.../DocBook/gda-report-docbook-document.h,
	libgda-report/RML/gda-report-rml-document.c,
	libgda-report/RML/gda-report-rml-document.h,
	libgda-report/RML/trml2html/__init__.py,
	libgda-report/RML/trml2html/trml2html.py,
	libgda-report/RML/trml2html/utils.py,
	libgda-report/RML/trml2pdf/__init__.py,
	libgda-report/RML/trml2pdf/color.py,
	libgda-report/RML/trml2pdf/trml2pdf.py,
	libgda-report/RML/trml2pdf/utils.py,
	libgda-report/engine/gda-report-engine.c,
	libgda-report/engine/gda-report-engine.h,
	libgda-report/engine/rt-parser.c, libgda-report/engine/rt-parser.h,
	libgda-report/engine/test-rt-parser.c,
	libgda-report/gda-report-document-private.h,
	libgda-report/gda-report-document.c,
	libgda-report/gda-report-document.h, libgda-report/libgda-report.h,
	libgda-ui/data-entries/common-bin.c,
	libgda-ui/data-entries/common-bin.h,
	.../data-entries/gdaui-data-cell-renderer-bin.c,
	.../data-entries/gdaui-data-cell-renderer-bin.h,
	.../gdaui-data-cell-renderer-boolean.c,
	.../gdaui-data-cell-renderer-boolean.h,
	.../data-entries/gdaui-data-cell-renderer-combo.c,
	.../data-entries/gdaui-data-cell-renderer-combo.h,
	.../data-entries/gdaui-data-cell-renderer-info.c,
	.../data-entries/gdaui-data-cell-renderer-info.h,
	.../gdaui-data-cell-renderer-textual.c,
	.../gdaui-data-cell-renderer-textual.h,
	.../data-entries/gdaui-data-cell-renderer-util.c,
	.../data-entries/gdaui-data-cell-renderer-util.h,
	libgda-ui/data-entries/gdaui-entry-bin.c,
	libgda-ui/data-entries/gdaui-entry-bin.h,
	libgda-ui/data-entries/gdaui-entry-boolean.c,
	libgda-ui/data-entries/gdaui-entry-boolean.h,
	libgda-ui/data-entries/gdaui-entry-combo.c,
	libgda-ui/data-entries/gdaui-entry-combo.h,
	libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-common-time.h,
	libgda-ui/data-entries/gdaui-entry-date.c,
	libgda-ui/data-entries/gdaui-entry-date.h,
	libgda-ui/data-entries/gdaui-entry-none.c,
	libgda-ui/data-entries/gdaui-entry-none.h,
	libgda-ui/data-entries/gdaui-entry-number.c,
	libgda-ui/data-entries/gdaui-entry-number.h,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/data-entries/gdaui-entry-shell.h,
	libgda-ui/data-entries/gdaui-entry-string.c,
	libgda-ui/data-entries/gdaui-entry-string.h,
	libgda-ui/data-entries/gdaui-entry-time.c,
	libgda-ui/data-entries/gdaui-entry-time.h,
	libgda-ui/data-entries/gdaui-entry-timestamp.c,
	libgda-ui/data-entries/gdaui-entry-timestamp.h,
	libgda-ui/data-entries/gdaui-entry-wrapper.c,
	libgda-ui/data-entries/gdaui-entry-wrapper.h,
	libgda-ui/data-entries/gdaui-entry.c,
	libgda-ui/data-entries/gdaui-entry.h,
	libgda-ui/data-entries/gdaui-formatted-entry.c,
	libgda-ui/data-entries/gdaui-formatted-entry.h,
	libgda-ui/data-entries/gdaui-numeric-entry.c,
	libgda-ui/data-entries/gdaui-numeric-entry.h,
	libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/data-entries/plugins/common-pict.h,
	libgda-ui/data-entries/plugins/custom-marshal.c,
	libgda-ui/data-entries/plugins/custom-marshal.h,
	libgda-ui/data-entries/plugins/gda-sql.lang,
	.../plugins/gdaui-data-cell-renderer-password.c,
	.../plugins/gdaui-data-cell-renderer-password.h,
	.../plugins/gdaui-data-cell-renderer-pict.c,
	.../plugins/gdaui-data-cell-renderer-pict.h,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.c,
	libgda-ui/data-entries/plugins/gdaui-entry-cidr.h,
	.../data-entries/plugins/gdaui-entry-filesel.c,
	.../data-entries/plugins/gdaui-entry-filesel.h,
	.../data-entries/plugins/gdaui-entry-password.c,
	.../data-entries/plugins/gdaui-entry-password.h,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.h,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.c,
	libgda-ui/data-entries/plugins/gdaui-entry-rt.h,
	libgda-ui/data-entries/plugins/gdaui-entry-text.c,
	libgda-ui/data-entries/plugins/gdaui-entry-text.h,
	libgda-ui/data-entries/plugins/libmain.c,
	libgda-ui/data-entries/widget-embedder.c,
	libgda-ui/data-entries/widget-embedder.h, libgda-ui/gdaui-basic-form.c,
	libgda-ui/gdaui-basic-form.h, libgda-ui/gdaui-cloud.c,
	libgda-ui/gdaui-cloud.h, libgda-ui/gdaui-combo.c,
	libgda-ui/gdaui-combo.h, libgda-ui/gdaui-data-entry.c,
	libgda-ui/gdaui-data-entry.h, libgda-ui/gdaui-data-filter.c,
	libgda-ui/gdaui-data-filter.h, libgda-ui/gdaui-data-proxy-info.c,
	libgda-ui/gdaui-data-proxy-info.h, libgda-ui/gdaui-data-proxy.c,
	libgda-ui/gdaui-data-proxy.h, libgda-ui/gdaui-data-selector.c,
	libgda-ui/gdaui-data-selector.h, libgda-ui/gdaui-data-store.c,
	libgda-ui/gdaui-data-store.h, libgda-ui/gdaui-decl.h,
	libgda-ui/gdaui-easy.h, libgda-ui/gdaui-enums.h,
	libgda-ui/gdaui-form.c, libgda-ui/gdaui-form.h, libgda-ui/gdaui-grid.c,
	libgda-ui/gdaui-grid.h, libgda-ui/gdaui-init.c,
	libgda-ui/gdaui-login.c, libgda-ui/gdaui-login.h,
	libgda-ui/gdaui-plugin.h, libgda-ui/gdaui-provider-selector.c,
	libgda-ui/gdaui-provider-selector.h, libgda-ui/gdaui-raw-form.c,
	libgda-ui/gdaui-raw-form.h, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-raw-grid.h, libgda-ui/gdaui-rt-editor.c,
	libgda-ui/gdaui-rt-editor.h, libgda-ui/gdaui-server-operation.c,
	libgda-ui/gdaui-server-operation.h, libgda-ui/gdaui-set.c,
	libgda-ui/gdaui-set.h, libgda-ui/gdaui-tree-store.c,
	libgda-ui/gdaui-tree-store.h, libgda-ui/internal/gdaui-dsn-selector.c,
	libgda-ui/internal/gdaui-dsn-selector.h,
	libgda-ui/internal/gdaui-provider-auth-editor.c,
	libgda-ui/internal/gdaui-provider-auth-editor.h,
	libgda-ui/internal/gdaui-provider-spec-editor.c,
	libgda-ui/internal/gdaui-provider-spec-editor.h,
	libgda-ui/internal/popup-container.c,
	libgda-ui/internal/popup-container.h, libgda-ui/internal/utility.c,
	libgda-ui/internal/utility.h, libgda-ui/libgda-ui.h,
	libgda-ui/marshallers/gdaui-custom-marshal.c,
	libgda-ui/marshallers/gdaui-custom-marshal.h,
	libgda-xslt/libgda-xslt.h, libgda-xslt/sql_backend.c,
	libgda-xslt/sql_backend.h, libgda-xslt/sql_exslt_internal.c,
	libgda-xslt/sqlexslt.c, libgda/binreloc/gda-binreloc.c,
	libgda/binreloc/gda-binreloc.h, libgda/dir-blob-op.c,
	libgda/dir-blob-op.h, libgda/gda-attributes-manager.c,
	libgda/gda-attributes-manager.h, libgda/gda-batch.c,
	libgda/gda-batch.h, libgda/gda-blob-op.c, libgda/gda-blob-op.h,
	libgda/gda-column.c, libgda/gda-column.h, libgda/gda-config.c,
	libgda/gda-config.h, libgda/gda-connection-event.c,
	libgda/gda-connection-event.h, libgda/gda-connection-internal.h,
	libgda/gda-connection-private.h, libgda/gda-connection-sqlite.h,
	libgda/gda-connection.c, libgda/gda-connection.h,
	libgda/gda-custom-marshal.c, libgda/gda-custom-marshal.h,
	libgda/gda-data-access-wrapper.c, libgda/gda-data-access-wrapper.h,
	libgda/gda-data-comparator.c, libgda/gda-data-comparator.h,
	libgda/gda-data-handler.c, libgda/gda-data-handler.h,
	libgda/gda-data-meta-wrapper.c, libgda/gda-data-meta-wrapper.h,
	libgda/gda-data-model-array.c, libgda/gda-data-model-array.h,
	libgda/gda-data-model-bdb.c, libgda/gda-data-model-bdb.h,
	libgda/gda-data-model-dir.c, libgda/gda-data-model-dir.h,
	libgda/gda-data-model-dsn-list.c, libgda/gda-data-model-dsn-list.h,
	libgda/gda-data-model-extra.h, libgda/gda-data-model-import.c,
	libgda/gda-data-model-import.h, libgda/gda-data-model-iter-extra.h,
	libgda/gda-data-model-iter.c, libgda/gda-data-model-iter.h,
	libgda/gda-data-model-ldap.c, libgda/gda-data-model-ldap.h,
	libgda/gda-data-model-private.h, libgda/gda-data-model.c,
	libgda/gda-data-model.h, libgda/gda-data-proxy.c,
	libgda/gda-data-proxy.h, libgda/gda-data-select-extra.h,
	libgda/gda-data-select.c, libgda/gda-data-select.h,
	libgda/gda-debug-macros.h, libgda/gda-decl.h, libgda/gda-enums.h,
	libgda/gda-holder.c, libgda/gda-holder.h, libgda/gda-init.c,
	libgda/gda-lockable.c, libgda/gda-lockable.h, libgda/gda-log.c,
	libgda/gda-log.h, libgda/gda-meta-store-extra.h,
	libgda/gda-meta-store.c, libgda/gda-meta-store.h,
	libgda/gda-meta-struct-io.c, libgda/gda-meta-struct-private.h,
	libgda/gda-meta-struct.c, libgda/gda-meta-struct.h, libgda/gda-mutex.c,
	libgda/gda-mutex.h, libgda/gda-quark-list.c, libgda/gda-quark-list.h,
	libgda/gda-repetitive-statement.c, libgda/gda-repetitive-statement.h,
	libgda/gda-row.c, libgda/gda-row.h,
	libgda/gda-server-operation-private.h, libgda/gda-server-operation.c,
	libgda/gda-server-operation.h, libgda/gda-server-provider-extra.c,
	libgda/gda-server-provider-extra.h,
	libgda/gda-server-provider-private.h, libgda/gda-server-provider.c,
	libgda/gda-server-provider.h, libgda/gda-set.c, libgda/gda-set.h,
	libgda/gda-sql-builder.c, libgda/gda-sql-builder.h,
	libgda/gda-statement-extra.h, libgda/gda-statement-priv.h,
	libgda/gda-statement.c, libgda/gda-statement.h,
	libgda/gda-transaction-status-private.h,
	libgda/gda-transaction-status.c, libgda/gda-transaction-status.h,
	libgda/gda-tree-manager.c, libgda/gda-tree-manager.h,
	libgda/gda-tree-mgr-columns.c, libgda/gda-tree-mgr-columns.h,
	libgda/gda-tree-mgr-label.c, libgda/gda-tree-mgr-label.h,
	libgda/gda-tree-mgr-ldap.c, libgda/gda-tree-mgr-ldap.h,
	libgda/gda-tree-mgr-schemas.c, libgda/gda-tree-mgr-schemas.h,
	libgda/gda-tree-mgr-select.c, libgda/gda-tree-mgr-select.h,
	libgda/gda-tree-mgr-tables.c, libgda/gda-tree-mgr-tables.h,
	libgda/gda-tree-node.c, libgda/gda-tree-node.h, libgda/gda-tree.c,
	libgda/gda-tree.h, libgda/gda-types.c, libgda/gda-types.h,
	libgda/gda-util.c, libgda/gda-util.h, libgda/gda-value.c,
	libgda/gda-value.h, libgda/gda-xa-transaction.c,
	libgda/gda-xa-transaction.h, libgda/handlers/gda-handler-bin.c,
	libgda/handlers/gda-handler-bin.h,
	libgda/handlers/gda-handler-boolean.c,
	libgda/handlers/gda-handler-boolean.h,
	libgda/handlers/gda-handler-numerical.c,
	libgda/handlers/gda-handler-numerical.h,
	libgda/handlers/gda-handler-string.c,
	libgda/handlers/gda-handler-string.h,
	libgda/handlers/gda-handler-time.c, libgda/handlers/gda-handler-time.h,
	libgda/handlers/gda-handler-type.c, libgda/handlers/gda-handler-type.h,
	libgda/libgda-global-variables.h, libgda/libgda.h.in,
	libgda/providers-support/gda-data-select-priv.h,
	libgda/providers-support/gda-meta-column-types.h,
	libgda/providers-support/gda-pstmt.c,
	libgda/providers-support/gda-pstmt.h,
	libgda/sql-parser/gda-sql-parser-private.h,
	libgda/sql-parser/gda-sql-parser.c, libgda/sql-parser/gda-sql-parser.h,
	libgda/sql-parser/gda-sql-statement.h,
	libgda/sql-parser/gda-statement-struct-compound.c,
	libgda/sql-parser/gda-statement-struct-compound.h,
	libgda/sql-parser/gda-statement-struct-decl.h,
	libgda/sql-parser/gda-statement-struct-delete.c,
	libgda/sql-parser/gda-statement-struct-delete.h,
	libgda/sql-parser/gda-statement-struct-insert.c,
	libgda/sql-parser/gda-statement-struct-insert.h,
	libgda/sql-parser/gda-statement-struct-parts.c,
	libgda/sql-parser/gda-statement-struct-parts.h,
	libgda/sql-parser/gda-statement-struct-pspec.c,
	libgda/sql-parser/gda-statement-struct-pspec.h,
	libgda/sql-parser/gda-statement-struct-select.c,
	libgda/sql-parser/gda-statement-struct-select.h,
	libgda/sql-parser/gda-statement-struct-trans.c,
	libgda/sql-parser/gda-statement-struct-trans.h,
	libgda/sql-parser/gda-statement-struct-unknown.c,
	libgda/sql-parser/gda-statement-struct-unknown.h,
	libgda/sql-parser/gda-statement-struct-update.c,
	libgda/sql-parser/gda-statement-struct-update.h,
	libgda/sql-parser/gda-statement-struct-util.c,
	libgda/sql-parser/gda-statement-struct-util.h,
	libgda/sql-parser/gda-statement-struct.c,
	libgda/sql-parser/gda-statement-struct.h, libgda/sql-parser/gen_def.c,
	libgda/sqlite/gda-sqlite-blob-op.c, libgda/sqlite/gda-sqlite-blob-op.h,
	libgda/sqlite/gda-sqlite-ddl.c, libgda/sqlite/gda-sqlite-ddl.h,
	libgda/sqlite/gda-sqlite-handler-bin.c,
	libgda/sqlite/gda-sqlite-handler-bin.h,
	libgda/sqlite/gda-sqlite-handler-boolean.c,
	libgda/sqlite/gda-sqlite-handler-boolean.h,
	libgda/sqlite/gda-sqlite-meta.c, libgda/sqlite/gda-sqlite-meta.h,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-provider.h, libgda/sqlite/gda-sqlite-pstmt.c,
	libgda/sqlite/gda-sqlite-pstmt.h, libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/gda-sqlite-recordset.h, libgda/sqlite/gda-sqlite-util.c,
	libgda/sqlite/gda-sqlite-util.h, libgda/sqlite/gda-sqlite.h,
	libgda/sqlite/gda-symbols-util.c, libgda/sqlite/gda-symbols-util.h,
	libgda/sqlite/gen_emb_string.c,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-ldap-connection.h,
	.../virtual/gda-vconnection-data-model-private.h,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.h,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-vconnection-hub.h,
	libgda/sqlite/virtual/gda-virtual-connection.c,
	libgda/sqlite/virtual/gda-virtual-connection.h,
	libgda/sqlite/virtual/gda-virtual-provider.c,
	libgda/sqlite/virtual/gda-virtual-provider.h,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.h,
	libgda/sqlite/virtual/gda-vprovider-hub.c,
	libgda/sqlite/virtual/gda-vprovider-hub.h,
	libgda/sqlite/virtual/libgda-virtual.h.in,
	libgda/thread-wrapper/gda-thread-blob-op.c,
	libgda/thread-wrapper/gda-thread-blob-op.h,
	libgda/thread-wrapper/gda-thread-meta.c,
	libgda/thread-wrapper/gda-thread-meta.h,
	libgda/thread-wrapper/gda-thread-provider.c,
	libgda/thread-wrapper/gda-thread-provider.h,
	libgda/thread-wrapper/gda-thread-recordset.c,
	libgda/thread-wrapper/gda-thread-recordset.h,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	libgda/thread-wrapper/gda-thread-wrapper.h,
	providers/bdb/gda-bdb-provider.c, providers/bdb/gda-bdb-provider.h,
	providers/bdb/gda-bdb-test.c, providers/bdb/gda-bdb.h,
	providers/bdb/libmain.c, providers/bdb/patch_db.h,
	providers/bdbsql/libmain.c, providers/firebird/gda-firebird-blob-op.c,
	providers/firebird/gda-firebird-blob-op.h,
	providers/firebird/gda-firebird-ddl.c,
	providers/firebird/gda-firebird-ddl.h,
	providers/firebird/gda-firebird-meta.c,
	providers/firebird/gda-firebird-meta.h,
	providers/firebird/gda-firebird-parser.c,
	providers/firebird/gda-firebird-parser.h,
	providers/firebird/gda-firebird-provider.c,
	providers/firebird/gda-firebird-provider.h,
	providers/firebird/gda-firebird-pstmt.c,
	providers/firebird/gda-firebird-pstmt.h,
	providers/firebird/gda-firebird-recordset.c,
	providers/firebird/gda-firebird-recordset.h,
	providers/firebird/gda-firebird-util.c,
	providers/firebird/gda-firebird-util.h,
	providers/firebird/gda-firebird.h, providers/firebird/gen_def.c,
	providers/firebird/libmain.c, providers/jdbc/GdaInputStream.c,
	providers/jdbc/GdaJBlobOp.c, providers/jdbc/GdaJColumnInfos.c,
	providers/jdbc/GdaJConnection.c, providers/jdbc/GdaJMeta.c,
	providers/jdbc/GdaJPStmt.c, providers/jdbc/GdaJProvider.c,
	providers/jdbc/GdaJResultSet.c, providers/jdbc/GdaJResultSetInfos.c,
	providers/jdbc/GdaJValue.c, providers/jdbc/gda-jdbc-blob-op.c,
	providers/jdbc/gda-jdbc-blob-op.h, providers/jdbc/gda-jdbc-ddl.c,
	providers/jdbc/gda-jdbc-ddl.h, providers/jdbc/gda-jdbc-meta.c,
	providers/jdbc/gda-jdbc-meta.h, providers/jdbc/gda-jdbc-provider.c,
	providers/jdbc/gda-jdbc-provider.h, providers/jdbc/gda-jdbc-pstmt.c,
	providers/jdbc/gda-jdbc-pstmt.h, providers/jdbc/gda-jdbc-recordset.c,
	providers/jdbc/gda-jdbc-recordset.h, providers/jdbc/gda-jdbc-test.c,
	providers/jdbc/gda-jdbc-util.c, providers/jdbc/gda-jdbc-util.h,
	providers/jdbc/gda-jdbc.h, providers/jdbc/gda-list-jdbc-providers.c,
	providers/jdbc/jni-globals.h, providers/jdbc/jni-wrapper.c,
	providers/jdbc/jni-wrapper.h, providers/jdbc/libmain.c,
	providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap-provider.h,
	providers/ldap/gda-ldap-util.c, providers/ldap/gda-ldap-util.h,
	providers/ldap/gda-ldap.h, providers/ldap/gdaprov-data-model-ldap.c,
	providers/ldap/gdaprov-data-model-ldap.h, providers/ldap/libmain.c,
	providers/mdb/gda-mdb-provider.c, providers/mdb/gda-mdb-provider.h,
	providers/mdb/gda-mdb.h, providers/mdb/libmain.c,
	providers/mdb/libmdb-src/backend.c, providers/mdb/libmdb-src/catalog.c,
	providers/mdb/libmdb-src/data.c, providers/mdb/libmdb-src/file.c,
	providers/mdb/libmdb-src/iconv.c,
	providers/mdb/libmdb-src/include/mdbodbc.h,
	providers/mdb/libmdb-src/include/mdbprivate.h,
	providers/mdb/libmdb-src/include/mdbtools.h,
	providers/mdb/libmdb-src/include/mdbver.h,
	providers/mdb/libmdb-src/index.c, providers/mdb/libmdb-src/kkd.c,
	providers/mdb/libmdb-src/like.c, providers/mdb/libmdb-src/map.c,
	providers/mdb/libmdb-src/mem.c, providers/mdb/libmdb-src/money.c,
	providers/mdb/libmdb-src/options.c, providers/mdb/libmdb-src/props.c,
	providers/mdb/libmdb-src/sargs.c, providers/mdb/libmdb-src/stats.c,
	providers/mdb/libmdb-src/table.c, providers/mdb/libmdb-src/worktable.c,
	providers/mdb/libmdb-src/write.c, providers/mysql/gda-mysql-blob-op.c,
	providers/mysql/gda-mysql-blob-op.h, providers/mysql/gda-mysql-ddl.c,
	providers/mysql/gda-mysql-ddl.h,
	providers/mysql/gda-mysql-handler-boolean.c,
	providers/mysql/gda-mysql-handler-boolean.h,
	providers/mysql/gda-mysql-provider.c,
	providers/mysql/gda-mysql-provider.h,
	providers/mysql/gda-mysql-pstmt.c, providers/mysql/gda-mysql-pstmt.h,
	providers/mysql/gda-mysql-recordset.c,
	providers/mysql/gda-mysql-recordset.h,
	providers/mysql/gda-mysql-util.c, providers/mysql/gda-mysql-util.h,
	providers/mysql/gda-mysql.h, providers/mysql/libmain.c,
	providers/oracle/gda-oracle-blob-op.c,
	providers/oracle/gda-oracle-blob-op.h,
	providers/oracle/gda-oracle-ddl.c, providers/oracle/gda-oracle-ddl.h,
	providers/oracle/gda-oracle-meta.c, providers/oracle/gda-oracle-meta.h,
	providers/oracle/gda-oracle-parser.c,
	providers/oracle/gda-oracle-parser.h,
	providers/oracle/gda-oracle-provider.c,
	providers/oracle/gda-oracle-provider.h,
	providers/oracle/gda-oracle-pstmt.c,
	providers/oracle/gda-oracle-pstmt.h,
	providers/oracle/gda-oracle-recordset.c,
	providers/oracle/gda-oracle-recordset.h,
	providers/oracle/gda-oracle-util.c, providers/oracle/gda-oracle-util.h,
	providers/oracle/gda-oracle.h, providers/oracle/gen_def.c,
	providers/oracle/libmain.c,
	providers/oracle/oracle_specs_drop_index.xml.in,
	providers/oracle/oracle_specs_drop_table.xml.in,
	providers/postgres/gda-postgres-blob-op.c,
	providers/postgres/gda-postgres-blob-op.h,
	providers/postgres/gda-postgres-ddl.c,
	providers/postgres/gda-postgres-ddl.h,
	providers/postgres/gda-postgres-handler-bin.c,
	providers/postgres/gda-postgres-handler-bin.h,
	providers/postgres/gda-postgres-provider.c,
	providers/postgres/gda-postgres-provider.h,
	providers/postgres/gda-postgres-pstmt.c,
	providers/postgres/gda-postgres-pstmt.h,
	providers/postgres/gda-postgres-recordset.c,
	providers/postgres/gda-postgres-recordset.h,
	providers/postgres/gda-postgres-util.c,
	providers/postgres/gda-postgres-util.h,
	providers/postgres/gda-postgres.h, providers/postgres/libmain.c,
	providers/reuseable/gda-provider-reuseable.h,
	providers/reuseable/mysql/gda-mysql-meta.c,
	providers/reuseable/mysql/gda-mysql-meta.h,
	providers/reuseable/mysql/gda-mysql-parser.c,
	providers/reuseable/mysql/gda-mysql-parser.h,
	providers/reuseable/mysql/gda-mysql-reuseable.c,
	providers/reuseable/mysql/gda-mysql-reuseable.h,
	providers/reuseable/mysql/gen_def.c,
	providers/reuseable/postgres/gda-postgres-meta.c,
	providers/reuseable/postgres/gda-postgres-meta.h,
	providers/reuseable/postgres/gda-postgres-parser.c,
	providers/reuseable/postgres/gda-postgres-parser.h,
	.../reuseable/postgres/gda-postgres-reuseable.c,
	.../reuseable/postgres/gda-postgres-reuseable.h,
	providers/reuseable/postgres/gen_def.c,
	providers/reuseable/reuse-all.c, providers/reuseable/reuse-all.h,
	.../skel-implementation/capi/gda-capi-blob-op.c,
	.../skel-implementation/capi/gda-capi-blob-op.h,
	providers/skel-implementation/capi/gda-capi-ddl.c,
	providers/skel-implementation/capi/gda-capi-meta.c,
	.../skel-implementation/capi/gda-capi-parser.c,
	.../skel-implementation/capi/gda-capi-parser.h,
	.../skel-implementation/capi/gda-capi-provider.c,
	.../skel-implementation/capi/gda-capi-provider.h,
	.../skel-implementation/capi/gda-capi-pstmt.c,
	.../skel-implementation/capi/gda-capi-pstmt.h,
	.../skel-implementation/capi/gda-capi-recordset.c,
	.../skel-implementation/capi/gda-capi-recordset.h,
	providers/skel-implementation/capi/gda-capi.h,
	providers/skel-implementation/capi/gen_def.c,
	providers/sqlcipher/libmain.c, providers/sqlite/libmain.c,
	providers/web/gda-web-blob-op.c, providers/web/gda-web-blob-op.h,
	providers/web/gda-web-ddl.c, providers/web/gda-web-ddl.h,
	providers/web/gda-web-meta.c, providers/web/gda-web-meta.h,
	providers/web/gda-web-provider.c, providers/web/gda-web-provider.h,
	providers/web/gda-web-pstmt.c, providers/web/gda-web-pstmt.h,
	providers/web/gda-web-recordset.c, providers/web/gda-web-recordset.h,
	providers/web/gda-web-util.c, providers/web/gda-web-util.h,
	providers/web/gda-web.h, providers/web/libmain.c,
	samples/AsyncExec/example.c, samples/BDB/access-custom.c,
	samples/BDB/access-raw.c, samples/BDB/common.h,
	samples/BDB/custom-bdb-model.c, samples/BDB/custom-bdb-model.h,
	samples/BDB/fill.c, samples/Blobs/blobtest.c, samples/DDL/ddl.c,
	samples/DirDataModel/find-duplicates.c, samples/F-Spot/repair-path.c,
	samples/LdapBrowser/ldap-browser.c, samples/MetaStore/background.c,
	samples/MetaStore/example.c, samples/Report/customers-report-docbook.c,
	samples/Report/customers-report-rml.c,
	samples/Report/customers-report.c, samples/Report/schema-report.c,
	samples/SimpleExample/example.c, samples/SimpleUIForm/example.c,
	samples/SqlBuilder/example.c, samples/SqlBuilder/example_cnc.c,
	samples/SqlParserConsole/console.c, samples/SqlParserConsole/graph.c,
	samples/SqlParserConsole/graph.h, samples/TableCopy/common.c,
	samples/TableCopy/common.h, samples/TableCopy/table-copy-easier.c,
	samples/TableCopy/table-copy.c, samples/Tree/example.c,
	samples/Virtual/virtual-test.c, samples/WritableSelect/example.c,
	samples/XSLT/transform.c, testing/gda-provider-status.c,
	testing/gda-test-blob.c, testing/gda-test-connection.c,
	testing/gdaui-test-data-entries.c, testing/gdaui-test-errors.c,
	testing/gdaui-test-rt-editor.c, testing/gdaui-test-widget-entry.c,
	testing/html.c, testing/html.h, testing/virtual-test-2.c,
	testing/virtual-test.c, tests/data-model-errors.c,
	tests/data-model-errors.h, tests/data-models/check_data_proxy.c,
	tests/data-models/check_empty_rs.c,
	tests/data-models/check_model_copy.c,
	tests/data-models/check_model_errors.c,
	tests/data-models/check_model_import.c,
	tests/data-models/check_pmodel.c, tests/data-models/check_vcnc.c,
	tests/data-models/check_virtual.c, tests/gda-ddl-creator.c,
	tests/gda-ddl-creator.h, tests/meta-store/check_meta_store_memory.c,
	tests/meta-store/check_meta_store_mysql.c,
	tests/meta-store/check_meta_store_postgresql.c,
	tests/meta-store/check_meta_store_sqlite.c, tests/meta-store/common.c,
	tests/meta-store/common.h, tests/multi-threading/check_cnc_lock.c,
	tests/multi-threading/check_mutex.c,
	tests/multi-threading/check_parser.c,
	tests/multi-threading/check_threaded_cnc.c,
	tests/multi-threading/check_wrapper.c, tests/multi-threading/common.c,
	tests/multi-threading/common.h, tests/multi-threading/dummy-object.c,
	tests/multi-threading/dummy-object.h, tests/parser/check_dml_comp.c,
	tests/parser/check_normalization.c, tests/parser/check_parser.c,
	tests/parser/check_rewrite_for_default.c, tests/parser/check_script.c,
	tests/parser/check_validation.c, tests/providers/check_bdb.c,
	tests/providers/check_firebird.c, tests/providers/check_mdb.c,
	tests/providers/check_mysql.c, tests/providers/check_oracle.c,
	tests/providers/check_postgres.c, tests/providers/check_sqlite.c,
	tests/providers/prov-test-common.c, tests/providers/prov-test-common.h,
	tests/providers/prov-test-util.c, tests/providers/prov-test-util.h,
	tests/test-bin-converter.c, tests/test-cnc-utils.c,
	tests/test-cnc-utils.h, tests/test-connection-string-split.c,
	tests/test-ddl-creator.c, tests/test-identifiers-quotes.c,
	tests/test-input-parsers.c, tests/test-sql-builder.c,
	tests/test-sql-identifier.c, tests/value-holders/check_holder.c,
	tests/value-holders/check_set.c, tests/value-holders/check_statement.c,
	tests/value-holders/common.c, tests/value-holders/common.h,
	tools/browser/auth-dialog.c, tools/browser/auth-dialog.h,
	tools/browser/browser-connection-priv.h,
	tools/browser/browser-connection.c, tools/browser/browser-connection.h,
	tools/browser/browser-connections-list.c,
	tools/browser/browser-connections-list.h, tools/browser/browser-core.c,
	tools/browser/browser-core.h, tools/browser/browser-favorites.c,
	tools/browser/browser-favorites.h, tools/browser/browser-page.c,
	tools/browser/browser-page.h, tools/browser/browser-perspective.c,
	tools/browser/browser-perspective.h, tools/browser/browser-spinner.c,
	tools/browser/browser-spinner.h, tools/browser/browser-stock-icons.c,
	tools/browser/browser-stock-icons.h, tools/browser/browser-variable.c,
	tools/browser/browser-variable.h,
	tools/browser/browser-virtual-connection.c,
	tools/browser/browser-virtual-connection.h,
	tools/browser/browser-window.c, tools/browser/browser-window.h,
	tools/browser/canvas-example.c,
	tools/browser/canvas/browser-canvas-column.c,
	tools/browser/canvas/browser-canvas-column.h,
	tools/browser/canvas/browser-canvas-db-relations.c,
	tools/browser/canvas/browser-canvas-db-relations.h,
	tools/browser/canvas/browser-canvas-decl.h,
	tools/browser/canvas/browser-canvas-fkey.c,
	tools/browser/canvas/browser-canvas-fkey.h,
	tools/browser/canvas/browser-canvas-item.c,
	tools/browser/canvas/browser-canvas-item.h,
	tools/browser/canvas/browser-canvas-print.c,
	tools/browser/canvas/browser-canvas-print.h,
	tools/browser/canvas/browser-canvas-priv.h,
	tools/browser/canvas/browser-canvas-table.c,
	tools/browser/canvas/browser-canvas-table.h,
	tools/browser/canvas/browser-canvas-text.c,
	tools/browser/canvas/browser-canvas-text.h,
	tools/browser/canvas/browser-canvas-utility.c,
	tools/browser/canvas/browser-canvas-utility.h,
	tools/browser/canvas/browser-canvas.c,
	tools/browser/canvas/browser-canvas.h,
	tools/browser/common/fk-declare.c, tools/browser/common/fk-declare.h,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/common/gdaui-data-import.h,
	tools/browser/common/gdaui-entry-import.c,
	tools/browser/common/gdaui-entry-import.h,
	tools/browser/common/objects-cloud.c,
	tools/browser/common/objects-cloud.h,
	tools/browser/common/ui-formgrid.c, tools/browser/common/ui-formgrid.h,
	tools/browser/connection-binding-properties.c,
	tools/browser/connection-binding-properties.h,
	tools/browser/data-manager/analyser.c,
	tools/browser/data-manager/analyser.h,
	tools/browser/data-manager/data-console.c,
	tools/browser/data-manager/data-console.h,
	.../browser/data-manager/data-favorite-selector.c,
	.../browser/data-manager/data-favorite-selector.h,
	.../data-manager/data-manager-perspective.c,
	.../data-manager/data-manager-perspective.h,
	tools/browser/data-manager/data-source-editor.c,
	tools/browser/data-manager/data-source-editor.h,
	tools/browser/data-manager/data-source-manager.c,
	tools/browser/data-manager/data-source-manager.h,
	tools/browser/data-manager/data-source.c,
	tools/browser/data-manager/data-source.h,
	tools/browser/data-manager/data-widget.c,
	tools/browser/data-manager/data-widget.h,
	tools/browser/data-manager/perspective-main.c,
	tools/browser/data-manager/perspective-main.h,
	tools/browser/data-manager/ui-spec-editor.c,
	tools/browser/data-manager/ui-spec-editor.h,
	tools/browser/data-manager/xml-spec-editor.c,
	tools/browser/data-manager/xml-spec-editor.h, tools/browser/decl.h,
	tools/browser/dnd.c, tools/browser/dnd.h,
	.../browser/dummy-perspective/dummy-perspective.c,
	.../browser/dummy-perspective/dummy-perspective.h,
	tools/browser/dummy-perspective/perspective-main.c,
	tools/browser/dummy-perspective/perspective-main.h,
	tools/browser/favorites-test.c,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/class-properties.h,
	tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/classes-view.h,
	tools/browser/ldap-browser/entry-properties.c,
	tools/browser/ldap-browser/entry-properties.h,
	tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/filter-editor.h,
	tools/browser/ldap-browser/hierarchy-view.c,
	tools/browser/ldap-browser/hierarchy-view.h,
	.../ldap-browser/ldap-browser-perspective.c,
	.../ldap-browser/ldap-browser-perspective.h,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-classes-page.h,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-entries-page.h,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	.../browser/ldap-browser/ldap-favorite-selector.h,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/ldap-browser/ldap-search-page.h,
	tools/browser/ldap-browser/mgr-ldap-classes.c,
	tools/browser/ldap-browser/mgr-ldap-classes.h,
	tools/browser/ldap-browser/mgr-ldap-entries.c,
	tools/browser/ldap-browser/mgr-ldap-entries.h,
	tools/browser/ldap-browser/perspective-main.c,
	tools/browser/ldap-browser/perspective-main.h,
	tools/browser/ldap-browser/vtable-dialog.c,
	tools/browser/ldap-browser/vtable-dialog.h,
	tools/browser/login-dialog.c, tools/browser/login-dialog.h,
	tools/browser/main.c, tools/browser/mgr-favorites.c,
	tools/browser/mgr-favorites.h,
	tools/browser/query-exec/perspective-main.c,
	tools/browser/query-exec/perspective-main.h,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-console-page.h,
	tools/browser/query-exec/query-editor.c,
	tools/browser/query-exec/query-editor.h,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/query-exec/query-exec-perspective.h,
	tools/browser/query-exec/query-favorite-selector.c,
	tools/browser/query-exec/query-favorite-selector.h,
	tools/browser/query-exec/query-result.c,
	tools/browser/query-exec/query-result.h,
	tools/browser/schema-browser/favorite-selector.c,
	tools/browser/schema-browser/favorite-selector.h,
	tools/browser/schema-browser/mgr-columns.c,
	tools/browser/schema-browser/mgr-columns.h,
	tools/browser/schema-browser/objects-index.c,
	tools/browser/schema-browser/objects-index.h,
	tools/browser/schema-browser/perspective-main.c,
	tools/browser/schema-browser/perspective-main.h,
	tools/browser/schema-browser/relations-diagram.c,
	tools/browser/schema-browser/relations-diagram.h,
	.../schema-browser/schema-browser-perspective.c,
	.../schema-browser/schema-browser-perspective.h,
	tools/browser/schema-browser/table-columns.c,
	tools/browser/schema-browser/table-columns.h,
	tools/browser/schema-browser/table-info.c,
	tools/browser/schema-browser/table-info.h,
	tools/browser/schema-browser/table-preferences.c,
	tools/browser/schema-browser/table-preferences.h,
	tools/browser/schema-browser/table-relations.c,
	tools/browser/schema-browser/table-relations.h,
	tools/browser/support.c, tools/browser/support.h, tools/command-exec.c,
	tools/command-exec.h, tools/config-info.c, tools/config-info.h,
	tools/gda-list-config.c, tools/gda-list-server-op.c, tools/gda-sql.c,
	tools/gda-sql.h, tools/gda-threader.c, tools/gda-threader.h,
	tools/gda-tree-mgr-xml.c, tools/gda-tree-mgr-xml.h, tools/html-doc.c,
	tools/html-doc.h, tools/information-schema-doc.c,
	tools/information-schema-types.c, tools/tools-input.c,
	tools/tools-input.h, tools/tools-utils.c, tools/tools-utils.h,
	tools/web-server.c, tools/web-server.h: Re-wrote all the files'
	headers, fixes bug #652024

	* COPYING, COPYING.LIB: Modified COPYING files with versions from the
	FSF

2011-06-07  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/gdaui-data-store.c, libgda-ui/gdaui-data-store.h,
	libgda-ui/gdaui-raw-grid.c, libgda-ui/internal/utility.c: Replaced
	DATA_STORE_COL_* by GDAUI_DATA_STORE_COL_*  to respect GDAUI namespace;
	keep the current declarations as #define and deprecation guards

	* libgda-ui/data-entries/plugins/common-pict.c,
	libgda-ui/data-entries/plugins/common-pict.h,
	.../plugins/gdaui-data-cell-renderer-pict.c,
	libgda-ui/data-entries/plugins/gdaui-entry-pict.c,
	libgda-ui/gdaui-raw-grid.c: Added copy possibility, and corrected
	saving images bug

2011-06-06  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/help/el/.gitignore, tools/browser/help/gl/.gitignore:
	Added missing .gitignore files

	* tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/filter-editor.h,
	tools/browser/ldap-browser/ldap-search-page.c: GdaBrowser: LDAP search
	filter UI improvements

	* doc/C/libgda-sections.txt, libgda/libgda.symbols,
	libgda/thread-wrapper/gda-thread-wrapper.c,
	libgda/thread-wrapper/gda-thread-wrapper.h,
	tools/browser/browser-connection-priv.h,
	tools/browser/browser-connection.c: Added notification for
	GdaThreadWrapper using a GIOChannel  to easily integrate into a main
	loop

2011-06-05  Mario Blättermann <mariobl@gnome.org>

	* tools/browser/help/Makefile.am, tools/browser/help/el/el.po,
	tools/browser/help/gl/gl.po: [l10n] Added doc translations which were
	in the wrong place

2011-06-04  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda/gda-init.c, libgda/gda-value.c,
	libgda/handlers/gda-handler-time.c, providers/ldap/gda-ldap-util.c,
	tools/browser/ldap-browser/entry-properties.c: Use localtime_r and
	localtime_s when possible

2011-06-04  Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>

	* po/LINGUAS, po/eo.po: Add Esperanto translation

2011-06-03  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, doc/C/libgda-ui-sections.txt,
	libgda-ui/data-entries/plugins/common-pict.c,
	.../data-entries/plugins/gdaui-entry-filesel.c, libgda-ui/gdaui-decl.h,
	libgda-ui/gdaui-init.c, libgda-ui/gdaui-raw-grid.c,
	libgda-ui/gdaui-rt-editor.c, libgda-ui/libgda-ui.h,
	libgda-ui/libgda-ui.symbols, libgda/libgda.symbols,
	tools/browser/canvas/browser-canvas.c,
	tools/browser/common/gdaui-data-import.c,
	tools/browser/ldap-browser/entry-properties.c: Added
	gdaui_[gs]et_default_path()  which allows all GtkFileChooser widgets to
	have a common behaviour across the library

2011-06-02  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/help/C/actions.page,
	tools/browser/help/C/ldap-browser-perspective.page,
	tools/browser/help/C/ldap-connections.page,
	tools/browser/help/C/sql-sqlite.page,
	tools/browser/help/C/virtual-connections.page: Corrected bug #651692
	(thanks to Christian Kirbach)

2011-06-01  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, installers/Windows/make-zip-setup.sh: Set version to
	4.99.2

	* Makefile.am, configure.ac, doc/C/libgda-5.0-docs.sgml,
	doc/C/libgda-sections.txt, doc/C/libgda-ui-sections.txt,
	doc/C/libgda.types.in, doc/C/limitations.xml, doc/C/prov-notes.xml,
	installers/Windows/etc/gtk-2.0/gtkrc,
	installers/Windows/etc/gtk-3.0/gtkrc,
	installers/Windows/gda-browser.nsi,
	installers/Windows/make-zip-setup.sh, libgda-report/engine/Makefile.am,
	libgda-ui/gdaui-tree-store.c, libgda-ui/gdaui-tree-store.h,
	libgda-ui/libgda-ui.symbols, libgda/Makefile.am,
	libgda/gda-attributes-manager.h, libgda/gda-data-model-ldap.c,
	libgda/gda-data-model-ldap.h, libgda/gda-data-model.c,
	libgda/gda-data-model.h, libgda/gda-data-select.c,
	libgda/gda-tree-mgr-ldap.c, libgda/gda-tree-mgr-ldap.h,
	libgda/gda-tree-node.c, libgda/gda-tree.c, libgda/gda-tree.h,
	libgda/libgda.h.in, libgda/libgda.symbols,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c, libgda/sqlite/virtual/.gitignore,
	libgda/sqlite/virtual/Makefile.am,
	libgda/sqlite/virtual/gda-ldap-connection.c,
	libgda/sqlite/virtual/gda-ldap-connection.h,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	libgda/sqlite/virtual/libgda-virtual.h,
	libgda/sqlite/virtual/libgda-virtual.h.in, m4/ldap.m4, po/POTFILES.in,
	providers/Makefile.am, providers/ldap/Makefile.am,
	providers/ldap/gda-ldap-provider.c, providers/ldap/gda-ldap-provider.h,
	providers/ldap/gda-ldap-util.c, providers/ldap/gda-ldap-util.h,
	providers/ldap/gda-ldap.h, providers/ldap/gdaprov-data-model-ldap.c,
	providers/ldap/gdaprov-data-model-ldap.h,
	providers/ldap/ldap_specs_auth.xml.in,
	providers/ldap/ldap_specs_dsn.xml.in,
	providers/ldap/libgda-ldap-5.0.pc.in, providers/ldap/libmain.c,
	samples/LdapBrowser/README, samples/LdapBrowser/ldap-browser.c,
	samples/Makefile, testing/Makefile.am,
	tests/data-models/check_pmodel.c, tools/.gitignore, tools/Makefile.am,
	tools/browser/Makefile.am, tools/browser/auth-dialog.c,
	tools/browser/browser-connection.c, tools/browser/browser-connection.h,
	tools/browser/browser-favorites.c, tools/browser/browser-favorites.h,
	tools/browser/browser-perspective.c,
	tools/browser/browser-perspective.h,
	tools/browser/browser-stock-icons.c,
	tools/browser/browser-stock-icons.h, tools/browser/browser-window.c,
	tools/browser/common/Makefile.am, tools/browser/common/ui-formgrid.c,
	.../data-manager/data-manager-perspective.c,
	tools/browser/data/Makefile.am,
	.../data/hicolor_actions_24x24_table-add.png,
	.../data/hicolor_actions_32x32_ldap-entries.png,
	.../data/hicolor_actions_32x32_table-add.png, tools/browser/decl.h,
	tools/browser/doc/Makefile.am,
	tools/browser/doc/gda-browser-sections.txt,
	.../browser/dummy-perspective/dummy-perspective.c,
	tools/browser/gda-browser-ldap-class-a.png,
	tools/browser/gda-browser-ldap-class-s.png,
	tools/browser/gda-browser-ldap-class-u.png,
	tools/browser/gda-browser-ldap-class-x.png,
	tools/browser/gda-browser-ldap-entry.png,
	tools/browser/gda-browser-ldap-group.png,
	tools/browser/gda-browser-ldap-organization.png,
	tools/browser/gda-browser-ldap-person.png,
	tools/browser/help/C/features.page,
	.../browser/help/C/figures/ldap-browser-persp.png,
	tools/browser/help/C/figures/ldap-classes.png,
	tools/browser/help/C/figures/ldap-search.png,
	.../browser/help/C/figures/ldap-table-mapping.png,
	tools/browser/help/C/index.page,
	tools/browser/help/C/ldap-browser-perspective.page,
	tools/browser/help/C/ldap-connections.page,
	tools/browser/help/C/sql-sqlite.page,
	tools/browser/help/C/virtual-connections.page,
	tools/browser/help/Makefile.am, tools/browser/ldap-browser/Makefile.am,
	tools/browser/ldap-browser/class-properties.c,
	tools/browser/ldap-browser/class-properties.h,
	tools/browser/ldap-browser/classes-view.c,
	tools/browser/ldap-browser/classes-view.h,
	tools/browser/ldap-browser/entry-properties.c,
	tools/browser/ldap-browser/entry-properties.h,
	tools/browser/ldap-browser/filter-editor.c,
	tools/browser/ldap-browser/filter-editor.h,
	tools/browser/ldap-browser/hierarchy-view.c,
	tools/browser/ldap-browser/hierarchy-view.h,
	.../ldap-browser/ldap-browser-perspective.c,
	.../ldap-browser/ldap-browser-perspective.h,
	tools/browser/ldap-browser/ldap-classes-page.c,
	tools/browser/ldap-browser/ldap-classes-page.h,
	tools/browser/ldap-browser/ldap-entries-page.c,
	tools/browser/ldap-browser/ldap-entries-page.h,
	.../browser/ldap-browser/ldap-favorite-selector.c,
	.../browser/ldap-browser/ldap-favorite-selector.h,
	tools/browser/ldap-browser/ldap-search-page.c,
	tools/browser/ldap-browser/ldap-search-page.h,
	tools/browser/ldap-browser/marshal.list,
	tools/browser/ldap-browser/mgr-ldap-classes.c,
	tools/browser/ldap-browser/mgr-ldap-classes.h,
	tools/browser/ldap-browser/mgr-ldap-entries.c,
	tools/browser/ldap-browser/mgr-ldap-entries.h,
	tools/browser/ldap-browser/perspective-main.c,
	tools/browser/ldap-browser/perspective-main.h,
	tools/browser/ldap-browser/vtable-dialog.c,
	tools/browser/ldap-browser/vtable-dialog.h, tools/browser/main.c,
	tools/browser/mgr-favorites.c, tools/browser/query-exec/Makefile.am,
	tools/browser/query-exec/query-console-page.c,
	tools/browser/query-exec/query-console-page.h,
	tools/browser/query-exec/query-console.c,
	tools/browser/query-exec/query-console.h,
	tools/browser/query-exec/query-exec-perspective.c,
	tools/browser/schema-browser/Makefile.am,
	.../schema-browser/schema-browser-perspective.c,
	tools/browser/schema-browser/table-columns.c, tools/browser/support.c,
	tools/browser/support.h: Initial LDAP support (read only)

2011-05-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-symbols-util.c, libgda/sqlite/gda-symbols-util.h:
	Import sqlite3_create_collation() when loading SQLite shared library

	* doc/C/libgda-5.0-docs.sgml, doc/C/packaging.xml,
	doc/C/prov-notes.xml, libgda/gda-connection.h, libgda/gda-data-model.c,
	libgda/gda-util.c, libgda/gda-util.h, providers/web/php/README,
	tools/browser/query-exec/query-editor.c: Orthographic corrections

2011-05-27  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, doc/C/prov-notes.xml,
	libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c,
	providers/sqlite/sqlite_specs_dsn.xml.in, tools/browser/auth-dialog.c,
	tools/gda-sql.c: Added SQLite collations and locale related functions

2011-05-26  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/help/C/actions.page,
	tools/browser/help/C/features.page,
	tools/browser/help/C/table-insert-data.page,
	tools/browser/help/C/virtual-connections.page: Correction for bug #Bug
	651178  doc: couple of spelling and other fixes (thanks to Christian
	Kirbach)

2011-05-25  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/browser-connection.c,
	tools/browser/browser-virtual-connection.c: GdaBrowser: fixed
	connections referencing problem

	* libgda/gda-tree-manager.c, libgda/gda-tree-node.c: Fixed objects
	referencing in GdaTreeNode and GdaTreeManager

2011-05-22  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-number.c,
	libgda-ui/data-entries/gdaui-entry-string.c: Don't emit the
	"contents-activated" signal on focus out

2011-05-21  Vivien Malerba <malerba@gnome-db.org>

	* control-center/gda-control-center-newcnc.png,
	control-center/gda-control-center.ico,
	control-center/gda-control-center.png, control-center/main.c,
	libgda-ui/data/gdaui-generic.png,
	tools/browser/gda-browser-auth-big.png,
	tools/browser/gda-browser-auth.png,
	tools/browser/gda-browser-connected-big.png,
	tools/browser/gda-browser-connected.png,
	tools/browser/gda-browser-non-connected-big.png,
	tools/browser/gda-browser-non-connected.png,
	tools/browser/gda-browser.ico, tools/browser/gda-browser.png,
	tools/gda-sql.ico: Reworked icons (thanks to Jakub Steiner)

	* tools/browser/browser-connection.c,
	tools/browser/browser-connection.h, tools/browser/browser-window.c,
	tools/browser/doc/gda-browser-sections.txt: Don't show transactions
	possibilities for virtual connections

	* configure.ac, libgda-ui/Makefile.am, libgda/Makefile.am: Added
	--enable-gi-system-install configure option  it allows to specify that
	GObject Introspection files have to be installed in the system dir. or
	in a dir. below $prefix

2011-05-19  Daniel Espinosa <esodan@gmail.com>

	* libgda-ui/Makefile.am, libgda/Makefile.am: GI: Use
	INTROSPECTION_GIRDIR and INTROSPECTION_TYPELIBDIR to use system
	configuration for correct installation

2011-04-25  Daniel Espinosa <esodan@gmail.com>

	* libgda/gda-connection.c, libgda/gda-data-model-array.c,
	libgda/gda-meta-store.c, libgda/gda-server-operation.c,
	libgda/gda-sql-builder.c, libgda/gda-util.c: GObject Introspection:
	Improved annotations, functions rename to avoid of *_v functions name
	in bindings

2011-05-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda-ui/data-entries/widget-embedder.c,
	libgda-ui/gdaui-basic-form.c: Rendering improvements

2011-05-15  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/main.c, tools/config-info.c, tools/config-info.h,
	tools/gda-sql.c: Modify tools' main()'s arguments to hide usernames and
	passwords

2011-05-12  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.1.in, tools/gda-sql.c: Gda-Sql: handle "shebang"
	calling

2011-05-10  Vivien Malerba <malerba@gnome-db.org>

	* tools/browser/main.c, tools/config-info.c, tools/config-info.h,
	tools/gda-sql.c: Tools: allow displaying DNS information

	* libgda-ui/data-entries/gdaui-entry-common-time.c,
	libgda-ui/data-entries/gdaui-entry-shell.c,
	libgda-ui/internal/utility.c: GTK3 related corrections

2011-05-09  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, libgda/gda-tree-node.c: Take into account
	the GDA_TREE_DUMP_ALL_ATTRIBUTES  to dump all the attributes of each
	node of a GdaTree

2011-05-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-attributes-manager.c, libgda/gda-connection.c,
	libgda/gda-tree-node.c, tools/browser/auth-dialog.c: Misc. corrections

2011-04-28  Vivien Malerba <malerba@gnome-db.org>

	* tests/data-models/check_model_copy.c,
	tests/data-models/check_model_import.c,
	tests/data-models/check_pmodel.c, tests/meta-store/common.c,
	tests/providers/prov-test-common.c,
	tests/value-holders/check_statement.c: Removed compilation warnings in
	test programs

	* libgda/gda-data-access-wrapper.c, libgda/gda-data-access-wrapper.h,
	libgda/gda-data-model-array.c, libgda/gda-data-model.c,
	libgda/gda-data-proxy.c, libgda/gda-data-select.c: More GINT_TO_POINTER
	corrections

2011-04-23  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-meta.c, libgda/sqlite/gda-sqlite-provider.c,
	libgda/sqlite/gda-sqlite-recordset.c, libgda/sqlite/gda-sqlite-util.c,
	libgda/sqlite/gda-sqlite.h: Corrected wrong usage of GPOINTER_TO_INT 
	was in the way the SQLite provider stores data type to GType mapping

2011-04-20  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt, libgda/gda-data-model-array.c,
	libgda/gda-data-model-array.h, libgda/gda-meta-store.c,
	libgda/gda-meta-store.h, libgda/gda-server-operation.c,
	libgda/gda-server-operation.h, libgda/gda-util.c, libgda/gda-util.h,
	libgda/libgda.symbols: GObject introspection: added non vararg
	functions and skip vararg ones, for bug #639472

	* libgda-ui/gdaui-tree-store.c, libgda/gda-connection.c,
	libgda/gda-data-model-array.c, libgda/gda-holder.c, libgda/gda-log.c,
	libgda/gda-meta-store.c, libgda/gda-server-operation.c,
	libgda/gda-set.c, libgda/gda-sql-builder.c, libgda/gda-util.c: GObject
	introspection: skip any function with vararg, for bug #639472

2011-04-19  Vivien Malerba <malerba@gnome-db.org>

	* configure.ac, libgda-ui/Makefile.am, libgda/Makefile.am: Fixed bug
	#647887   Applied patch with modifications

	* libgda/gda-config.c, tools/gda-sql.c: Username and password handling
	correction

2011-04-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-recordset.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Virtual connections:
	report global data model exceptions

	* doc/C/libgda-sections.txt, libgda/gda-data-model.c,
	libgda/gda-data-model.h, libgda/gda-data-select.c,
	libgda/libgda.symbols, libgda/providers-support/gda-data-select-priv.h:
	Enable GdaDataModel to report global exceptions  * added
	GdaDataModel::i_get_exceptions * modified GdaDataSelect to implement
	that interface

2011-04-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Misc corrections

2011-04-14  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection-internal.h, libgda/gda-connection.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.h,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-virtual-connection.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Virtual connection
	correction & improvements  correctly handle the list of virtual tables
	and emit signals when a virtual table is added or removed

2011-04-09  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-sections.txt,
	.../virtual/gda-vconnection-data-model-private.h,
	libgda/sqlite/virtual/gda-vconnection-data-model.c,
	libgda/sqlite/virtual/gda-vconnection-data-model.h,
	libgda/sqlite/virtual/gda-vconnection-hub.c,
	libgda/sqlite/virtual/gda-vprovider-data-model.c: Virtual connection
	corrections and doc. improvements

	* libgda/gda-data-model-iter.c, libgda/gda-data-model-iter.h,
	libgda/gda-data-model.c: Added checks in GdaDataModelIter and improved
	doc.

2011-04-06  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-5.0-docs.sgml, providers/prepare_provider_sources.sh,
	providers/skel-implementation/capi/gda-capi-blob-op.c,
	providers/skel-implementation/capi/gda-capi-blob-op.h,
	providers/skel-implementation/capi/gda-capi-ddl.c,
	providers/skel-implementation/capi/gda-capi-ddl.h,
